commit e09b55bf011bc3e7f803b34a45c0d797d66c0f42
Author: Aurelien Jarno <aurelien@aurel32.net>
Date:   Tue Mar 24 14:21:50 2015 +0100

    changelog for 0.65.2-1

commit 7ec60100ee315e130e8771d4268debc3eaeff9af
Author: Aurelien Jarno <aurelien@aurel32.net>
Date:   Tue Mar 24 10:08:33 2015 +0100

    lib/Sbuild/Build.pm: only list content for deb/udeb files.

commit 7d6ae7a65a491e2c4c3d0d7d19aff348da5bd69f
Author: Ansgar Burchardt <ansgar@debian.org>
Date:   Wed Mar 18 23:45:23 2015 +0100

    Update changelog.

commit 2a00172fd8b83fc4db32443c4fe06ec0852d5ea2
Author: Ansgar Burchardt <ansgar@debian.org>
Date:   Wed Mar 18 23:42:50 2015 +0100

    sbuild-createchroot: set profile=sbuild also for tar-based chroots
    
    Bug: https://bugs.debian.org/769289

commit 7b38c2c95c87b6c1184114491ad186824e134eec
Author: Ansgar Burchardt <ansgar@debian.org>
Date:   Wed Feb 25 20:56:04 2015 +0100

    Update changelog.

commit 07c04c8f6d7c5b78cdf42bf3499da6477b3e5e3f
Author: Ansgar Burchardt <ansgar@debian.org>
Date:   Wed Feb 25 20:48:56 2015 +0100

    sbuild-dumpconfig: sort keys of dumped hashes
    
    With the patch the generated configuration file and man page no longer
    change with each invokation of sbuild-dumpconfig.
    
    Thanks to Reiner Herrmann for the patch.
    
    Bug: https://bugs.debian.org/778482
    Bug: https://bugs.debian.org/764504

commit ec40e3698d197564617a003c279696e130439333
Author: Ansgar Burchardt <ansgar@debian.org>
Date:   Wed Feb 25 20:42:54 2015 +0100

    NEWS: Bump version to 0.65.2.

commit aac4bb664cc83f462fba7852ce5c2419ddaaa4f2
Author: Ansgar Burchardt <ansgar@debian.org>
Date:   Tue Feb 24 23:14:20 2015 +0100

    db/Makefile.am: Add missing backslash.

commit b3401647eea5ba00f951d39a3a89cfb36c5aedaf
Author: Ansgar Burchardt <ansgar@debian.org>
Date:   Tue Feb 24 23:01:06 2015 +0100

    changelog for 0.65.1-1

commit 5802ca035a774f7d9fc870a45a47fd0d2525f702
Author: Ansgar Burchardt <ansgar@debian.org>
Date:   Tue Feb 24 18:22:36 2015 +0100

    sbuild.1: document --mailfrom and --sbuild-mode options
    
    The new options were introduced in ce90f5414edf267dc14282cd04caeda2c2ede8e9

commit edb450c668e85ef06f899f624b4c4663f14ba325
Author: Ansgar Burchardt <ansgar@debian.org>
Date:   Thu Feb 19 23:19:34 2015 +0100

    Include all files in the distribution tarball.

commit d4c137190b44e510f8c1f27ea3a6f6a08b5268b7
Author: Johannes Schauer <j.schauer@email.de>
Date:   Fri Feb 6 14:37:11 2015 +0100

    handle native arch qualifiers in build-deps
    
    sbuild turns build dependencies into the dependencies of a dummy binary
    package. Since binary package dependencies do not support the :native
    architecture qualifier, these have to either be removed during native
    compilation or replaced by the build (native) architecture during cross
    building.
    
    Reference: https://bugs.debian.org/777216

commit b109a9de75c5db13d8ba989df042a65c0e825ff0
Author: Ansgar Burchardt <ansgar@debian.org>
Date:   Thu Feb 12 22:34:53 2015 +0100

    debian/control: Do not (Build-)Depend on perl-modules
    
    The perl-modules package is an implementation detail of the perl
    packaging. Packages should not depend on it, but only on perl itself.

commit 63749d9d9cd27f6721fb15e45505d11fbf9322fc
Merge: 8b8b078 7a5163e
Author: Ansgar Burchardt <ansgar@debian.org>
Date:   Thu Feb 12 22:11:44 2015 +0100

    Merge branch 'features'

commit 8b8b0787d7f35baf0ec4fbe598e406263782406e
Merge: 448e45c 9cc9ccc
Author: Ansgar Burchardt <ansgar@debian.org>
Date:   Thu Feb 12 22:11:19 2015 +0100

    Merge branch 'updates-to-maintainer-scripts'

commit 448e45c571a8f75caa87b1c6bb6c2480b7521f4e
Merge: e0d10b3 ea8ad2e
Author: Ansgar Burchardt <ansgar@debian.org>
Date:   Thu Feb 12 00:28:56 2015 +0100

    Merge branch 'updates-to-create-chroot'

commit e0d10b3e3e2ed302048dcb686f7555d8add36537
Merge: a67baea d60caa9
Author: Ansgar Burchardt <ansgar@debian.org>
Date:   Thu Feb 12 00:28:43 2015 +0100

    Merge branch 'updates-to-99builddsourceslist'

commit d60caa9cf4ff6d1c97a7c12606154a0b751773c9
Author: Ansgar Burchardt <ansgar@debian.org>
Date:   Wed Feb 11 23:43:04 2015 +0100

    Do not install 99builddsourceslist
    
    This file is very specific to Debian and not helpful in general.

commit 7a5163e28d396413a82759eabd37147078fdae2d
Author: Ansgar Burchardt <ansgar@debian.org>
Date:   Wed Feb 11 23:38:50 2015 +0100

    Remove changelog entries from uploads to private buildd archive

commit 9760c6a3a4f815f6336bef071469749c915f5f63
Author: Andreas Barth <aba@not.so.argh.org>
Date:   Thu May 23 22:24:02 2013 +0200

    don't force mailto to be set in .sbuildrc
    
    (cherry picked from commit c173a94e4f48bc28dbf2c356e6b6f5f4a6227884)

commit d7bd88a6395312377f659098348e445dc8482dcc
Author: Ansgar Burchardt <ansgar@debian.org>
Date:   Wed Feb 11 23:01:34 2015 +0100

    Require schroot version 1.6.0 or later.
    
    Taken from commit d3ab9d32809fbf2d4d5dfd504f81423198f24775

commit ce90f5414edf267dc14282cd04caeda2c2ede8e9
Author: Andreas Barth <aba@not.so.argh.org>
Date:   Sun Jun 2 10:49:05 2013 +0200

    allow to set maintainer_name and mailfrom in the distribution setting
    in .builddrc (or in $default), and always set sbuild_mode=buildd, so
    .sbuildrc doesn't need to exist (unless it contains
    %individual_stalled_pkg_timeout )
    
    (cherry picked from commit a775c5af792f492a7fd6367715f70fbe30a59175)

commit 5ccb3559b0ccbbac7c359c74d6a71321d8d5f9b9
Author: Andreas Barth <aba@not.so.argh.org>
Date:   Tue May 21 00:18:12 2013 +0200

    get mail targets from wanna-build, and allow to set mail_log_also for additional recipients
    
    (cherry picked from commit bf209107a75670284a8bde455282ce238456a41a)

commit 5827300296528fb6c2e650022215a5cd32985d10
Author: Andreas Barth <aba@not.so.argh.org>
Date:   Mon May 20 23:44:47 2013 +0200

    allow to specify minimum age of packages
    
    (cherry picked from commit 62593e06d33d93282d3b460eb750d2102d92516f)

commit 9cc9ccc557c14089d2ba93835b5e4a4c2876fef6
Author: Andreas Barth <aba@not.so.argh.org>
Date:   Sun May 19 20:16:56 2013 +0200

    auto-upgrade the buildd chroot configuration during upgrade
    
    (cherry picked from commit 78fc946a6dc3a67539044c7275a30af376af7697)

commit 10927b857c3eac10b8001c0ece0fc020408b26ad
Author: Andreas Barth <aba@not.so.argh.org>
Date:   Sun May 19 20:05:40 2013 +0200

    succesfully (un)install the package if the account database is not local
    
    (cherry picked from commit d2a56b4486602fc00219c51466e184f3608cc7bc)

commit a70de7a7ea1d7f227a211c83a8ce5ca3a0d6b3c2
Author: Philipp Kern <pkern@debian.org>
Date:   Sat Mar 19 14:48:31 2011 +0100

    debian: Update buildd maintainer scripts
    
    (cherry picked from commit 55325edec90d132a65d8af682bb06d637a57648e)

commit ea8ad2e2f42efc61569193a58391c24e0ed5c615
Author: Aurelien Jarno <aurelien@aurel32.net>
Date:   Tue Aug 19 02:10:13 2014 +0200

    bin/create-chroot: don't add sudo in debfoster keepers
    
    (cherry picked from commit 9859cfd32d6ef36f8bc18c2a0f7dcf949e630c94)

commit 14139873686d79e08d0f84393b25b6cc7f25f9ed
Author: Aurelien Jarno <aurelien@aurel32.net>
Date:   Mon Aug 18 18:22:53 2014 +0200

    bin/create-chroot: don't install sudo in the chroot, we now use fakeroot by default
    
    (cherry picked from commit 7241b6b3792a0166aaaf401c1d26983b930492bf)

commit 1dff84941e8294158a1a4346996556d39bcf8d3c
Author: Philipp Kern <pkern@debian.org>
Date:   Sun Dec 29 14:58:09 2013 +0100

    bin/create-chroot: use ext4 instead of ext3
    
    (cherry picked from commit 27d8c4be472c38d784cd768f60981d4d6f898a4e)

commit 7998cd0a6ba9ff57bb350a86a163a23c1461e506
Author: Andreas Barth <aba@not.so.argh.org>
Date:   Tue May 21 19:33:24 2013 +0200

    remove suite aliases on chroot creation except for experimental
    
    (cherry picked from commit 9107f1b3f05e2cdd84b2f6d1e27e54e328dda8a7)

commit 87647714443aa6b4e9fb83d632d9176d517c66b9
Author: Andreas Barth <aba@not.so.argh.org>
Date:   Sun May 19 22:25:28 2013 +0200

    bin/create-chroot: remove lenny / volatile remainings
    
    (cherry picked from commit 68318e9841342ac5e71b4523b908d46f5d2becdd)
    
    Conflicts:
    	bin/create-chroot

commit 737cc1d3797fea4dd7403ed5a2ef63bc40cc8e2f
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu May 16 22:19:56 2013 +0100

    bin/create-chroot: Add
    
    (cherry picked from commit 288b3147b38ab441f44b205b9e38957efe99277f)

commit 3ac05c1d8f0303ef12d5036fb2edaaf75727e86b
Author: Ansgar Burchardt <ansgar@debian.org>
Date:   Wed Feb 11 22:16:45 2015 +0100

    Remove changelog entry from upload to private buildd archive

commit c7f8f1b4f7f1f5f1c759b034b8d7d9cd6c95ce1c
Author: Ansgar Burchardt <ansgar@debian.org>
Date:   Wed Aug 13 17:45:58 2014 +0200

    99builddsourceslist: stop using incoming.debian.org/debian
    
    (cherry picked from commit a2e085c8f2114adc9e3058cca616bf5fe622f335)

commit 8544d5c032459163780849480b044ad69bdef590
Author: Ansgar Burchardt <ansgar@debian.org>
Date:   Wed Aug 13 18:53:43 2014 +0200

    99builddsourceslist: add +([^-])-kfreebsd-*-sbuild*
    
    sid-kfreebsd-amd64-sbuild would be matched by *-*-*-sbuild*, but is
    not of the form SUITE-proposed-updates-sbuild*. Adding an extra case
    avoids this.
    
    (cherry picked from commit b4a653e2b43de1e3fd81d61b59e3ca5a93ee8060)

commit b933985a9665f6a349e822a1f838c73a1154b160
Author: Aurelien Jarno <aurelien@aurel32.net>
Date:   Thu Aug 14 21:04:47 2014 +0200

    etc/99buildsourceslist: check for the English version of the chroot
    name, not the French one.
    
    (cherry picked from commit b8f9de5f60f4046cb73783a2582b26ab401d616f)

commit 5c797ae088a558e9a247218e2a447df6bd5bf850
Author: Aurelien Jarno <aurelien@aurel32.net>
Date:   Sun Jul 13 16:50:47 2014 +0200

    etc/99buildsourceslist: check for source chroot by looking at
    CHROOT_DESCRIPTION instead of CHROOT_SESSION_PURGE, which
    also works on tar based chroots.
    
    (cherry picked from commit 7efe96be022a6faf85dcf3ab66997a4ae55bb4d3)

commit 4a92c3148d3fa0c1832f78f0e9f9fa3127c57220
Author: Aurelien Jarno <aurelien@aurel32.net>
Date:   Sun Jul 13 16:42:19 2014 +0200

    etc/99builddsourceslist: look in priority for mirrors in
    /etc/schroot/dsa/default-mirror, which is used on DSAed
    machines.
    
    (cherry picked from commit e100ec65b0c15a0f511ccc469b762f597b61604b)

commit d6fed69f70c57fa0cb6d5977c8f2b0159b28c826
Author: Aurelien Jarno <aurelien@aurel32.net>
Date:   Sun Jul 13 16:39:41 2014 +0200

    etc/99builddsourceslist: don't run for non "buildd" profiles
    
    This way porterbox scripts can be co-installed with the buildd ones on
    DSA machines.
    
    (cherry picked from commit 6dffe75026fdc958380453c2488c87ffc0bfbaa1)

commit 4fe6f4539cd4f0bcacd184ba77957f9f4b7542ec
Author: Philipp Kern <pkern@debian.org>
Date:   Sun Apr 13 15:28:28 2014 +0200

    etc/99builddsourceslist: add support for squeeze-lts
    
    (cherry picked from commit 0d062701373fbd8a6a0a5bec6b1113cb9822833b)

commit b81ba9738c4d423e17daf9acb1b082c82279cf65
Author: Ansgar Burchardt <ansgar@debian.org>
Date:   Tue Jul 9 16:23:29 2013 +0200

    etc/99builddsourceslist: fix entry for backports.debian.org
    
    (cherry picked from commit c44fcd195a8f76ab46c827ae1c7e8a54dc55fb12)

commit 94b0c2fd529cd0ad53d08bb135a29b1a9028adec
Author: Andreas Barth <aba@not.so.argh.org>
Date:   Sun May 19 21:37:28 2013 +0200

    remove reminders of using lenny chroots (and apts)
    
    (cherry picked from commit 0ff6adb1503afa2838561865ea093db854c73f1d)

commit 89b62119cb100b09ce37dc3f812247d313b61945
Author: Andreas Barth <aba@not.so.argh.org>
Date:   Sun May 19 21:32:20 2013 +0200

    99builddsourceslist: adjust for new locations for buildds at incoming / security-master
    
    (cherry picked from commit 27834f412b2627d15992bedfac66db22c70f03d4)

commit 8c5582c479bc5b416cd465576fee519153910077
Author: Andreas Barth <aba@not.so.argh.org>
Date:   Sun May 19 20:17:58 2013 +0200

    install 99builddsourceslist again and update it for new schroot config
    
    (cherry picked from commit b6fd9235e7f645a8a334179025f5ad489d102a78)

commit 8b4f2cc4a7395f0611d0fe8876b02559db36e5f2
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 19 17:00:46 2013 +0100

    etc/99builddsourceslist: Update from buildd-0.61.0
    
    (cherry picked from commit 93d4a212b1cd70201dd9c228fffa6f14feb74b7f)

commit 211b7a2647838d3a1a3e45dc005f7e26142f0630
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 19 16:53:23 2013 +0100

    etc/99builddsourceslist: Update from buildd-0.61.0
    
    (cherry picked from commit 3c539dcb8f5abcccca640c607005475828d4019d)

commit 92679c9ed7531d98d249059b7365173f3ecf8712
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu May 16 22:19:23 2013 +0100

    etc/99builddsourceslist: Add
    
    (cherry picked from commit f17ef5b7efe641cfe731b8d9d9835734c744d298)

commit a67baeaa85e7d9982ea32a24a57b60cf5c4791c4
Author: Roger Leigh <rleigh@codelibre.net>
Date:   Sun Nov 30 22:51:03 2014 +0000

    debian: Close #771235

commit f3641ab121bd9d458d684f9e1b6a68c56aa940c9
Author: Lennart Sorensen <lsorense@csclub.uwaterloo.ca>
Date:   Sun Nov 30 22:49:13 2014 +0000

    Build::Build: Build arch-all packages when other architectures are in the arch list

commit 26678e5a4b53c8d83b067770020765495d16467b
Author: Roger Leigh <rleigh@codelibre.net>
Date:   Sun Nov 30 22:47:03 2014 +0000

    debian: Bump version to 0.65.1-1

commit 441d788e6d51e0071c7fc02c4c0d7a81cd548f19
Author: Roger Leigh <rleigh@codelibre.net>
Date:   Sun Nov 30 22:46:49 2014 +0000

    NEWS: Bump version to 0.65.1

commit ebd769ff20658519e55d886b1d50089de2e50d0d
Author: Wookey <wookey@wookware.org>
Date:   Fri Oct 17 17:21:15 2014 +0100

    Make release 0.65.0

commit 98fee63d5ccb54774ae066946f906be344429f54
Author: Wookey <wookey@wookware.org>
Date:   Fri Oct 17 12:45:37 2014 +0100

    Typo fix for release

commit 8ec1e6bf1cb8b0f567c99a7bed4e8fe4bc1bb7bf
Author: Benjamin Drung <bdrung@debian.org>
Date:   Thu Oct 16 06:56:29 2014 +0200

    Rename build_procenv to build-procenv to fix illegal-runtime-test-name

commit e454d9dbd418e9382b009a521a7e4c0c5e2669b1
Author: Benjamin Drung <bdrung@debian.org>
Date:   Thu Oct 16 06:48:57 2014 +0200

    Make indentation consistant and remove trailing spaces

commit 2507e9afa97601bf8eadafc91c6a339e7d793551
Author: Wookey <wookey@wookware.org>
Date:   Thu Oct 16 03:55:34 2014 +0100

    Only print foreign arch info when there is some
    Neaten Arches/arch/dependencies subsection output

commit 22d5969e81b9873197d10ed6d43c4fcd2f64ed86
Author: Wookey <wookey@wookware.org>
Date:   Thu Oct 16 03:36:43 2014 +0100

    Ensure 'Build Profiles' is empty not undef to avoid warnings

commit c5d52d03f86f3d13c6135323556b1ae684bf1813
Author: Wookey <wookey@wookware.org>
Date:   Thu Oct 16 00:30:31 2014 +0100

    Make the multiarch-related functionality squeeze-chroot compatible.
    Only issue multiarch-related dpkg commands if the dpkg in the chroot understands them.

commit 28195062efb2e2e792cfa6db694e3835859d2a70
Author: Benjamin Drung <benjamin.drung@profitbricks.com>
Date:   Wed Oct 15 13:55:02 2014 +0200

    Update debian/changelog

commit af3563cfeaa45972ba8da93b2a2e2ce66f46c00e
Author: Benjamin Drung <benjamin.drung@profitbricks.com>
Date:   Wed Oct 15 13:41:08 2014 +0200

    Fix broken man page symlinks in buildd package

commit abee3b2b90a3f947c416ccc26760b34cb380f3a1
Author: Benjamin Drung <benjamin.drung@profitbricks.com>
Date:   Wed Oct 15 10:08:41 2014 +0200

    Fix too long changelog line

commit 8ad52a27505d224071a80217b64e48690c1ceaaf
Author: Benjamin Drung <benjamin.drung@profitbricks.com>
Date:   Wed Oct 15 10:07:48 2014 +0200

    Also raise the version of the libdpkg-perl dependency

commit 550c214cae48baa25daea585b51797fe6f4f5a0f
Author: Wookey <wookey@wookware.org>
Date:   Wed Oct 15 02:49:05 2014 +0100

    Add %a substition variable for host architecture, for use in external (hook) commands.
    Fix NEWS file entry for substitution variables

commit ab487c50c813083fa22526550d03ad2ef2e813dc
Author: Benjamin Drung <benjamin.drung@profitbricks.com>
Date:   Tue Oct 14 13:40:59 2014 +0200

    Update debian/changelog and re-add removed stanza for 0.64.3-2

commit 0e4d0c57969e8e92931b80a9376d24fd15f81548
Author: Geoffrey Thomas <geofft@ldpreload.com>
Date:   Wed Aug 21 22:11:49 2013 -0700

    Sbuild::ChrootSetup: Pass --no-options to gpg

commit a285fecd1445cf782f6370208c8b99f8ae829e64
Author: Benjamin Drung <benjamin.drung@profitbricks.com>
Date:   Tue Oct 14 13:32:52 2014 +0200

    Fix build failure if the package version ends with Debian revision 0.
    
    Thanks: Adam Borowski <kilobyte@angband.pl>
    Closes: #679574

commit 684c57b77c5acd22aed833e3bb937cdb8bc6bef6
Author: Benjamin Drung <benjamin.drung@profitbricks.com>
Date:   Tue Oct 14 13:30:19 2014 +0200

    Fail if dpkg subcommands fail instead of silently ignoring failures
    
    Failures of "dpkg --info" and "dpkg --contents" will cause sbuild to fail.
    
    Thanks: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
    Closes: #745221

commit 1ba39e71bb25b44c188d6972937377d2cb0588ec
Author: Benjamin Drung <benjamin.drung@profitbricks.com>
Date:   Tue Oct 14 11:14:13 2014 +0200

    Remove trailing spaces

commit 0cb5afe81c06822a64189e0f3f56a84aa9f5a006
Author: Benjamin Drung <benjamin.drung@profitbricks.com>
Date:   Tue Oct 14 11:04:14 2014 +0200

    Run wrap-and-sort

commit 6220ada95f8047b37797bc9d8cede10669b32ee8
Author: Wookey <wookey@wookware.org>
Date:   Mon Oct 13 18:39:32 2014 +0100

    Update the NEWS file with new 0.65 user-visible changes

commit 8153cbb5ae34b40997bf23e661c89b2f97ad561d
Author: Wookey <wookey@wookware.org>
Date:   Sat Sep 20 01:15:43 2014 +0100

    Add build profiles support

commit aec2c0d91e8d4258dd4c24db20825672a877043b
Author: Benjamin Drung <benjamin.drung@profitbricks.com>
Date:   Thu Oct 9 18:33:41 2014 +0200

    Update debian/changelog

commit d0c784515d110da3cd0c06231c626a1a7270e460
Author: Benjamin Drung <benjamin.drung@profitbricks.com>
Date:   Thu Oct 9 18:28:49 2014 +0200

    Add DEP-8 autopkgtest to build procenv.
    
    Closes: #705926

commit 586323766f9a673d95953b2f5d848f4566d31cf9
Author: Benjamin Drung <benjamin.drung@profitbricks.com>
Date:   Thu Oct 9 18:16:48 2014 +0200

    Also unset XDG_SESSION_COOKIE

commit bb2731b88f8f3507e7b696df78bb1f1eac188d90
Author: Dmitrijs Ledkovs <xnox@ubuntu.com>
Date:   Thu Nov 7 22:00:08 2013 +0000

    Unset more unneeded typical desktop variables.
    
    They are mostly harmless, sometimes unit-tests of package under build
    interracts badly with current session via those variables
    (e.g. RUNTIME_DIR).

commit cc53d8888125fc0cb1408ae56ce3cd83f46538ed
Author: Geoffrey Thomas <gthomas@mokafive.com>
Date:   Mon Jun 17 18:44:15 2013 -0700

    sbuild: 0 is a valid version number

commit 91fbad5ea4bde3dea70c4bf32aa84ca5c46fa6d9
Author: Benjamin Drung <benjamin.drung@profitbricks.com>
Date:   Thu Oct 9 16:58:28 2014 +0200

    Update debian/changelog

commit d4985a1f1ce057bafe2745e9157dc06a44ed8745
Author: Benjamin Drung <benjamin.drung@profitbricks.com>
Date:   Thu Oct 9 16:25:23 2014 +0200

    Bump Standard-Version to 3.9.6

commit ee46993252d5bececccf6d55aef1dfb2de252232
Author: Benjamin Drung <benjamin.drung@profitbricks.com>
Date:   Thu Oct 9 16:21:24 2014 +0200

    Fix indentation and remove trailing spaces

commit 0d592eb9732b046e31a1d7b4fc9af2f3d0ae1989
Author: Benjamin Drung <benjamin.drung@profitbricks.com>
Date:   Thu Oct 9 16:12:50 2014 +0200

    Export additional variables to external commands.
    
    SBUILD_CHROOT_DIR, SBUILD_BUILD_DIR, and SBUILD_PKGBUILD_DIR are exported
    to the external commands.

commit 996508e5731edf5ae52e060f13691214e3afe902
Author: Geoffrey Thomas <gthomas@mokafive.com>
Date:   Wed Aug 14 15:39:41 2013 -0700

    Implement --extra-repository="deb scheme://..."
    
    This simply adds another line to the sources.list.d file that lists our
    dummy archive for build-dependency resolution, making that repository
    available for providing build-dependencies. The purpose of this option
    is to make it easier to build packages against a local archive without
    modifying the source chroot to list that archive.
    
    Signed-off-by: Benjamin Drung <benjamin.drung@profitbricks.com>

commit 931340caf9791a0044f80516e10ffec67aafe716
Author: Geoffrey Thomas <gthomas@mokafive.com>
Date:   Wed Feb 13 00:57:56 2013 -0800

    Implement --extra-package=package.deb
    
    This simply adds a deb on the host system to the existing dummy archive
    created for the build-dependency resolution metapackage, which makes it
    available for resolving build dependencies. The purpose of this option
    is to make it easier to build packages against locally-built build
    depenencies, without waiting for those packages to enter the main
    archive, or going through the hassle of maintaining a local archive and
    making it accessible inside the chroot.
    
    This option is named similarly to the EXTRAPACKAGES option in
    pbuilderrc(5), but note that it takes a .deb, not a package name.
    
    Thanks to Emanuele Aina for review!
    
    Signed-off-by: Benjamin Drung <benjamin.drung@profitbricks.com>

commit a12d2ab3f1a7a01dcdf3c11d816f7cffcc5f8814
Author: Geoffrey Thomas <gthomas@mokafive.com>
Date:   Wed Jul 3 22:37:27 2013 -0700

    Sbuild::ResolverBase: Implement update_archive using apt-get update
    
    David Kalnischkies pointed out in bug #714877 a clever way to make
    apt-get update only affect a single sources.list-format file, using various
    apt options to override the sources.list and sources.list.d locations,
    and keep the lists for existing sources. This works "in any apt
    version", and is cleaner than faking the list operations ourselves.
    
    Signed-off-by: Benjamin Drung <benjamin.drung@profitbricks.com>

commit 421e5fb83f01d9add0e505a8cb09f4de0fe72382
Author: Benjamin Drung <benjamin.drung@profitbricks.com>
Date:   Thu Oct 9 15:31:54 2014 +0200

    Fix vcs-field-not-canonical

commit 03589f371ed205ba349391382525d406622e4cf4
Author: Benjamin Drung <benjamin.drung@profitbricks.com>
Date:   Thu Oct 9 15:01:00 2014 +0200

    Fix copyright-refers-to-symlink-license

commit 30401718527c6986100a40e089006720fa684b68
Author: Benjamin Drung <benjamin.drung@profitbricks.com>
Date:   Thu Oct 9 14:58:08 2014 +0200

    Fix debian-news-entry-uses-asterisk

commit f3b66d03f28154fcb3ab1fad1fe9d030d8f5cefa
Author: Benjamin Drung <benjamin.drung@profitbricks.com>
Date:   Thu Oct 9 14:40:53 2014 +0200

    Fix hyphen-used-as-minus-sign

commit acfae99937eb14062594324faebc3b719e1df3fa
Author: Benjamin Drung <benjamin.drung@profitbricks.com>
Date:   Thu Oct 9 13:02:58 2014 +0200

    Fix typo: indended -> intended

commit 559097777d78e2851ce5286b86f16efdbd4f318f
Author: Wookey <wookey@wookware.org>
Date:   Wed Oct 8 04:43:55 2014 +0100

    Add a source format file (quilt 3.0) for debian releases

commit 3ad0be72d287b8e8fbfe8bb9037e83d5e74e8717
Author: Wookey <wookey@wookware.org>
Date:   Wed Oct 1 18:15:53 2014 +0100

    Ensure foreign-arch info reported correctly in logs (Closes: #763635)
    Add some more message-quoting rigour

commit 6015516643620776d6374c8ee2d5a8e84ae30c99
Author: Wookey <wookey@wookware.org>
Date:   Tue Sep 30 18:07:17 2014 +0100

    Better document debian release process in HACKING

commit d0dd2f6df2078c160875d2a330a3507a04e126e5
Author: Wookey <wookey@wookware.org>
Date:   Tue Sep 30 13:45:39 2014 +0100

    Fix sbuild test to respect apt policy, otherwise the test can fail
    because 'apt source foo' downloaded an unexpected version.

commit 8e2e1a421bfaf30968033ee2a205c2384df4941d
Author: Wookey <wookey@wookware.org>
Date:   Tue Sep 30 13:36:09 2014 +0100

    Update HACKING with test info

commit f4c586aaa3f7f45f8549dd893d06f254e31d2c3d
Author: Wookey <wookey@wookware.org>
Date:   Mon Sep 29 22:20:46 2014 +0100

    Update HACKING file with current release procedure

commit 4fdf1e712277a1862e2285cff7de805dc6197855
Author: Wookey <wookey@wookware.org>
Date:   Mon Sep 29 14:59:28 2014 +0100

    Add wookey to uploaders/team
    Release 0.64.3

commit 7b6b2b5983d54ff0ab54da5aa7ef2d499b87ad85
Author: Wookey <wookey@wookware.org>
Date:   Thu Sep 25 21:04:03 2014 +0100

    Merge #760991 and #608840 hook command changes.
    So chroot setup/cleanup commands are run as root and starting/finished commands are run as user
    The existing name for chroot-setup-commands is thus retained for backwards comptibility
    
         Here is a summary of the resulting command options, in order, showing
         option, user, internal/external, and point of running:
         --pre-build-commands       root  ext  after chroot session setup
         --chroot-setup-commands    root  int  after chroot initialisation, before 'update'
         --starting-build-commands  user  int  after update and dependency-install, before build
         --finished-build-commands  user  int  after end of timed build
         --chroot-cleanup-commands  root  int  after build, before session is closed
         --post-build-commands      root  ext  after session is shut down

commit ccfc7e7a6fda4aea36350b7588b8849901a19789
Author: Wookey <wookey@wookware.org>
Date:   Thu Sep 25 17:26:27 2014 +0100

    Add changelog entry for multiarch-build feature

commit 9fdca933d6264a4a21d63d4fd4b76dafb1ee15a9
Author: Dima Kogan <dima@secretsauce.net>
Date:   Thu Aug 28 23:55:13 2014 -0700

    I'm now removing any foreign architectures that I added

commit c599aa5e508d596b79f4130e63f5d197704504f3
Author: Dima Kogan <dima@secretsauce.net>
Date:   Thu Aug 28 23:16:41 2014 -0700

    I now add a foreign arch to support foreign Build-Depends
    
    As an example, if a Build-Depends contains
    
     libwhatever:armel
    
    then I run
    
     dpkg --add-architecture armel

commit 00bacfb97003422bebf5d6517f62660b574ccbfb
Author: Luca Falavigna <dktrkranz@debian.org>
Date:   Fri Sep 12 20:03:02 2014 +0200

    debian: Set distribution to unstable

commit 061bc7b44d801d2bc942d938b52e67bb75b0ae7d
Author: Luca Falavigna <dktrkranz@debian.org>
Date:   Fri Sep 12 20:02:36 2014 +0200

    NEWS: Finalise for 0.64.2

commit 031dd51d6b42cec3103314cc5caa87ef07acb2ec
Author: Luca Falavigna <dktrkranz@debian.org>
Date:   Sat Aug 9 10:46:14 2014 +0200

    Sort output of package content listing

commit 54d2d3128229c48b28d65300e1aa6e74c7a00e3b
Author: Luca Falavigna <dktrkranz@debian.org>
Date:   Sat Aug 9 10:44:46 2014 +0200

    Allow to Define custom debootstrap variant

commit 59f138dcf6568db56abc1edd1443968da970f71d
Author: Luca Falavigna <dktrkranz@debian.org>
Date:   Thu Jun 19 08:29:35 2014 +0200

    Allow to define custom suffixes in chroot names

commit 73a4ef2423980e6981356956b41a8b205118970d
Author: Colin Watson <cjwatson@ubuntu.com>
Date:   Fri Oct 18 12:47:35 2013 +0100

    debian: Document locale environment variable changes

commit 28a24d0d6eaf4ecf3c1d33d6c407bb2783ff8fe5
Author: Colin Watson <cjwatson@ubuntu.com>
Date:   Fri Oct 18 12:42:40 2013 +0100

    Buildd: Unset some more locale environment variables
    
    Also sort these in the same order as the output of locale(1), to make it
    easier to compare visually.

commit 295f8a47b99cf01f4db5548f888e92d7e25f3868
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 13 20:47:17 2013 +0100

    debian: Set distribution to unstable

commit 01fcea5556e18b211b7a5d653e94aa837c66c191
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 13 20:46:57 2013 +0100

    NEWS: Finalise for 0.64.1

commit edec86529f6100386d435d4a4694d70806d033a0
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 13 20:19:33 2013 +0100

    debian: Document autoflush workaround removal

commit c906219b9060cae5e6413dfcfd16965c3180a2e4
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 13 20:18:33 2013 +0100

    Sbuild::Build: Remove perl 5.10 autoflush workaround

commit 733220ece292b785491f45484563dded812b228c
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 13 19:55:56 2013 +0100

    debian: Also thank Václav Ovsík for #724858 patch

commit 73ef01ce6551b4545373c3d7b13325da4e285897
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 13 19:54:25 2013 +0100

    sbuild-createchroot: Remove package from tempfile usage

commit bb4814ba5dfc0ef851d35232f0b6a95e51e85311
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 13 19:47:28 2013 +0100

    debian: Close #722012

commit 40bb2ad7942a7f8ad78c8fa7f907bfb47d49aa1a
Author: Vaclav Ovsik <vaclav.ovsik@gmail.com>
Date:   Sun Oct 13 19:46:22 2013 +0100

    Sbuild::Conf: Add missing File::Spec

commit 497713d146b711b789e3a8b5e74fbfe56b60deec
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 13 19:44:24 2013 +0100

    debian: Also thank Paul Elliott for #724858 patch

commit 28922812df0114e59f8cb2cfe19fb56daf33459b
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 13 19:38:15 2013 +0100

    debian: Bump version to 0.64.1-1 and Close #724858

commit f31d0dfbb6cd1aa06892c520e2e473d1f099d06b
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 13 19:37:34 2013 +0100

    NEWS: Bump version to 0.64.1

commit 4cba82f909b46b69cf271b656e13e3c03898ec64
Author: Alexander Chernyakhovsky <achernya@mit.edu>
Date:   Sat Sep 28 16:07:44 2013 -0400

    Fix sbuild-createschroot on jessie/sid

commit d7f31eddcec5db5f5d0419daf520f9f19b857b5e
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri May 17 23:31:10 2013 +0100

    debian: Remove buildd preinst and correct init script dependencies

commit 05251cb18583d605d573b34bd782c1c28e1fd494
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri May 17 23:28:32 2013 +0100

    debian: Upgrade to Standards-Version 3.9.4

commit c439aad0bdfcd03d925b656593539574a9527996
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri May 17 23:10:12 2013 +0100

    NEWS: Bump version to 0.64.0 and document main changes

commit 1f9aecf124173808ed4e9bf67fe99c91de3010b8
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri May 17 23:09:43 2013 +0100

    debian: Bump changelog version to 0.64.0

commit a25baa48fe5813bffe6c51aa86eb90c190f8a682
Author: Geoffrey Thomas <geofft@mit.edu>
Date:   Tue Feb 12 17:36:36 2013 -0800

    debian: Close #672711

commit a319744b9fa1d2e6d98ef89e1a9ce7adbbb2a33f
Author: Geoffrey Thomas <geofft@mit.edu>
Date:   Tue Feb 12 17:34:04 2013 -0800

    Sbuild::Build: Add "binary-only=yes" to binNMU changelog entries
    
    When we add a changelog entry for a binNMU or for an appended version
    number, mark that entry with "binary-only=yes", so that new versions of
    dpkg-gencontrol know to use the previous changelog entry as the source
    version.

commit b6afed5937e32a0bc86d22c01ef5caa0e558ea6b
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri May 17 22:56:44 2013 +0100

    Sbuild::Build: Run lintian before moving the build files

commit 1b040f9f3e92b15bfc6bf3d36646e95430b5c21c
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri May 17 22:30:02 2013 +0100

    debian: Close #626361

commit 61656cfd7e24316b2d00ad14a0bafc6539be9b7e
Author: Reinhard Tartler <siretart@tauware.de>
Date:   Fri May 17 22:28:10 2013 +0100

    Sbuild::Build: Run lintian from inside the chroot
    
    Running lintian from inside the chroot supports use-cases with several
    chroots (oldstable, unstable, testing, lucid, natty, etc), where using
    the system lintian might not give the best results.  By using the
    lintian version from the chroot, sbuild uses always the version that
    matches the distro version that the package is being built for.

commit 0a7c7f5218479aebfd08ee239f1c6256e94593c9
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri May 17 22:26:13 2013 +0100

    debian: Close #686509

commit 4f9a42f94f029ef4b3812f780184c476a447342b
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri May 17 22:23:30 2013 +0100

    Sbuild::Build: Compute changes filename correctly
    
    Based upon initial work by Daniel Dehennin with additional
    changes for robustness when building inside a source tree.

commit fe47c7d7a2dd4abda9526789f36aecca188cc58b
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri May 17 21:20:33 2013 +0100

    debian: Close #699903

commit d2a8373eef3ad8112fbb680db488f87426e7c27e
Author: Stephan Sürken <absurd@debian.org>
Date:   Fri May 17 21:17:50 2013 +0100

    Sbuild::Build: Remove stray exit from copy_to_chroot
    
    This prevents sbuild waiting forever on 'Failed to copy'.

commit e7a822a1597610501562cae0e69329c828d28302
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri May 17 20:48:09 2013 +0100

    debian: Document forward-ported buildd patches

commit d5b99c2752566c3b25ddc57cb48222cda246c8b5
Author: Philipp Kern <pkern@debian.org>
Date:   Thu May 16 22:13:10 2013 +0100

    Fix SSH control master restart

commit 3283e5c5147cec8eededee2407e451bee916862c
Author: Philipp Kern <pkern@debian.org>
Date:   Thu May 16 22:10:14 2013 +0100

    [Sbuild::DB::Client] do not change the cwd

commit 4b05f6f1344b8ca03473fe41d7368795e7b94ebb
Merge: 11fe624 7aed101
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu May 16 20:28:38 2013 +0100

    Merge remote-tracking branch 'origin/master'
    
    Conflicts:
    	debian/changelog

commit 7aed1015ae16873618024f7bb89a04c7e59dc107
Author: Colin Watson <cjwatson@ubuntu.com>
Date:   Wed Feb 6 02:30:50 2013 +0000

    Buildd::Conf: Fix typo

commit 11fe624f2a0bdc2360e969eae3e5e024a2660d39
Author: Roland Stigge <stigge@antcom.de>
Date:   Tue Feb 5 21:00:32 2013 +0000

    Apply patch for 0.63.2-1.1 NMU

commit 86d9f34554c1b90163cff5ff184a07c265ce9d31
Author: Colin Watson <cjwatson@ubuntu.com>
Date:   Wed Jan 9 10:53:44 2013 +0000

    debian: Document sbuild failure count fix

commit e41cccc2d4e7122bda4c73772f58a4b12789ea9b
Author: Colin Watson <cjwatson@ubuntu.com>
Date:   Wed Jan 9 10:53:18 2013 +0000

    Buildd::Daemon: Reset sbuild failure count after sleeping

commit 746c269b1d1c413b685ff4bc7d218f4149abe7cd
Author: Adam Conrad <adconrad@0c3.net>
Date:   Mon Jan 7 11:18:50 2013 -0700

    debian: Close #695273

commit 5ad92654ae45bf3196b9d22f47838993d6991534
Author: Adam Conrad <adconrad@0c3.net>
Date:   Mon Jan 7 11:15:34 2013 -0700

    Fix and improve cross-build chroot detection
    
    Update ChrootInfo.pm to allow for chroots named $dist-$build-$host
    to avoid namespace clashes with native chroots, and fix Build.pm
    to default to looking for the chroot at HOST_ARCH.
    
    Improve documentation for the above in the sbuild.1 manpage.

commit 8b510e5f4417eadc92c4d13f8e996fad8cfde764
Author: Colin Watson <cjwatson@ubuntu.com>
Date:   Mon Jan 7 12:52:05 2013 +0000

    debian: Close #695203

commit 9aaa06de161ecb0a5422dc48805215211590c2f9
Author: Colin Watson <cjwatson@ubuntu.com>
Date:   Mon Jan 7 12:51:44 2013 +0000

    sbuild: Resolve cross-build-dependencies from package being built

commit 8851c91d4351db3f2e5ea727420c68c3ce421ae8
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jan 3 23:24:59 2013 +0000

    debian: Close #697298

commit dc49ae794f5f6c9b5b4903b4fae5feb4ed7e6276
Author: Colin Watson <cjwatson@ubuntu.com>
Date:   Thu Jan 3 23:23:18 2013 +0000

    ResolverBase: Pass correct options to deps_parse for :native deps

commit b0b469da801b54c4441fd16a9c85faa6a6b2362d
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jan 3 21:36:50 2013 +0000

    Buildd::Conf: Enable $distributions and $upload_queues
    
    These were in the example syntax, but didn't work.  Allow in
    addition to @distributions and @upload_queues, and warn if
    the @ form is used since this doesn't match use for all other
    configuration values.

commit a3b867ff94720cccd707f0aa88b0148cf0bfa3ce
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 30 16:58:22 2012 +0000

    Build::Conf: Revert incorrect documentation change

commit 134223e35d4bea3c58a4764d5ee4944598f67e25
Author: Thorsten Glaser <tg@mirbsd.org>
Date:   Sun Dec 30 00:07:29 2012 +0000

    avoid dereferencing MAILTO_HASH if it is undefined

commit a346f00792def8e5b4181e14fe958efd4448f43b
Author: Thorsten Glaser <tg@mirbsd.org>
Date:   Sun Dec 30 00:05:14 2012 +0000

    change sample configuration entries from $foo=[]; to @foo=();
    
    for now, this is required so they actually work; later, both
    methods may be allowed, but right now, only the latter works
    
    also, fix a missing parenthesis that gets jupp's find matching
    brace functionality confused

commit c8ccc72f0894cc8a4fec5ac8ca65bf4c08e34cdc
Author: Thorsten Glaser <tg@mirbsd.org>
Date:   Sun Dec 30 00:00:21 2012 +0000

    debian: Close #636477 by adding changelog entry for the previous commit

commit fbd76de128aefe983eb8d981e061fc4051432c7f
Author: Arnaud Patard <arnaud.patard@rtp-net.org>
Date:   Tue Jul 19 09:44:41 2011 +0200

    Fix get_db_handle
    
    Commit 72f987c0a03e58358ea616628514efa0113f0332 moved Client class from
    Sbuild::DB to Buildd:: and now, when uploading, there are errors in the
    log:
    Can't locate object method "new" via package "Buildd::Client" (perhaps you
    forgot to load "Buildd::Client"?) at /usr/share/perl5/Buildd/Base.pm line 120 (#1)
    
    Adding a "use Buildd:Client;" cures the problem for me.
    
    Signed-off-by: Arnaud Patard <arnaud.patard@rtp-net.org>

commit c73c97774dd63bc0db999b324b521fef54d07fb0
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Dec 10 00:04:10 2012 +0000

    debian: Close #693790

commit 444dfa6f947c89d6587f6877fcbe32cb7fe3f8ac
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Dec 10 00:03:03 2012 +0000

    buildd: Make sbuild failure count configurable with MAX_SBUILD_FAILS

commit d3b674303c8b8f99ccf6197fbfed3cf299968a11
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 9 23:55:36 2012 +0000

    debian: Close #693788

commit 0a0d30972d357959e863f58ffca4fdce714b9eba
Author: Colin Watson <cjwatson@ubuntu.com>
Date:   Sun Dec 9 23:53:54 2012 +0000

    Sbuild::Build: cross build-dep installation failure throws exception

commit 6e87a316d85417d38e3fbe0d8fe8700020ad71f1
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 9 23:50:49 2012 +0000

    debian: Close #695513 and bump version

commit 521290bf1e2b5b1c2013a187a4369a8ccfcde6fa
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 9 23:49:43 2012 +0000

    debian: Remove duplicate stop function from buildd init script

commit 752ee22db84da27f10c25520dbfba66d866fa1a7
Author: Roland Stigge <stigge@antcom.de>
Date:   Sat Dec 8 23:03:00 2012 +0000

    Fix building packages with revision "0"

commit c360e45618b901662cfea5044df4b55ad0e236c3
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Sep 4 17:39:12 2012 +0100

    man: Add --no to piuparts option

commit af05d7dffb90abf4ed0fe1676b902f452bc11d44
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Aug 28 23:55:53 2012 +0100

    sbuild: Move http downloads to executable wrapper
    
    This permits the .dsc to not match the standard naming
    conventions providing that the contents are correct.  The
    main goal is to only have the core code accept .dsc or
    package_version for download using apt-get.  This is a
    prerequisite for proper privilege separation and
    simplification of the core code.

commit d299f7eee5f7ea908e0b37ac44886be0aa33ca36
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 18 13:49:18 2012 +0100

    debian: Fix changelog for release

commit cd0dcdacd2a1a15c8debbe4449aff72965ec9686
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 18 13:42:41 2012 +0100

    NEWS: Document logging bugfix

commit b98743d6487d8c667f3ab19c2e974077f1d7c340
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 18 13:42:14 2012 +0100

    debian: Close #676834

commit 89dab349762a9f0839136ab80c9d3b4794aee372
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 18 13:37:26 2012 +0100

    test: Add logging testing scenarios

commit b196a2e2075147e4cbe4e48c15b9fd0b5d210572
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 18 13:14:05 2012 +0100

    sbuild: Don't open logs in the build directory when packing sources
    
    If building directing in the CWD, log in ..
    Implement this behaviour by setting BUILD_DIR to ..
    Also set LOG_DIR to BUILD_DIR in user mode so LOG_DIR is
    also not defaulting to CWD.

commit 350efb25e0ac914e932858c3c4809b2922c79fd8
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 18 13:13:28 2012 +0100

    Sbuild::ConfBase: Remove unused CWD variable

commit 82aeef2adbaef49b56677d9860b32b4b36ea4968
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jul 5 00:13:40 2012 +0100

    Sbuild::Conf: Remove additional bracket

commit 94ee5c5df3fbffdcd09781903e13fa4388bad16f
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 4 23:57:05 2012 +0100

    debian: Close #673009

commit dd273ea0ebe95467f5a9cb2623a9ea33fe563f14
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 4 23:55:21 2012 +0100

    Sbuild::Conf: Only create log directory in buildd mode

commit a2e05139759e72027a063e25f1512c628e05cf0e
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 4 23:50:37 2012 +0100

    Sbuild::Conf: Don't make log dir if NOLOG is set

commit 03d0040f6feeef2808169a63a851470c3fdc7836
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 4 23:14:37 2012 +0100

    debian: Close #662785

commit 942a97018e1024f9caee462f8a345cdf12ed0fa1
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 4 23:13:10 2012 +0100

    debian: Close #676834

commit 9c8d93868c1379c8137ba76119703c95f8a16332
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 4 23:10:33 2012 +0100

    sbuild: Build source directories correctly
    
    - If inside the directory, log outside
    - Clean and package correctly with dpkg-source whether sbuild was
      run from from inside or outside the source tree

commit ea79546910ec9f14b114b4500aa252484c93ba46
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 4 21:10:20 2012 +0100

    debian: Close #637931

commit bf557dc70a2feb9b87cc31d659bf8c15c0d9c1e7
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 4 21:08:47 2012 +0100

    Sbuild::Utility: Fix logging in download function

commit e34275c39235eb573d2a096be3a8499f33878a0a
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 4 20:35:02 2012 +0100

    debian: Close #674669

commit 1e88a1b18bc0358a03fe5f85cb83c204b00047a5
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 4 20:32:50 2012 +0100

    Sbuild::Build: Factor out finding changes into get_changes()

commit ec022e746e2d23556d6f58dfef1434fb560a3c05
Author: Daniel Dehennin <daniel.dehennin@baby-gnu.org>
Date:   Wed Jul 4 20:03:40 2012 +0100

    Sbuild::Build: Find _all.changes as well as _arch.changes

commit f29ce90bce6e74dedd85a26a883c5138e28afac8
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 4 20:03:24 2012 +0100

    debian: Close #675861

commit 7afefbf558f783735624577a246b7912912f6da3
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jun 28 23:01:30 2012 +0100

    debian: Close #673676

commit 4bc2072701dddf7aa5e3680ded77de0bf6f75f02
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jun 28 23:00:30 2012 +0100

    sbuild-createchroot: Don't use --keyring unless set by user

commit cb47de2a0e1cc6e501e0044b04b17dc2357a5b58
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jun 28 22:53:15 2012 +0100

    debian: Close #665215

commit 0df61e1b81d24c9a4a035a028ce4be8c4e79744e
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jun 28 22:25:14 2012 +0100

    debian: Close #676475

commit fe7f0e7c5ac20f7153b136489c40a06579cf44a6
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jun 28 22:23:18 2012 +0100

    Sbuild::Build: Don't run debsign with shell interpretation of $key_id
    
    This is badly broken.  Use separate arguments with correct quoting,
    to prevent shell metacharacters such as < and > not being interpreted
    by the shell.

commit 41a825a25eea52097c01a149250b44623c263e40
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jun 28 22:15:40 2012 +0100

    debian: Close #629109

commit 898eb8be3008616e93b9d4f92869d02177a52cae
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jun 28 22:15:34 2012 +0100

    NEWS: Document new --purge-build option

commit e32faf26f8a013f5d96a24934e9819878a1dace7
Author: Jan-Marek Glogowski <glogow@fbihome.de>
Date:   Thu Jun 28 22:10:44 2012 +0100

    Sbuild::Options: Add --purge-build option
    
    This replaces the existing --purge option, which now purges
    everything (build directory, build dependencies and session).

commit 97cd31badb3f28e900ff0ca922366004287ad43b
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jun 28 21:52:56 2012 +0100

    debian: Copy options description from NEWS

commit c7c485ee40753dafd4d025c92020eed0a48cffb7
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jun 28 21:52:40 2012 +0100

    NEWS: Document --no-run-lintian and --no-run-piuparts

commit 89e6d06a9c36e8384ba0db42ce3f093628a1f402
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jun 28 21:50:51 2012 +0100

    debian: Close #665372

commit e069ee987fe96ebf36687980e47c310339b50ea9
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jun 28 21:49:58 2012 +0100

    Sbuild::Options: Add --no-run-piuparts option

commit 7d4ca24cd826468908a4a7d830503a22d08f4edf
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jun 28 21:48:01 2012 +0100

    Sbuild::Options: Add --no-run-lintian option

commit be9e29229f9f78b8f06a97e4d12942b18ec3cdd3
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jun 28 21:37:07 2012 +0100

    debian: Close #663089

commit 4c8de771ad27c61fa0ad57af22ef80f45dede9a1
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jun 28 21:36:01 2012 +0100

    debian: Bump version to 0.63.2-1

commit 70e28a15c7d24747ceb6c151340da382aea4e575
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jun 28 21:35:16 2012 +0100

    NEWS: Bump version to 0.63.2

commit df035c6df4419c0155d58a90cfb5e187b6a16ae3
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jun 28 21:33:59 2012 +0100

    Sbuild::Conf: Fix typo sucess

commit 5f2eabf8b43fe96f141b15848210ba44d1bd50c3
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 5 20:18:06 2012 +0100

    sbuild-createchroot: use profile= in config
    
    This replaces script-config=.

commit 0566448375bc8032716f2d8c933d9d6fcea1a4e4
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu May 31 22:52:12 2012 +0100

    debian: Set distribution to unstable

commit a23d645e17600378a3747d12f172828a75ccf23b
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu May 31 22:11:29 2012 +0100

    debian: Close #675349

commit c85ad5f49c398a56a6b8416ee3a4ce2a41e6f2e3
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu May 31 22:08:32 2012 +0100

    debian: Bump version to 0.61.1-1 and close #675332 and #675354

commit 6ca7311194f162639be7447e5ab96e92229c5858
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu May 31 22:07:57 2012 +0100

    NEWS: Bump version to 0.63.1

commit ce35f824eaa35d7925520afa605b14723e1f6a8f
Author: Jakub Wilk <jwilk@debian.org>
Date:   Thu May 31 22:07:32 2012 +0100

    Sbuild::Conf: Correct validation of xapt program

commit 779e65fac8c1f3488afb1181a07adb835353d109
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed May 30 23:10:10 2012 +0100

    debian: buildd doesn't install schroot setup scripts
    
    Only used on the buildd branch.

commit bbf2c5bb7239b16f67009b3a58d71a3cd42b195b
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed May 30 23:09:33 2012 +0100

    debian: Document 25nssdatabases removal

commit a1fcce8d93f4e36f168314ae8f45f4d3de083843
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed May 30 23:05:05 2012 +0100

    etc: Drop long obsolete 25nssdatabases setup script
    
    Replaced by 20nssdatabases many years ago.

commit e2330e170a525d319a62a33e15a736d61af01dc1
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed May 30 22:59:46 2012 +0100

    debian: Drop /etc/schroot/setup.d from installation
    
    Only used on buildd branch.

commit 69c1be7f874f4b3fface40f579f4bc6071684914
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed May 30 22:50:04 2012 +0100

    debian: Update changelog date

commit 08e5a6aa6ca6fb90b723b5a8101cb302201bcb53
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed May 30 22:48:50 2012 +0100

    Sbuild::ResolverBase: Fix indentation

commit aba0b23e35fec286a14f927d4d711eed130f1e40
Merge: 96618cc d798c6e
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed May 30 22:46:05 2012 +0100

    Merge remote-tracking branch 'scratch/cross-build'
    
    Conflicts:
    	debian/changelog
    	lib/Sbuild/Conf.pm
    	lib/Sbuild/ResolverBase.pm

commit 96618cc9a2d2e2c08f29d083838bea81b0d78f4e
Merge: 85f1ffc c479be8
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed May 30 22:41:09 2012 +0100

    Merge branch 'master' of ssh+git://git.debian.org/git/buildd-tools/sbuild

commit d798c6eb59446e6cf897f24b89e84d925ef8ebc2
Author: Wookey <wookey@wookware.org>
Date:   Wed May 30 12:59:59 2012 +0100

    Don't check xapt exists unless it is configured - this config is rarely, if ever, used.

commit 09c65b3b46e3bc05e49ff48258d4014e4625a079
Author: Wookey <wookey@wookware.org>
Date:   Wed May 30 12:59:58 2012 +0100

    Use crossbuild-essential-$arch to gloss over distro differences

commit df870cee6ad584c2489648bdcadce82f8e9c4853
Author: Wookey <wookey@wookware.org>
Date:   Wed May 30 12:59:57 2012 +0100

    Use new dpkg 1.16.2 --add-architecture syntax so sbuild crosses-builds on Debian chroots

commit c479be82dc25fe0f2a15efc192920cdd50f48f18
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu May 10 00:05:00 2012 +0100

    99builddsourceslist: Add initialisation from buildd/config

commit 85f1ffc067501a03d086a2fd8c848b831d76ba89
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jan 29 22:39:01 2012 +0000

    build: Don't distribute or install Sbuild/Log.pm

commit 507624eb042399824f9f4d7b5e4155a87dbaa994
Author: Philipp Kern <pkern@debian.org>
Date:   Sat Jan 28 14:14:35 2012 +0100

    lib/Sbuild.pm, man/sbuild-setup.7.in: fix privilege typo

commit c883f7bbc172b6aadb6db750479fed4078855d45
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jan 25 22:05:00 2012 +0000

    Sbuild::Log: Remove
    
    Unused, and no functions referenced in any code.

commit 9b941b033a9489669efa1169110669d415ea7b8e
Author: Max Thoursie <max@spotify.com>
Date:   Wed Jan 25 11:22:30 2012 +0100

    debian: debian/rules runs ./bootstrap when needed
    
    To make it possible to build a debian package directly form a clean
    checkout, debian/rules now run ./bootstrap if ./configure is missing.
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 1fc35fe433366c97bc9ecd912ba0a70bd8488834
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jan 25 13:08:48 2012 +0000

    Sbuild::Build: Add separators around debian/files output

commit 9221db153bf8f6c938795e7a225b515edad2b422
Author: Max Thoursie <max@spotify.com>
Date:   Wed Jan 25 11:20:48 2012 +0100

    Sbuild::Build: Output the contents of debian/files w/o a box
    
    I don't think drawing a box around the contents of a file is appropriate
    since:
    
    • Boxes are already used for headings which could be confusing if the
      file only has one line.
    • It makes cut'n'pasting of the contents harder.
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 7652cced61c7d5d7ed70d3cd0e9e784070512af0
Author: Max Thoursie <max@spotify.com>
Date:   Wed Jan 25 11:00:57 2012 +0100

    Sbuild::Build: Remove double if statements
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit d6bfdf46fa3eef639381ef5aa16f2f2a06c5e48e
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jan 22 18:52:17 2012 +0000

    debian: Update changelog from NEWS

commit a7511c5875b1a4f26c57fc3000eea6f203578a69
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jan 22 10:49:11 2012 +0000

    Buildd::Conf: Correct misused HASH argument in constructor

commit 232f2d0e4d4e3bb089c17801f50202c697252961
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jan 22 10:47:42 2012 +0000

    test: Add database option to wanna-build

commit 2f1d5517ca65a545339d6b5e4c1a865375c39555
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jan 21 19:43:53 2012 +0000

    test: Add user option to wanna-build

commit f895976e6a71e3ffd7c71f0e66fdb98b30fe581a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jan 21 16:14:59 2012 +0000

    test: Add wanna-build test script for buildd
    
    This is a fake wanna-build, whose sole purpose is to test buildd
    without a full wanna-build setup.

commit e946eaa65c37229544235655b1179eeafe63a3c3
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jan 21 14:31:45 2012 +0000

    test: Remove sbuild-stats

commit 6a903e35b668a11f362793af2ffb706bcad47d87
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jan 21 14:30:31 2012 +0000

    Sbuild::Conf: Fix typo in TOOLCHAIN_REGEX help text

commit b295b904a19fc9f6a0041dbe036f32606e849fb5
Merge: a6ef88c cca5d11
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jan 21 14:21:51 2012 +0000

    Merge branch 'cross-build'
    
    Conflicts:
    	lib/Sbuild/Build.pm

commit cca5d11bba8e47c8e861b7d011f0098ba4ee40b9
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jan 21 14:18:04 2012 +0000

    Sbuild::ResolverBase: Set defaults for host and build arch

commit 23fef4539dd0b12108e5ffd1fe0ae5c35ecced67
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jan 21 13:25:03 2012 +0000

    Sbuild: LOG_DIR default depends upon SBUILD_MODE
    
    If SBUILD_MODE is user, set to "."
    If SBUILD_MODE is buildd, set to "$HOME/logs"

commit 895c02f94d957103badbf2865af631a941c86cbe
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jan 20 09:55:44 2012 +0000

    Sbuild::Build: Don't use dedicated log dir for user mode
    
    Create log file in build dir rather than a symlink.
    
    Unlink old build log before opening new log.  This prevents it
    following a symlink and overwriting an old log.

commit b37df9f6ddcc61651c7031d2a9db2e146ec79df8
Author: Wookey <wookey@wookware.org>
Date:   Fri Jan 20 03:07:35 2012 +0000

    Sbuild::Conf: Fix string quoting error in cross-build-coredeps config
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit c55152933851aa48e27048b2715c01ab25e49e2e
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jan 17 22:42:39 2012 +0000

    Sbuild::Build: Include @crosscoredeps in @coredeps

commit 1c6929c1b0884b5fd4f950fce48308dbaa686ce0
Author: Wookey <wookey@wookware.org>
Date:   Tue Jan 17 03:07:39 2012 +0000

    Sbuild::ResolverBase: Set Host and Build arch in resolver object
    
    Make names consistent. Part two of using get instead of get_conf for arches

commit 07305a6a99374c9168ada65b9713980b89a9e499
Author: Wookey <wookey@wookware.org>
Date:   Tue Jan 17 03:07:38 2012 +0000

    Sbuild::Build: Set Host and Build Arches in object, then use throughout

commit f8e41322c2838808cff1b80d7bf2e8a8792a1955
Author: Wookey <wookey@wookware.org>
Date:   Tue Jan 17 03:07:37 2012 +0000

    Sbuild::Build: Add log subsection for installing cross-build-deps

commit e36baf198d8f716eaf87dbafa1a2a6e71906dc43
Author: Wookey <wookey@wookware.org>
Date:   Tue Jan 17 03:07:36 2012 +0000

    Sbuild: Correct typos in logging messages for setting cross-arch config

commit 89aff1f819e59f608b5b8f648bdcb7fd174a3338
Author: Wookey <wookey@wookware.org>
Date:   Tue Jan 17 03:07:35 2012 +0000

    Sbuild::ResolverBase: Explicitly use shell in setup_dpkg
    
    This is to ensure redirect works properly.

commit c29bc4e1a837418ddefe4d5c66cbba6ac6c394df
Author: Wookey <wookey@wookware.org>
Date:   Tue Jan 17 03:07:34 2012 +0000

    Sbuild::Build: Fix run_fetch_install_packages for native builds
    
    Fix run_fetch_install_packages so native builds work as well as cross.  The
    issue was that if $crosscoredeps is not defined the code barfs on
    @{$crosscoredeps->{$self->get_conf('HOST_ARCH')}}, rather than it just being
    empty.
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit b772b185b547d00d08c78536a2e6dca2c03324b6
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jan 21 13:25:03 2012 +0000

    Sbuild: LOG_DIR default depends upon SBUILD_MODE
    
    If SBUILD_MODE is user, set to "."
    If SBUILD_MODE is buildd, set to "$HOME/logs"

commit a6ef88c53f427c418b608df38d99effdf4af9ecd
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jan 21 13:25:41 2012 +0000

    sbuild-dumpconfig: Don't wrap manpage help text
    
    The wrapping can break the troff markup if a leading single
    quote is wrapped.

commit 0acc6c7eb68b163e5a51fd83b01e2a9800bd14e8
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jan 21 13:25:03 2012 +0000

    Sbuild: LOG_DIR default depends upon SBUILD_MODE
    
    If SBUILD_MODE is user, set to "."
    If SBUILD_MODE is buildd, set to "$HOME/logs"

commit 3d8a80541aabe677311944191318ca9e620be0cf
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jan 20 09:55:44 2012 +0000

    Sbuild::Build: Don't use dedicated log dir for user mode
    
    Create log file in build dir rather than a symlink.
    
    Unlink old build log before opening new log.  This prevents it
    following a symlink and overwriting an old log.

commit 8efcabead98eef9a7fd5254b9b198fa706ece637
Author: Wookey <wookey@wookware.org>
Date:   Fri Jan 20 03:07:35 2012 +0000

    Fix string quoting error in cross-build-coredeps config
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit f573699f80bb7cc14eb703934827fe05316f8af5
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jan 20 09:55:44 2012 +0000

    Sbuild::Build: Unlink old build log before opening new log
    
    This prevents it following a symlink and overwriting an old log.

commit 19cab17c734794a8723df93a214ea83074be18a6
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jan 17 22:42:39 2012 +0000

    Sbuild::Build: Include @crosscoredeps in @coredeps

commit 58ccc02cb5f71f947014d49681c8cc291af49542
Author: Wookey <wookey@wookware.org>
Date:   Tue Jan 17 03:07:39 2012 +0000

    Set Host and Build arch in resolver object. Make names consistent. Part two of using get instead of get_conf for arches

commit 98ddf08398edce9264c5b4cdd7acf8fa0e547079
Author: Wookey <wookey@wookware.org>
Date:   Tue Jan 17 03:07:38 2012 +0000

    Set Host and Build Arches in object, then use throught

commit 4d355f73a45ce436e7f5e7cfe1ae2119178ff1f2
Author: Wookey <wookey@wookware.org>
Date:   Tue Jan 17 03:07:37 2012 +0000

    Add log subsection for installing cross-build-deps

commit ac532fb6222857453cd70efdb703280a1cd4461e
Author: Wookey <wookey@wookware.org>
Date:   Tue Jan 17 03:07:36 2012 +0000

    Correct typos in logging messages for setting cross-arch config

commit 7a81734d6d9befd934226e2c7364cb19348e561c
Author: Wookey <wookey@wookware.org>
Date:   Tue Jan 17 03:07:35 2012 +0000

    Explicitly use shell in setup-dpkg to ensure redirect works properly.

commit edf53cae8bba196745486b34faa73e4b0a38fda4
Author: Wookey <wookey@wookware.org>
Date:   Tue Jan 17 03:07:34 2012 +0000

    Fix run_fetch_install_packages so native builds work as well as cross Issue was that if $crosscoredeps is not defined the code barfs on @{$crosscoredeps->{$self->get_conf('HOST_ARCH'), rather than it just being empty. This code can be improved by a competent perl person.
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 9b5160be8d5d838f08232306e6db96c7c4d5d7ce
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Dec 22 00:15:54 2011 +0000

    Sbuild: Fix cross-build variable mismatches
    
    Only use HOST_ARCH and BUILD_ARCH in the configuration object.
    Drop all references to 'Host Arch' and 'Build Arch' in the
    individual Build or Resolver objects.

commit a69dacfd55980a81c5439b5cffdf174102367d53
Author: Wookey <wookey@wookware.org>
Date:   Wed Dec 21 22:41:08 2011 +0000

    Sbuild::ResolverBase.pm: Broken indentation tidy

commit 6083686e052ddf5a03b9e2475bd99152a9f6e697
Author: Wookey <wookey@wookware.org>
Date:   Wed Dec 21 22:41:07 2011 +0000

    Sbuild::Build: Cross-building uses apt-get build-dep
    
    Use apt-get -a $arch build-dep $package when cross-building instead of
    a dummy package.

commit b15919f444e085f03652ef44d20cedc8320f58b0
Author: Wookey <wookey@wookware.org>
Date:   Tue Dec 20 20:37:03 2011 +0000

    Sbuild::Build: Set environment variables for cross-building

commit fe563f73d9fe2798f5e556bb68ed114fbb8da995
Author: Wookey <wookey@wookware.org>
Date:   Mon Dec 19 19:29:52 2011 +0000

    Sbuild::ResolverBase: Use build arch for dummy deps package
    
    Do not use the host arch.

commit c9bf452a075f0d8abda6d4dce73f5bda027846a0
Author: Wookey <wookey@wookware.org>
Date:   Mon Dec 19 12:53:18 2011 +0000

    Sbuild::Build Add CROSSBUILD_CORE_DEPENDS{arch} to core deps

commit c89125965a155fe9f810aae18ee316382bd6cbcb
Author: Wookey <wookey@wookware.org>
Date:   Mon Dec 19 12:53:15 2011 +0000

    Sbuild::ResolverBase: Configure dpkg foreign-architecture
    
    Add setup-dpkg function to set dpkg foreign-architecture.
    Set dpkg multiarch cross-config; use the shell so that echo command is
    redirected properly.
    
    Add apt-config option to set apt to use $HOST package files
    
    Add reminder to tidy up sbuild foreign-arch config so the next build
    can be for a different architecture.

commit 82c87298b15f373ea33c5ae1d09274fb6bf3fcbb
Author: Wookey <wookey@wookware.org>
Date:   Mon Dec 19 12:53:14 2011 +0000

    Sbuild::Conf: Add dpkg-cross and pkg-config link to arm cross packages

commit 9fbe4b3b9b2fa89ae82ee0cd1498448db6699888
Author: Wookey <wookey@wookware.org>
Date:   Wed Dec 21 22:30:39 2011 +0000

    Sbuild::Build: Further clarification of build/host architecture
    
    Not clear if this should be $self->get('Host Arch') or
    $self->get_conf('HOST_ARCH') throughout.

commit aca7ffb653e507d27dc68291f8804ca04617463b
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Dec 17 00:36:31 2011 +0000

    NEWS: Document sbuild-stats removal

commit 5fee46565c4229c71528f26853142cda7d4da1a6
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Dec 17 00:36:16 2011 +0000

    sbuild-stats: Remove

commit c19435e3de029bdf0f5accb19846b589dd525400
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Dec 17 00:19:45 2011 +0000

    NEWS: Document watches removal

commit 71edcfde524cc4e05c26a54b74ea427489ceec9b
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Dec 17 00:16:55 2011 +0000

    Sbuild: Remove watches
    
    Unused for several years, and no longer useful now we have
    package build dependencies and cloned minimal chroot environments.

commit fa4b379987e4ae1dcc938006bc0d0504f77101d5
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Dec 16 11:52:51 2011 +0000

    NEWS: Document cross-build addition and internal removal

commit 68c7a10cad9d319f6fa45ff19803df2eb7e174a3
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Dec 16 11:52:35 2011 +0000

    Sbuild: Remove internal resolver

commit 42795b34d5cf5b54fd96dba6e8751a6ae7bc737f
Author: Wookey <wookey@wookware.org>
Date:   Tue Dec 13 02:37:40 2011 +0000

    debian: Add changelog entry for cross-build changes
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 85274fe89e62a711b83b7275b10cdfc6f9d1b2b8
Author: Wookey <wookey@wookware.org>
Date:   Tue Dec 13 02:37:42 2011 +0000

    Sbuild::Conf: Add MULTIARCH_CORE_DEPENDENCIES table
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit ffea1bc4be4e4ead2399ad220feeff614c2eafd0
Author: Hector Oron <hector.oron@toby-churchill.com>
Date:   Tue Dec 13 02:37:33 2011 +0000

    Sbuild: Add Xapt as a dependency resolver
    
    Signed-off-by: Hector Oron <hector.oron@toby-churchill.com>
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 50821b892c348a4ba1ff273c82ba84ad0bcbb4de
Author: Hector Oron <hector.oron@toby-churchill.com>
Date:   Tue Dec 13 02:37:26 2011 +0000

    Sbuild: Initial support for cross-building
    
    Use BUILD_ARCH and HOST_ARCH throughout to permit cross-building.
    Sbuild::Build: Add dpkg-buildpackage -a option when cross building.
    
    This patch was originally written by Hector Oron with bugfixes
    and changes from Wookey and Roger Leigh.
    
    Signed-off-by: Hector Oron <hector.oron@toby-churchill.com>
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 6f95db6318458c4f7dde44d388fbba48a3ea1ed2
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Dec 7 20:42:14 2011 +0000

    debian: Document forward-port of buildd-0.61.0 changes

commit 252eaf85f3cca1c45fa9848cb988c1c387f16c02
Author: Philipp Kern <pkern@debian.org>
Date:   Sun Nov 6 16:09:05 2011 +0100

    etc/99builddsourceslist: fix a typo

commit 882d64afd5bb9b5363a8e97aab9e5a43cf778d51
Author: Philipp Kern <pkern@debian.org>
Date:   Sun Sep 11 23:45:06 2011 +0200

    create-chroot: use directory in schroot snippet, not location

commit 0ba357185e76fde311e8ee1f571fca4ee42008b6
Author: Philipp Kern <pkern@debian.org>
Date:   Sun Jun 26 22:14:08 2011 +0200

    etc/99builddsourceslist: use backports.d.o for main bpo archive

commit 4deabd9763c630992b00042824a838a45eeb7dc5
Author: Philipp Kern <pkern@debian.org>
Date:   Wed Jun 1 00:01:45 2011 +0200

    create-chroot: create /var/lock/sbuild in the chroot

commit 9634ef81025880f3c93201bbfd0b087a6965c9ef
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Dec 7 13:59:36 2011 +0000

    NEWS: Document Build-Depends-Arch and Build-Conflicts-Arch

commit 5f35abb2a5764c6592ac8bc6bbf14b98c383c689
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Dec 7 13:56:56 2011 +0000

    debian: Document addition of Build-Depends-Arch and Build-Conflicts-Arch

commit 89ac7f291407d198c6f229e289867f90254e1bd8
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Dec 7 13:55:15 2011 +0000

    Sbuild: Support Build-Depends-Arch and Build-Depends-Indep

commit 5d9d8894cd34f923736e9832ec0be8dd505b1ace
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 27 21:53:17 2011 +0000

    NEWS: Document schroot namespace fix

commit 5d094074764799a936e0b95ef3c4ed587a33f4eb
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 27 21:47:02 2011 +0000

    debian: Close #612630

commit f082ad9fa12d61ec8c42ba0d979d37d60ee1c908
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 27 21:44:20 2011 +0000

    Sbuild::ChrootInfoSchroot: Support session namespace
    
    Attempt to get session information using a session: prefix.
    If this fails, fall back to the old-style unprefixed session
    identifier, to support older schroot versions.

commit fc085b97e1ee4acfd21206625093f24c3d1e5b64
Author: Philipp Kern <pkern@debian.org>
Date:   Sat Sep 3 13:35:13 2011 +0200

    bin/create-chroot: add s390 to the linux32 architectures

commit 8e56f027a0ac5f9958b258bc2a201f48f7555160
Merge: 44bd1e7 4ce195a
Author: Philipp Kern <pkern@debian.org>
Date:   Sat Sep 3 13:34:18 2011 +0200

    Merge branch 'master' of git://anonscm.debian.org/git/buildd-tools/sbuild

commit 4ce195a64edc7785ac85fa7d2474b82914b09899
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Aug 28 10:30:18 2011 +0100

    Sbuild::Chroot: Remove apostrophes from perl code run via sudo

commit 44bd1e7b7967928a22f06fdbbd5290de14b218dc
Author: Philipp Kern <pkern@debian.org>
Date:   Tue Aug 23 07:31:03 2011 +0200

    [Sbuild::Build] specify UTF-8 encoding in the .changes's MIME part (Closes: #638928)
    
    Thanks to James Vega for the report.

commit 2943ba47ef805a04029aa46036e03e1fa3bff4c3
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Aug 2 21:09:04 2011 +0100

    NEWS: Document alternative resolving

commit 48b1e75b42c092410a09a40b2c19461d20ded747
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Aug 2 21:08:46 2011 +0100

    debian: Document alternative resolving

commit b015217c8d760720c582f77b5b07dba39dd08197
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Aug 2 21:08:26 2011 +0100

    Sbuild: Allow configuration of alternative resolving

commit 7522366f83a44065a300350ac5e219dcd3715cbc
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 24 12:46:22 2011 +0100

    debian: Close #635250

commit 05ba5bf17cda2f072f22cc44d75cb76f3efd7a80
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 24 12:45:27 2011 +0100

    Sbuild::Options: Add --jobs as an alias for -j

commit 50091683e7007ae559ba759e3ceca218457e17d4
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 23 21:18:03 2011 +0100

    debian: Close #635203

commit c1694ba41d9e27c3fd55ad0048c8743bc034e334
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 23 21:17:10 2011 +0100

    debian: Bump version to 0.62.6-1

commit 74a1253f63cf881fa1c88eaad0f69f03d1a9bef4
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 23 21:17:00 2011 +0100

    NEWS: Bump version to 0.62.6

commit a551a6f37ae7ffee3efc9c67d16ceb2531ff5614
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 23 21:16:06 2011 +0100

    man: Add --chroot to synopsis

commit b586962d4e3d148c51ce2b166e43259eb3486b85
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 13 19:57:32 2011 +0100

    debian: Version 0.62.5-1

commit c6ab7925278f889a05995a42e445c08401305f37
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 13 19:55:50 2011 +0100

    NEWS: Bump version to 0.62.5

commit 187b08800407178af052c37b04636259413c30a1
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 13 19:54:06 2011 +0100

    test: Add checks for building from a source tree

commit a8a60964f28b23fbaae73a61303505f7dad61aa4
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jul 11 16:06:52 2011 +0100

    test: Test sbuild batch mode

commit 277b539a40bb3f29e414df2edce7bc552e6e976c
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jul 11 15:36:25 2011 +0100

    test: Use generic paths

commit 5f59d15bcc21f3b88c61017526684aaf98bf3b97
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jul 11 15:29:00 2011 +0100

    sbuild: Build using any source directory name, not just package-version

commit 0783ea3f44e160782e47cbd5221da04369a91e8f
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jul 11 15:06:07 2011 +0100

    Ensure that Dpkg::Version epoch and revision defaults are used correctly
    
    Set to 0 if absent for correct version comparison, but we need to
    check if that's the real value when using in filenames and other
    version strings.

commit 159ee505ca7bba13565466880eac95664c949583
Author: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
Date:   Mon Jun 27 22:19:32 2011 +0200

    the mail-wrapper script is longer in home/buildd/bin
    
    This is the actual content for the .forward file
    
    Signed-off-by: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 40a1e33c24d589c616c435344d6b5b80c9eb7fa3
Author: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
Date:   Mon Jun 27 22:19:31 2011 +0200

    Make NO-DAEMON-PLEASE work with home in /var/lib/buildd
    
    buildd's home moved "recently" from /home/ to /var/lib. The init script was
    not updated.
    While in here, add a space after the name so the warning message is not
    squeezed.
    
    Signed-off-by: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 59e10bdd5bb649f4631943e5b1de0f0f55d7f989
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 25 14:06:26 2011 +0100

    Sbuild: Remove unused code

commit 4d80969823ed8c8736c1347cb886664be8e7e33b
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 25 11:41:07 2011 +0100

    debian: Document use of more Dpkg modules

commit 17f1cab30105897532fc85405660781e7625b371
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 25 11:39:20 2011 +0100

    debian: Document lintian log colouring and $log_colour

commit 5aeb3ea8065c4f5b32fd3e3ead58afaf0a218e75
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 25 11:39:01 2011 +0100

    NEWS: Document log colouring for lintian and $log_colour

commit a4cbee0b3951afb03de98a33d5b60630bfa57531
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 25 11:29:44 2011 +0100

    debian: Close #631595

commit bb9312d265d809f75350905505111885e666ac19
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 25 11:29:35 2011 +0100

    NEWS: Document $build_environment

commit 41a49935d56602be093cae339147094e74de6db0
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 25 11:29:20 2011 +0100

    Sbuild::Conf: Note lack of filtering of build environment

commit 8ed34327528953d31f3a5e621c17e28ddffba159
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 25 11:23:17 2011 +0100

    Sbuild::Conf: Add BUILD_ENVIRONMENT configuration key
    
    This allows addition of specific environment variables to the
    dpkg-buildpackage environment.

commit f9f84cbca5716a292757e3be428240928d1269ea
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 25 11:21:18 2011 +0100

    Sbuild::Chroot: Add ENV_FILTER to allow customisation of filter
    
    Previous was set via the ENVIRONMENT_FILTER configuration key,
    but this is global, not per-invocation.  Set default ENV_FILTER
    from ENVIRONMENT_FILTER.

commit c83797d5380c0082cd48ef8facb332a8017ba70a
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jun 24 22:52:58 2011 +0100

    debian: Document /var/lib/sbuild/build

commit 6deb6e8e3872df446c8e3d60b4aa992ea17e6f0d
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jun 24 22:52:42 2011 +0100

    NEWS: Document /var/lib/sbuild/build

commit d2cb1f6913b82b7615d1fa289a596c5163d44c16
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jun 24 22:39:15 2011 +0100

    man: Update description of /var/lib/sbuild

commit 491807fa128f710de23eb161a67517e11d43d5a7
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jun 24 22:37:37 2011 +0100

    build: Install /var/lib/sbuild/build
    
    Add directory for holding build trees; this can be bind
    mounted by schroot when starting a new session.  This
    makes it easier to get at builds when using snapshot
    chroots, and also means the space for the build doesn't
    need to be in the chroot when using LVM snapshots, which
    would otherwise waste disc space.

commit 882527190b01c0271767c2b1ca8923dcc3596a2e
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jun 24 22:33:59 2011 +0100

    Sbuild: drop unused split_version

commit f4dd2a1dde292f190195a96ba361da6679c86a68
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jun 24 22:33:02 2011 +0100

    sbuild: Use Dpkg::Version in place of split_version

commit 8ab5cae5f3d01063aab147b0d3d528233d3c5122
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jun 24 20:29:51 2011 +0100

    Sbuild::Build: Use Dpkg::Version rather than regexes and split_version

commit dc71b36486b98077bca35026549e8d5057f33049
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jun 24 20:27:06 2011 +0100

    Sbuild::Build: Set HOME to /sbuild-nonexistent in the chroot
    
    /nonexistent is the home directory of the nobody user; change to
    /sbuild-nonexistent to make it explictly clear that the directory
    does not exist, and this was done deliberately by sbuild, to avoid
    confusion with the nobody user.  Thanks to Marc Haber.

commit 7e2fc735d9b7986bc443fcc9ece5a2c70ceb06e1
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jun 24 19:43:59 2011 +0100

    Sbuild: Replace built in version comparison with Dpkg::Version
    
    Part of patch set to remove duplicated logic and use libdpkg-perl.

commit 0d8468a4b9b4dd1ce428310b3c86502c2b2a8c1b
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jun 23 19:04:21 2011 +0100

    sbuild: Remove obsolete and unused SBUILD-FINISHED logic

commit 76277b346397ad03f451768efd893500c288292a
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jun 23 18:50:58 2011 +0100

    Sbuild: Implement dsc_files in terms of Dpkg::Control and Dpkg::Checksums
    
    Remove parse_file.  The role of this function is now completely replaced
    in all code by Dpkg::Control and its related modules.

commit a81a0e9b4e6f16bf6bd111b5faa26e477e347448
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jun 22 17:45:36 2011 +0100

    sbuild: Use Dpkg::Control in place of parse_file

commit 77c8cf80bcb746ff1b8232cac0cc6df85d0d2d92
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jun 22 15:19:00 2011 +0100

    debian: Close #612324

commit 601af3d6f3a7028b88e1b88e7e3afeeeef4877bb
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jun 22 15:13:39 2011 +0100

    sbuild: Generate source package prior to real build
    
    So that the code code only operates on .dsc files either
    locally or via download, package directories with dpkg-source -b
    before instantiating and using Sbuild::Build.  This additionally
    means there's a single codepath for downloading sources rather
    than a separate building path as well, simplifying the logic
    overall.

commit 06b2db93d292b602cf19aae62d992a7c24d93deb
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jun 20 23:29:25 2011 +0100

    Sbuild::Build: Only log to one logfile, dropping build log
    
    Only create the package build log, dropping the main build log
    (which would only ever be used to log errors prior to a build
    commencing, following which all output would be redirected to the
    package build log).
    
    This removes a layer of I/O redirection, which complicated the
    logging code, and added an extra layer of hairy complexity.

commit 81a63301893120ddfe5ed98cc809d050149763e6
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jun 20 20:56:28 2011 +0100

    sbuild: Only create and run a single job

commit d98f2963e35d5c9178a72d0b68a446c7c737ecc5
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jun 20 20:35:17 2011 +0100

    debian: Document sbuild building a single package only.

commit 218be9a06a99d1f27cc4f601d2182dba3cc9c85d
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jun 20 20:35:00 2011 +0100

    NEWS: Document sbuild building a single package only.

commit 34ebcd92526ee67531d2360eedf89f062bf1e606
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jun 20 20:34:43 2011 +0100

    man: Document sbuild only building a single package

commit 570be3c49e966d786578bf4d5980879e47a648b8
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jun 20 20:26:51 2011 +0100

    sbuild: Only permit one build at once

commit 540747d0b7b14a62ff75b8371af6aedcd7a7ff56
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jun 20 20:26:30 2011 +0100

    Sbuild::Build: Tidy log colouring and reduce verbosity

commit 0ec4080e2a737238a0786e832a5b3b744a7801e2
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jun 20 19:41:25 2011 +0100

    debian: Close #630791

commit 098afec7fa6d7e60989b3b99c08533ffd6000d33
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jun 20 19:35:23 2011 +0100

    sbuild-adduser: Use current options

commit b5fc26f99086fcbc4e291730a19bf057856507ab
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 19 22:34:24 2011 +0100

    debian: Document log colouring

commit 4f55b085b686a215578ec3d8eb8dfe0cca3ed936
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 19 22:34:15 2011 +0100

    NEWS: Document log colouring

commit 3ed62fdb8a61c6492e7dfae3288efced0446f541
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 19 22:31:38 2011 +0100

    Sbuild::Build: Colour distribution if different from changelog
    
    In order to make it clear that there may be a problem e.g.
    if building an upload for experimental in an unstable chroot,
    colour yellow if different.

commit 5762ea37d88b89891e1f67fb21548144d39541f3
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 19 22:30:34 2011 +0100

    Sbuild::Build: Make log colouring generic
    
    Colour lines based upon regex matches.  Make the regexes
    configurable using the same mechanism as for log filtering.
    Also make colouring configurable as for log filtering.

commit e371d7ff4343c9a82550ef94bfaaed9238f8de61
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 19 20:42:45 2011 +0100

    debian: Close #631060

commit 7e87fe6cf3e20ce4a2397659c12d2c257cc4e6a5
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 19 20:42:23 2011 +0100

    Sbuild::Build: Highlight lintian results in red/green

commit 5252ea9dce7b876c5b59c439f650ee45709560f5
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 19 20:41:22 2011 +0100

    debian: Bump version to 0.62.4-1

commit dc3a4b77f23a769cbac977d650d14a926cd24b62
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 19 20:41:09 2011 +0100

    Bump version to 0.62.4

commit 868715d47b7dff0682bb602407b5d4742e34ac45
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jun 15 12:55:38 2011 +0100

    Sbuild::Conf: Sync signing options from buildd-0.62.3

commit 4b004185bfb2264e21d650cce3ad091f22cc324b
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 11 15:50:55 2011 +0100

    Sbuild: Set HOME=/nonexistent in the build environment
    
    Sbuild::Conf: Allow HOME in environment
    Sbuild::Build: Set HOME=/nonexistent
    
    This additionally ensures that HOME is set when current sbuild
    versions are used with older (1.2.x) versions of schroot where
    HOME is not set when the -p option is used to preserve the user
    environment.

commit 99406aec96b0952e1b548ed816ba6e99e296b8ee
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 4 00:08:29 2011 +0100

    debian: Close #629005

commit a0f6242a2822bcb055386c51bd8630abb46bbd25
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 4 00:00:50 2011 +0100

    Sbuild::Utility: Only end session if one exists

commit ac44b441b5a5f881bda829a56918b0d97de7d6e8
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jun 3 23:56:12 2011 +0100

    Sbuild::Build: Missing lsb-release is not an error

commit 7a1fe3d277b02f13e06b831166f235947373125b
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jun 1 19:39:19 2011 +0100

    Sbuild::Build: Add 'Build Dir' to replace 'Chroot Build Dir'
    
    In order to reduce direct access to the build chroot from the host,
    add 'Build Dir' to store the path to the build inside the chroot,
    to replace 'Chroot Build dir', which stores the path to the build
    from the host.

commit e9fa79621c10803f076c7ec3261f87112592369c
Merge: b293b44 f5c642e
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jun 1 11:39:13 2011 +0100

    Merge branch 'master' of ssh+git://git.debian.org/git/buildd-tools/sbuild

commit b293b44bc97e4d9c5e72d544b0d7d839634c8e02
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jun 1 11:37:05 2011 +0100

    Sbuild::Chroot: Create chroot lock inside chroot
    
    To avoid issues with /var/lock being an absolute symlink to
    /run/lock on the host (which may or may not exist depending upon
    which Debian version the host is running, and which causes the
    chroot lock to be shared amongst multiple build chroots), the
    chroot lock is created and removed inside the chroot.  Inside the
    chroot, absolute symlinks will always point inside the chroot, so
    /var/lock will always be a valid (and unshared) location.

commit acae84866e28613ccbfe3dbb501c5f300ddd819c
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jun 1 11:35:02 2011 +0100

    debian: sbuild needs apt-utils for dependency package

commit 398c51c569099c201383b0b34aef59abdf1b7853
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jun 1 11:34:41 2011 +0100

    Sbuild::Build: Filter package build directory in log

commit f5c642e0786356ccb58d141dda0dbebf0778227a
Author: Philipp Kern <pkern@debian.org>
Date:   Tue May 31 23:31:30 2011 +0200

    create-chroot: set check intervals to 0 for the new filesystem

commit 0c0eefab62b93e98ff5fc204dbb7fe8b8051075d
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon May 30 16:18:13 2011 +0100

    debian: Document environment logging

commit 1d76274e548eb1da41101cb000c1369cfad65102
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon May 30 12:39:11 2011 +0100

    Sbuild::Build: Log build environment prior to building

commit 6c2060a7420b700e81cd33a78abd981a5567d7d6
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon May 30 11:02:05 2011 +0100

    debian: Close #608416

commit 1a64639219183889f44142cb68d308776b4de602
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon May 30 11:00:57 2011 +0100

    sbuild-createchroot: Don't overwrite sudo symlink

commit 60d0fe5fde49afaeaf71877a73edce6bd29ddedb
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 29 17:02:41 2011 +0100

    NEWS: Document -j

commit 8a94f8327bdee954deb62ed12e4969cd4dd5b2fb
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 29 17:01:57 2011 +0100

    debian: Close #626357

commit f3da9667e5763d1f6ba13b7a572c344f5ef80b86
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 29 17:01:19 2011 +0100

    Sbuild::Options: Add -j option to run parallel builds

commit e631f871e0ec70fc41f93802ca168f3e13b94da2
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 29 16:22:25 2011 +0100

    Sbuild::Build: Simplify lintian status codes

commit a05e7a6a14e67f21987905b3ca37a0cf5b988c63
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 29 16:22:10 2011 +0100

    debian: Don't package removed files

commit 7584c86cb333e5457cc31c9261bab89911335f12
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 29 14:29:27 2011 +0100

    debian: Document requirement for schroot >= 1.4.22

commit 6cc2097c04d1ecac9c28d6e84e9d607dbe10caea
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 29 14:28:34 2011 +0100

    debian: Bump minimum schroot version
    
    1.4.22 is required for the buildd profile.

commit 68591471252f9fb7f9cdcd5ce34b2ce84912512f
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 29 14:27:29 2011 +0100

    NEWS: Document buildd profile move to schroot

commit 84ad6f46421f6b5f94c30906eafb4dc3f2a6c3f6
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 29 14:16:10 2011 +0100

    debian: sbuild is arch all again

commit 1c398a4498172d25db29128cfca7415c16c354ad
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 29 14:23:07 2011 +0100

    NEWS: Remove sbuild-schroot wrapper

commit fe86c4d70da50a03a4376cfec9f3c14200a591c3
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 29 14:22:56 2011 +0100

    debian: Remove sbuild-schroot wrapper

commit b5f31a7c6afec45c6036acb48ad6447819ebefad
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 29 14:22:33 2011 +0100

    Remove sbuild-schroot wrapper program

commit 8ff97c75246b424f19730befab9393173673f43f
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 29 14:17:32 2011 +0100

    Sbuild::Conf: Use plain schroot binary rather than wrapper

commit 3b5850556d93a7e587d4d45c9f322e86b6680353
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 29 14:15:48 2011 +0100

    Sbuild::ConfBase: Default BUILD_USER to current user

commit 1242f671fd267319028602f79b8ac1923787baed
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 29 14:16:54 2011 +0100

    Sbuild: Use BUILD_USER rather than hardcoding sbuild

commit af7c63329c4b6d0c9cd68e04e000e830107027d2
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 29 13:44:11 2011 +0100

    debian: Close #617450

commit a569394e3734f5d532f2c7eaa297b22727abfa6b
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 29 13:43:13 2011 +0100

    Sbuild::Build: Add lintian and piuparts status to summary

commit 5efb94d1696c80d88f28627e8897fe4edc290930
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 29 13:22:31 2011 +0100

    debian: Close #626826

commit d1e199f2c2b666c477be01ebed872f2bdb298704
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 29 13:19:48 2011 +0100

    Sbuild::Chroot: Use /var/lib/sbuild/chroot-lock
    
    /var/lock may be a symlink to /run/lock on the host, which makes
    direct access using $target/var/lock impossible from the host.
    Switch to using /var/lib/sbuild which is guaranteed to be a real
    directory.

commit 152b9de5e3fe9f9e638000bd278385c8c5da893f
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 29 13:06:46 2011 +0100

    debian: Close #619892

commit 625fb4583dd4400b812a24f7ee91c3f22df54f5c
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 29 13:05:27 2011 +0100

    debian: Lock rather than delete accounts
    
    On purge, lock accounts.
    On installation, unlock.

commit 531a6a9380d2ec7b6b242d60488b8c8fdee7cf02
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 29 11:02:07 2011 +0100

    debian: Close #622735

commit b0042a56435c4ff1d1e6892c3adfb418bc81ce0e
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 29 11:01:18 2011 +0100

    sbuild-createchroot: Add sbuild user and group before updating
    
    basesetup() requires the presence of the sbuild user and group
    to chown various files/directories.

commit f7c772fa45deaa41bbc35503e4568102cad5daf5
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 29 10:16:43 2011 +0100

    debian: Close #627641

commit 377c53c2943b841e311919e30abc13a9e316cd7c
Author: Daniel Baumann <daniel.baumann@progress-linux.org>
Date:   Mon May 23 08:04:52 2011 +0200

    Correcting sbuild.postrm to not fail if /etc/sbuild/chroot does not exist (Closes: #627641).
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 04a8737ac4d95d3826ea4c4e9bdce9f93bf8c195
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu May 26 17:27:30 2011 +0100

    debian: Close #627854

commit c09e21745d4e45b5eaa1ed5b3b80cc3a8e0a8873
Author: Samuel Thibault <sthibault@debian.org>
Date:   Thu May 26 17:22:22 2011 +0100

    Buildd::Mail: Remove empty newline from .changes
    
    ftp-master started refusing .changes files which have a trailing empty
    line (after the GPG end of signature).  It happens that mutt introduces
    one when signing GPG in traditional mode.  Other tools probably do too.
    buildd-mail-wrapper should probably drop it automatically.
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 36614d123b4cff61896d815b882e717a76bb9f5e
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 15 17:46:01 2011 +0100

    debian: Document buildd init script runlevels

commit 8a9bb2dfa8147a7437e67d4b0caf71bd13c71fee
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 15 17:44:57 2011 +0100

    debian: buildd init scripts uses standard runlevels
    
    Start buildd in 2-5, not S.  Stop in 0, 1 and 6.

commit 20440d40b9a40f01908798549d09bca346da14b9
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 15 16:05:13 2011 +0100

    debian: Document buildd profile removal

commit 3d33c55f3a2787c9e515cd8d3609cf01c73addf6
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 15 16:03:27 2011 +0100

    sbuild: Remove buildd profile (moved to schroot)
    
    Because sbuild is arch-all and the profiles are arch-any, they
    need generating in an arch-any package in order to be useful.
    Additionally, all the other profiles are in the schroot package,
    so it makes sense to keep them together so they can all be
    maintained as a set.

commit d73e2a25e145237c384950fd84789e2cd578510f
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Apr 19 12:02:28 2011 +0100

    debian: Bump version to 0.62.3-1 and Close #622832

commit 6a40432c0ccf3846018efa93ff62e8db6535c381
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Apr 19 12:02:02 2011 +0100

    NEWS: Bump version to 0.62.3 and document alternatives change

commit d4ff9f89a8d86a5350aa9f1dafdc6d1add9f2234
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Apr 19 11:25:54 2011 +0100

    Sbuild::ResolverBase: Allow alternative dependencies for same package
    
    Currently, when alternative dependencies are not allowed, only the
    first alternative is used.  Here, this rule is relaxed when the
    alternative dependency or dependencies are for the same package name,
    i.e. foo (rel x) | foo (rel y) [ ... foo (rel z) ]
    since while these are separate dependencies, they are in reality a
    single logical dependency.

commit fd9c9216f5c33d20d5b5011655be0f273ee010e7
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Apr 5 10:46:54 2011 +0100

    debian: Log colouring is configurable

commit 4e4a7c90dd158394e67611c1880af05807ed6d47
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Apr 5 10:46:15 2011 +0100

    NEWS: Log colouring is configurable

commit 6f8534d2e503245903ce5f0cd81c888f396918ee
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Apr 5 10:45:57 2011 +0100

    Sbuild: Allow log colouring to be disabled

commit 64ff82618b84282a98398ddb3c2d59991e3eeef6
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Apr 5 00:26:50 2011 +0100

    debian: Close #620758

commit 9f395ee14caf33352957728a28a2b90ecf7851e1
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Apr 5 00:25:18 2011 +0100

    Sbuild::ConfBase: Set MAILTO from hash in DISTRIBUTION SET trigger

commit 6d45c877df377f2cc09ea4e62111dc149cde8226
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Apr 5 00:24:39 2011 +0100

    Sbuild::Conf: Set maintainer name in trigger

commit 328b2f05918edf99d1db8cf8664e00805d7f2579
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Apr 5 00:21:44 2011 +0100

    sbuild: Move binNMU check to top level
    
    Must be done after processing options, or else it will never work.

commit 9af4466c20cfb9a31f99cb50a132a433e58cceed
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Apr 5 00:05:19 2011 +0100

    debian: Merge buildd-0.61.0 changes

commit 4bb4614487f3eb2dfcf410121c50406a5dd514ce
Author: Philipp Kern <pkern@debian.org>
Date:   Sat Apr 2 13:43:14 2011 +0200

    [Buildd::Daemon] move_to_upload: fix binNMU uploading

commit b8fba2de0b2c273d2983007135502cc3edc196bc
Author: Philipp Kern <pkern@debian.org>
Date:   Tue Mar 29 20:11:12 2011 +0200

    [Buildd::Daemon] support autosigning of binNMUs

commit 3382ef353c61963d9983a2892731db4f6c9c2f0a
Author: Philipp Kern <pkern@debian.org>
Date:   Mon Mar 28 21:50:39 2011 +0200

    [Sbuild::Conf] adjust ENVIRONMENT_FILTER to be sane

commit b20bb0f6848f8f0b17414ac47f53b523607dc20e
Author: Philipp Kern <pkern@debian.org>
Date:   Mon Apr 4 23:46:13 2011 +0100

    Sbuild::Build: Forward port build autosigning
    
    Sbuild::Conf: Put SIGNING_OPTIONS into an array instead of overwriting
      values.
    Sbuild::Conf: Handle command-line signing options correctly.
    Sbuild::Build: Invoke debsign post-build.
      Passing -k to dpkg-buildpackage involves the chroot having access to
      key material.  Invoking debsign post-build outside of the chroot
      seems to make much more sense.  It might be interactive at this point
      but at least for the buildd.d.o case that's not going to happen, so
      that's ignored in this design.
    Sbuild::Build: Only try to invoke debsign on successful builds.

commit 6f9df8381a31b9d4ca8928fe8e6f0cdaec9c3d60
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Apr 4 23:18:01 2011 +0100

    Sbuild::Build: Add extra checks when doing binNMU
    
    If the maintainer name is unset, this can lead to errors.
    Note that this should be detected earlier, but check here
    as well to ensure we never use maintainer name undefined.

commit 5d822d9f99c1601c281cd9cedc337ffeec097beb
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Apr 4 22:02:59 2011 +0100

    debian: Close #620112

commit 961752291078ffa5f5dcea15be508917dfa0d15d
Author: Anders Kaseorg <andersk@mit.edu>
Date:   Mon Apr 4 21:57:36 2011 +0100

    Sbuild::Build: Improve binNMU changelog handling
    
    According to https://wiki.ubuntu.com/MultiarchSpec#Binary%20NMUs ,
    although a Multi-Arch: same package may not be binNMU’d on individual
    architectures, it should be possible to schedule a binNMU on all
    architectures at once, and have the resulting packages remain
    co-installable.  However, this does not quite work right now for a silly
    reason: sbuild generates a different timestamp for the binNMU changelog
    entry in each build, and the differing changelog.gz files break
    co-installability.
    
    This fixes the problem by generating the timestamp in a deterministic way:
    we just copy the timestamp from the previous changelog entry.  (Since the
    source has not changed since that time, it seems like as good a time as
    any to write into the changelog.)
    
    Certain automated backport setups that use --append-to-version are also
    affected by this issue and require this fix as well.
    
    Use dpkg-parsechangelog to parse previous changelog entry to acquire
    all needed information, including the correct date.
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 40205e7eb6ba199e7a900f27c12c61edd20a6b7c
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Apr 4 18:11:12 2011 +0100

    debian: Close #620589

commit 9a73da4e5c4b261a549d3942b4469ffe4935bdb3
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Apr 4 18:10:21 2011 +0100

    NEWS: Document log filtering changes

commit baf300b302d2fab45eaa96c06eea2a95b353600d
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Apr 4 18:08:16 2011 +0100

    Sbuild::Conf: Add LOG_FILTER
    
    Allows disabling of log filtering.

commit 7bfce2207291c4299f36c85fada45cdb6e43638f
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Apr 4 18:05:45 2011 +0100

    Sbuild::Build: Improve clarity of log filtering
    
    Surround filter string with "«" and "»" so that strings such as
    CHROOT and BUILDDIR can't be confused with any actual appearance of
    the same string in the build log.

commit c8e986d023df635dd8e9fc73a4cf45c4b0510765
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Apr 4 17:45:30 2011 +0100

    debian: Close #620797

commit cefa705393f0ae4c1f38f8d740eea5f77d0a9a78
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Apr 4 17:42:17 2011 +0100

    Sbuild::ResolverBase: sources.list fragments must have 0644 permissions
    
    This is needed in order for apt-cache to be able to read them when
    running as a normal user (not root).

commit ead64a7794af0bbac877746c278b41de37ba94a4
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Mar 28 23:51:05 2011 +0100

    Revert "man: Document --suppress-successful-logs"
    
    This reverts commit c448d24981d6e405e410f40ff83af726a5931edf.

commit 1bf2b951365ef04ab4492516e32bc0662b8c3cc6
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Mar 28 23:50:50 2011 +0100

    Revert "sbuild: Add new option to suppress log mails for successful builds"
    
    This reverts commit 81f4ee05f49275fc0417099a9e3f2bd57b3ac001.

commit ef4dc57770f5ef497ace28310bd20abd3a327136
Author: Modestas Vainius <modax@debian.org>
Date:   Sun Mar 27 00:56:37 2011 +0200

    Sbuild::Conf: Rename end_session to purge_session
    
    Rename:
        $end_session -> $purge_session
        END_SESSION -> PURGE_SESSION
    for consistency with the rest of similar sbuild.conf settings.
    
    Also fix PURGE_SESSION key properties (TYPE, HELP, CHECK) which were forgotten
    after copy&paste from PURGE_BUILD_DEPS.
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit c47a8ab88cedc9423aabad7914bb4374952e9cc4
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Mar 26 20:52:41 2011 +0000

    debian: Close #619332

commit c703076f82f400ba29990d7f1aee50499698cf13
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Mar 26 20:50:43 2011 +0000

    NEWS: Document --purge-session and $end_session

commit edec8e64208bc31f8dac4d16f5b03099d73ea7c6
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Mar 26 20:46:35 2011 +0000

    Sbuild::Conf: END_SESSION allows same purge modes as purge options

commit 466a633a279268bf74db3a385b40d0a70435d73b
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Mar 26 20:23:26 2011 +0000

    debian: Close #619526

commit 5df906cd22c7f073edb6a51af8a6d49a5e208aa7
Author: Marc Deslauriers <marc.deslauriers@ubuntu.com>
Date:   Sat Mar 26 20:20:27 2011 +0000

    Sbuild::Build: Add work around for wrong build-essential entry on Ubuntu Lucid
    
    Work around Lucid issue that has diff listed in build-essential
    instead of diffutils. This causes schroots that don't have
    universe enabled to fail to install dependencies. (LP: #741897).
    This may be worthwhile for Debian users who want to build packages for
    Ubuntu.
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit e40ed8704cc7858065d2e443785c9381fc1b1c69
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Mar 26 20:18:42 2011 +0000

    debian: Close #619002

commit c448d24981d6e405e410f40ff83af726a5931edf
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Mar 26 16:28:14 2011 +0000

    man: Document --suppress-successful-logs

commit 81f4ee05f49275fc0417099a9e3f2bd57b3ac001
Author: Philipp Kern <pkern@debian.org>
Date:   Fri Mar 25 16:19:10 2011 +0100

    sbuild: Add new option to suppress log mails for successful builds
    
    With autosigning one might just be interested in processing the failed logs as
    the successful logs do not need any manual handling.

commit 00293ecbb9cd4d639f5d2ad69fd973c66b3fe4f8
Author: Philipp Kern <pkern@debian.org>
Date:   Fri Mar 25 15:48:32 2011 +0100

    [Buildd::Daemon] add arch_all building support

commit f096e18462a2be6117739bab7eadc383a32ec7b5
Author: Philipp Kern <pkern@debian.org>
Date:   Thu Mar 24 21:40:22 2011 +0100

    [Sbuild::Build] invoke debsign post-build
    
    Passing -k to dpkg-buildpackage involves the chroot having access to key
    material.  Invoking debsign post-build outside of the chroot seems to make much
    more sense.  It might be interactive at this point but at least for the
    buildd.d.o case that's not going to happen, so that's ignored in this design.

commit c725c0a269282654376aa154043c51596205b928
Author: Philipp Kern <pkern@debian.org>
Date:   Thu Mar 24 20:46:12 2011 +0100

    [Sbuild::Conf] handle command-line signing options correctly
    
    SIGNING_OPTIONS put into an array instead of overwriting values.

commit a4d14a3b0b19c120b3ff640badfb8d6ce853cefa
Author: Philipp Kern <pkern@debian.org>
Date:   Thu Mar 24 20:42:29 2011 +0100

    [Sbuild::Build] check correctly for SIGNING_OPTIONS being an ARRAY

commit d8cc7e5bea0d51d7550e2eeb66a36eb75906f365
Author: Philipp Kern <pkern@debian.org>
Date:   Thu Mar 24 19:58:17 2011 +0100

    [Buildd::Uploader] make .changes -> .upload substitution clearer

commit d0de2ffcf4bd31b3235e04938d8e6c7b20aabb9e
Author: Philipp Kern <pkern@debian.org>
Date:   Thu Mar 24 19:22:45 2011 +0100

    [Sbuild::Build] attach a .summary file to MIME build logs

commit 1f688ed937015682b393862c7d8edaaf0295430e
Author: Philipp Kern <pkern@debian.org>
Date:   Thu Mar 24 15:34:26 2011 +0100

    [Sbuild::Build] put KEY_ID into the log mail header if set

commit 914e22d60ccd95ea8cba4733ed698fa81014bc72
Author: Philipp Kern <pkern@debian.org>
Date:   Thu Mar 24 15:29:48 2011 +0100

    [Buildd::Daemon] put signed builds into the upload queue

commit 76bb3689f4ebd1c8a38b936d38c1a13c9e08cdca
Author: Philipp Kern <pkern@debian.org>
Date:   Thu Mar 24 15:07:25 2011 +0100

    [Buildd::Daemon] pass SIGN_WITH as keyid to sbuild

commit da7e48b9b33c289b5342e51dfd822f32ae5767b9
Author: Philipp Kern <pkern@debian.org>
Date:   Thu Mar 24 15:02:45 2011 +0100

    [Buildd::DistConf] SIGN_WITH added as a new variable

commit 7e4e1f96a86c6b624649643fb79657d150a78535
Author: Philipp Kern <pkern@debian.org>
Date:   Thu Mar 24 14:53:43 2011 +0100

    [Buildd::Daemon] remove unused read_config function

commit 276a761cdbba468d787b4340c5ccec83f76d1a7f
Author: Philipp Kern <pkern@debian.org>
Date:   Sat Mar 19 14:48:55 2011 +0100

    debian/rules: do not install the init script on buildd builds

commit 1759b73076705676e14747c174efe86184928746
Author: Philipp Kern <pkern@debian.org>
Date:   Sat Mar 19 14:44:12 2011 +0100

    debian/buildd.*{inst,rm}: remove 0.58.3-1 upgrade code

commit 66024919a6f64ecec8873b3bc1a34249f5112b94
Author: Andreas Barth <aba@not.so.argh.org>
Date:   Sat Feb 19 14:03:52 2011 +0100

    squeeze released: git rid of etch-only code, change codenames in creat-chroot

commit 83012e2f6001c2391c9ebccd339b7e5bed56c1b0
Author: Andreas Barth <aba@not.so.argh.org>
Date:   Sun Mar 13 22:50:09 2011 +0100

    take build_dep_resolver from wanna-build if not locally configured

commit 90d94ba3b20c9bb84f78b0b4ac03170039df1e05
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Mar 26 15:08:15 2011 +0000

    .gitignore: Add newly-generated files

commit 1489e252d1479bb60adc6eef590b86191e5ea847
Author: Philipp Kern <pkern@debian.org>
Date:   Fri Mar 25 22:10:35 2011 +0100

    [Buildd::Daemon] fix up retry

commit 085708fe07458005b4c2495d37af705447b0dbf5
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Mar 23 23:56:58 2011 +0000

    Sbuild::Build: Don't log repeated schroot deprecation warnings
    
    Log only once, then ignore subsequent messages.

commit 65cc424b4e54a8d61a3a451473b750b50b5258dd
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Mar 23 23:26:11 2011 +0000

    TODO: Update

commit faca465524877d3a6e77888e96ca96402b541d08
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Mar 23 23:25:57 2011 +0000

    debian: Close #619416

commit e6089d3188af7ff9c24b00f5f310cbf88e8cc62c
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Mar 23 23:23:16 2011 +0000

    Sbuild::Conf: Don't output BUILD_DIR by default
    
    Since it's build-specific, don't use in sbuild.conf or
    sbuild.conf(5).

commit 2b7bf4a4bdaf2819b11a7c267e558c8b1f2746dd
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Mar 23 12:50:44 2011 +0000

    Sbuild::ConfBase: Warn if $HOME is unset

commit f5ea293c906298ffd2b3f7a974d90d072becdad0
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Mar 23 10:40:57 2011 +0000

    debian: Close #619288

commit 53f56cc34a416b60573fb7d0f5fb2ad39e4671c6
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Mar 23 10:36:16 2011 +0000

    Sbuild::ConfBase: Don't fail if HOME is unset
    
    If HOME not set in the environment, fall back to passwd.pw_dir.
    Fail outright if passwd entry for the current user does not exist,
    and don't fall back to LOGNAME or USER in the environment, just
    take it directly from passwd.

commit b6f226ff0f7477f939b1c6498da526cc0a8be533
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Mar 21 14:53:30 2011 +0000

    debian: Close #619128

commit 45ef2313c76e40cee0bdc13f9405a07217c87f4e
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Mar 21 14:52:22 2011 +0000

    wrapper: Allow root to bypass sbuild group membership checks

commit 7f52bf7c7e7881d49e549b0b3e46d53e6bc806d0
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Mar 21 14:52:02 2011 +0000

    debian: Bump version to 0.62.2-1 and document new options

commit 7f07ed01fedc85d9ac4c66d4ecfcce4758412333
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Mar 21 14:51:16 2011 +0000

    NEWS: Bump version to 0.62.2 and document new options

commit b192bfc15d13e4f2d1be9b8ac065c0a4b9b556ba
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Mar 21 14:41:32 2011 +0000

    Buildd::Daemon: Don't upgrade or distupgrade running sbuild

commit f311dfece392534f25b03dace02d75fed6997e86
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Mar 21 11:00:33 2011 +0000

    sbuild: Add --no-apt-* options to disable default actions
    
    Allows disabling of apt clean, update, upgrade and distupgrade
    actions.

commit 516552e446a47e5908ca3b17dc5ebaa172962066
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Mar 20 23:06:58 2011 +0000

    debian: Bump version to 0.62.1-1 and fix sbuild-schroot wrapper

commit 767defee367ff548f14c6347aff899307c52e7d5
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Mar 20 23:06:37 2011 +0000

    NEWS: Document sbuild-schroot permissions checking fix

commit 9607fdaacebe9c4008efbeaaaa7defa5ec36ce56
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Mar 20 22:58:58 2011 +0000

    Sbuild::ResolverBase: Remove File::Path dependency

commit a4527c3dfc782204b6d1c6b28818e52249aef9f6
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Mar 20 22:36:25 2011 +0000

    wrapper: Enforce group access checks

commit 07bf64f9c1c9664b2a7562412bacaba316faf802
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Mar 16 18:57:32 2011 +0000

    Sbuild::ConfBase: Really permit check disabling during build

commit cb626bfbac1d562ac9861a097bba50130e91b42a
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Mar 16 18:57:10 2011 +0000

    debian: Add missing perl modules for autobuilding

commit 0cff4863c1753b16efeaab4a73e693ce2d60493b
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Mar 16 16:10:44 2011 +0000

    debian: Document MIME and compression of log mails

commit 0414e5c0c6828050a6f2cc93f34bc64e8b358b1f
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Mar 16 16:10:06 2011 +0000

    NEWS: Document MIME and compression of log mails

commit 89a5a371ae375f23a7622ee2396f19bde04f77b2
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Mar 16 16:09:46 2011 +0000

    Sbuild::Conf: Make MIME and log compression the default

commit ecdac9e186cde1f47ca4f656bbf302ac064c6730
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Mar 16 12:52:59 2011 +0000

    Sbuild::Chroot: Don't run sudo with -p
    
    '-p' leads to $USER being root, and consequent permissions errors
    when trying to read files under /root.

commit f4318e2d2fa499539ae29fbfe6d9a7327b64a1b3
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Mar 16 12:52:15 2011 +0000

    Sbuild::ChrootSetup: Enable privilege separation for generating keys

commit 7a8d8fc292a3568e338634b7caf899325da55ede
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Mar 16 12:51:43 2011 +0000

    sbuild-update: Create only one ChrootRoot object

commit bb252ed2a5484b420ab14300d1531292ae656129
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Mar 16 11:48:15 2011 +0000

    Sbuild::Build: Remove log compression without MIME

commit 1fbe5fec065681938d8ee8c106300b48c8a52f64
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Mar 11 09:47:26 2011 +0000

    debian: Add lintian override for sbuild setuid wrapper

commit 206b6b0f547966ca2363450608403cc31a37c779
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Mar 11 09:45:46 2011 +0000

    debian: Fix buildd sbuild dependency for binNMU now it's arch-any

commit 347a63f7f8c5895e0e874af17895777ead34e38e
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Mar 11 09:41:25 2011 +0000

    debian: Bump version to 0.62.0-1

commit ba9f20e072c57651205594b146a48cbca339439a
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Mar 11 09:41:06 2011 +0000

    NEWS: Bump version to 0.62.0

commit b3a341b7738599a7530641ef99feca411ec7347c
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Mar 11 09:39:40 2011 +0000

    debian: Tidy changelog

commit c1915ab66ddce10766c8f2439b45ba13edcb1eed
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Mar 11 09:39:32 2011 +0000

    NEWS: Tidy

commit 70174465eb0f23caf0f9e99246bb4080e5c43327
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Mar 10 22:39:32 2011 +0000

    debian: Document build dir name change

commit 937047e1a574e575dcd047ef2ac943ae4c06b789
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Mar 10 22:39:17 2011 +0000

    NEWS: Document build dir name change

commit 4905add4b224678d0cb82aa124e5a23d56b6af1d
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Mar 10 22:34:42 2011 +0000

    Sbuild::Build: Shorted chroot build directory.
    
    Now /build/packagename-XXXXXX instead of
    /build-packagename_shortversion-archname-XXXXXX.
    
    This will reduce the chance of build failure on some architectures
    with path length limitations, and also for (buggy) packages using
    sockets, which also have a very short length limit.

commit 94cf8c681f899241da9b97b93c0e5b2c3e286f08
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Mar 10 20:07:01 2011 +0000

    debian: Amend wanna-build removal comments

commit e9e5d41bffaf712c6d1540c5597716eafaceb218
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Mar 10 20:06:44 2011 +0000

    NEWS: Document wanna-build removal

commit 72f987c0a03e58358ea616628514efa0113f0332
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Mar 10 19:02:33 2011 +0000

    Sbuild::DB::Client*: Rename to Buildd::Client*

commit bcb2ba816074de1a97582eff100aa0b0e5658bd5
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Mar 10 18:54:30 2011 +0000

    etc: Remove wanna-build.conf

commit 087047679e8845e38041224d0f0bf21b83f959a0
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Mar 10 18:50:53 2011 +0000

    wanna-build: Remove

commit cb5ffa9e11129a822e9ea117adfef266467b0b0b
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Mar 10 17:43:10 2011 +0000

    debian: Remove wanna-build

commit e0d3a270a3b1dfdd59b589a800a0ff424806bba5
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Mar 10 16:37:29 2011 +0000

    build: Add uninstall logic

commit 23c116163a8fa3f3f77d45f32d76814367c87678
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Mar 10 16:36:57 2011 +0000

    Sbuild::Build: Only send mail after the build log has been closed

commit d98e17dbccd0846abf2801edbe470aa23f357a3c
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Mar 10 16:36:25 2011 +0000

    Sbuild::AptitudeResolver: Don't use Dpkg::Deps

commit 13cfcfc820f93aeca30f8ee883575889958d462d
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Mar 10 15:21:43 2011 +0000

    debian: Document coloured messages

commit 00569948192cefd57d7ce7517d830b5f18e4a61f
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Mar 10 15:21:33 2011 +0000

    NEWS: Document coloured messages

commit f3c4b06fdc107a82e98edb2596a2b01adcbd2586
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Mar 10 15:17:28 2011 +0000

    Sbuild::Build: Colourise logs when logging to a TTY
    
    Errors, Warnings and Info messages are coloured red, yellow and
    green respectively.  Build status is also coloured green for
    success and red for all failures.  Note that this does not affect
    the logfiles or noninteractive log redirection.  It is only
    enabled when running interactively and attached to a TTY.

commit a0149d3f01947517ef6e7a300c02af850f9e69f4
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Mar 10 14:42:53 2011 +0000

    debian: Close #605763

commit 08c2db2a0c73b15f2cf73e21eb6c68a699053b9e
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Mar 10 14:42:43 2011 +0000

    NEWS: Document log filtering

commit d75049aef03682935686863a487ea65559c47886
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Mar 10 14:28:45 2011 +0000

    Sbuild::Build: Filter log messages
    
    Add the ability to filter out certain strings in the build log and
    replace them with a shorter form.  This makes the build logs
    diffable between builds because the temporary chroot and build
    directory paths are replaced with a constant short name.

commit 9d21d901b62e39c9275adbae4e9e2da5f515ebf4
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Mar 10 14:27:58 2011 +0000

    Sbuild::Build: Minor logging enhancements

commit 3e1be14f06aad40fa59b00466c72d041ef57f124
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Mar 10 14:25:44 2011 +0000

    Sbuild::Build Rename abort to request_abort
    
    This avoids a name clash with the POSIX::abort function

commit cca8c8fa2483bcd2bdb9b040b0fc94231e7d0e50
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Mar 10 12:45:50 2011 +0000

    debian: Document signal handling

commit 1d48ef90bd8c51ee41aa0bb803065fc56c1f812f
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Mar 10 12:45:38 2011 +0000

    NEWS: Document signal handling

commit e206f9620435f2a18bad2464a7d904c649a42cde
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Mar 10 12:39:24 2011 +0000

    sbuild: Add safe signal handling
    
    Remove all cleanup logic from the shutdown signal handler.  The
    handler now just calls the abort method on the Build object, which
    sets an ABORT variable containing the reason for aborting.  The build
    sequence calls the check_abort method to poll for an ABORT request at
    frequent intervals (before every long running job, and for each log
    line printed when dpkg-buildpackage is being run.
    
    The normal cleanup and shutdown logic is used on trapping a signal,
    so the chroot should always be left clean.  Once exception is if hitting
    C-c from a shell, which may cause SIGINT to be sent to all processes in
    the process group when apt-get or aptitude are part way through
    installing packages.  This may or may not result in a bad package state
    inside the chroot (but is more reliable than the existing method).
    Signals may now also be received multiple times, leading to multiple
    ABORT requests, but not premature program termination.

commit fe05ff0952d19bee8e9eac601eece95772fcc2dc
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Mar 10 00:51:31 2011 +0000

    debian: Document exceptions and logging

commit 9701ec6c0faa8b2cf60e4aef11ac88f6909d8922
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Mar 10 00:51:21 2011 +0000

    NEWS: Document exceptions and logging

commit 690c24bea7b3ee436ab3947cb166f040da1d6513
Merge: ce5254c 35a80fb
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Mar 10 00:46:52 2011 +0000

    Merge branch 'master' into exception-handling
    
    Conflicts:
    	lib/Sbuild/Build.pm

commit 35a80fb0e6ee4c28e4a266abbe2da1281e8a8b25
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Mar 10 00:38:37 2011 +0000

    debian: Document sbuild user and privilege separation

commit a634b464889693c9170f73c56d03d8c37046d2ac
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Mar 10 00:38:19 2011 +0000

    NEWS: Document sbuild user and privilege separation

commit d2a2d43a7e3ea2d7ce109172299d3e5f7cadf01d
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Mar 10 00:29:44 2011 +0000

    sbuild: Use sbuild user for building
    
    Rather than using the user invoking sbuild, everything inside the
    chroot is done either as root or sbuild.  The intention behind this
    is to increase the privilege separation between the user and sbuild,
    with the ultimate aim being the user having no access to the build
    chroot; all access will be mediated via sbuild.  The current change
    has several implications:
    
    - a wrapper program, sbuild-schroot is used to run schroot.  This
      handles switching to the sbuild user inside the chroot.
    - all files created inside the chroot must be owned and writable
      by user and group sbuild.  The user ownership is required so that
      the sbuild user can create and delete files.  The group ownership
      is so that the user can create and delete files.
    - group write access is removed during the build stage, to prevent
      external tampering.
    
    Note that due to the architecture of sbuild, the user may still
    interfere with the process themselves, and gain root inside the
    chroot either via schroot or sbuild-schroot.  These loopholes will
    be closed by future changes.  The current changes do prevent
    accidental tampering, but not deliberate interference.

commit 5342feb52ef29b803bcccf5a8a56e14017d5ee1d
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Mar 9 22:34:11 2011 +0000

    debian: Install sbuild-schroot wrapper
    
    sbuild is now an arch-any package
    Also add build-arch/indep and install-arch/indep rules.

commit d260a28f26a1ef2693343a7b92bf1d80a6a75bcf
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Mar 9 22:31:34 2011 +0000

    Sbuild::Conf: Allow consistency checks to be avoided for dumpconfig
    
    sbuild-dumpconfig should be able to dump the defaults whether or
    not the system or user configuration is sane.  Here, we don't load
    the system configuration, and avoid validation of everything else.
    
    Also, print 1; at the end of the configuration output to make it
    valid Perl.

commit b485bb3e5a213a4a7bf40547327d6dacc02c3439
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Mar 9 22:30:07 2011 +0000

    debian: libexecdir is /usr/lib

commit c6887d7e28ceafda86c915dea54379125a3d070f
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Mar 9 22:29:16 2011 +0000

    build: Use datadir rather than libexecdir for scripts

commit ee04dc8f8cff2d7a3ee200c50bd695f2c801a25a
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Mar 9 22:14:08 2011 +0000

    wrapper: Wrap schroot invocation to run as sbuild user

commit ce5254cbf8e2b962b0c4ce2aaf67fbd4977087c4
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Mar 8 23:50:55 2011 +0000

    Sbuild::Build: Fail Stage only set in run() functions

commit 2e366ac92eb597be2f399fde716f49006a34ac06
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Mar 8 23:48:43 2011 +0000

    Sbuild::Build: Throw exceptions doing hack binNMU

commit 6d43309aedaf0712f0c79c348bfe0d9b0169382c
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Mar 8 23:44:22 2011 +0000

    Sbuild::Build: Throw exception in build version check

commit 162ce402b1f4ae2346815f1812920380fe0b06e5
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Mar 8 23:37:27 2011 +0000

    Sbuild::Build: build does not remove build tree
    
    There's no need to remove a dirty tree before unpacking; we now always
    build in a unique temporary directory, so this is a no longer existing
    problem.  We also don't remove the build tree on failure--this has
    been taken care of by the top-level cleanup routines for ages.

commit 3dd5f7659cb0aa679a5df69c0d4168af9fb90850
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Mar 8 23:35:20 2011 +0000

    Sbuild::Build: Throw exceptions in open_build_log and build

commit 6d7c7eee0eb496c850ba5b9b6a5ac8249e6760d1
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Mar 8 23:24:52 2011 +0000

    Sbuild::Build: chroot_arch throws exception on failure

commit 2699a5c80b17b8bb96feb30c9428683ce5951b06
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Mar 8 23:21:09 2011 +0000

    Sbuild::Build: Split source packing and chroot update from run()

commit a7bcb3b86198aaaecbb161fdef08e8e5913b3ddb
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Mar 8 22:49:28 2011 +0000

    Sbuild::Build: Add exceptions for arch and space checks

commit 6ece8b6899a3d2304983cfe0bbd485fd6aaab38a
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Mar 8 22:49:00 2011 +0000

    Sbuild::Build: Remove unused 'Pkg Fail Stage' setting

commit a6c0a057fe7269d9959b7cf9b8b1c537020901b5
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Mar 8 22:48:18 2011 +0000

    Sbuild::Build: Log exceptions prior to closing build log

commit 6fe66218642eb128d5ba0e7cc83ac4c007148674
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Mar 8 22:46:29 2011 +0000

    Sbuild::Exception: Add status field

commit c533951b86d51f8c00e8e5598750a0eadf89209e
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Mar 8 21:59:32 2011 +0000

    sbuild: Add exception handler around Sbuild::Build::run

commit 0580049fa2344260c739371a176aef94e21fbd58
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Mar 8 21:59:12 2011 +0000

    Sbuild::Build: set_dsc throws exception on failure

commit 06049e6177c2e15ffa74b56eeb607db903af9230
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Mar 8 22:19:38 2011 +0000

    Sbuild::Build: Add exceptions to run()
    
    run() currently uses a number of gotos and labels to clean up on
    error.  Unfortunately, this logic is both complex and fragile;
    cleanup tasks need doing in the correct order, or not at all.
    run() has been split up into separate functions to make the nested
    logic explicit, and now throws exceptions on failure; cleanup can
    be done before or inside the exception handlers, and the exceptions
    may be rethrown to allow cleanup back up the call stack.

commit 11c9c7eca504748408c57f96aacbf5f58e51336c
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Mar 8 22:12:44 2011 +0000

    debian: Build-Depend upon libexception-class-perl

commit 99e127e446470810057960b8886288a222be7fa9
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Mar 8 22:19:00 2011 +0000

    Sbuild::Exception: New exception classes
    
    Add exception classes using Exception::Class.

commit 8180f64ddead777c63778c671c417e57799a9b7d
Merge: 6befac4 39ac178
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Mar 8 00:23:07 2011 +0000

    Merge branch 'master' of ssh+git://git.debian.org/git/buildd-tools/sbuild

commit 6befac4735626faae4192e4fd878aa9123206b92
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Mar 8 00:09:59 2011 +0000

    sbuild-apt: Run apt via the resolver

commit 6f9ea88265ccaff48ab51d8c331b3fcde7799576
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Mar 7 21:16:41 2011 +0000

    debian: Document buildd.conf and buildd.conf(5)

commit ded886270586faf49c9085a4783097ff57ef12fa
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Mar 7 21:16:28 2011 +0000

    debian: Install buildd.conf(5)

commit 61ad3b41be09d9b47ed20767070cebdf980f6ef3
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Mar 7 21:16:11 2011 +0000

    NEWS: Document buildd.conf and buildd.conf(5) generation

commit 2d23287c3d6139089a95c7cbfa12266775e50b85
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Mar 7 21:11:04 2011 +0000

    build: Use absolute paths when running scripts

commit f80c16669d0c66e7f1e92e2dc824599118ed432c
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Mar 7 18:51:38 2011 +0000

    Build::Conf: Add metadata and use generic Sbuild::Conf read

commit 39ac17865eb723923748b6edac215d983a9b82d1
Merge: 871a916 62ff1e4
Author: Philipp Kern <pkern@debian.org>
Date:   Mon Mar 7 22:02:33 2011 +0100

    Merge branch 'buildd-0.61.0'

commit 62ff1e479fe132fb7125e62b7a4fd0577396d5a9
Author: Philipp Kern <pkern@debian.org>
Date:   Mon Mar 7 21:59:49 2011 +0100

    etc/25nssdatabases: exit cleanly if 20nssdatabases is found
    
    By exiting when 20nssdatabases is present we should achieve compatibility with
    both schroot from lenny (which doesn't ship this script) and squeeze (which
    has its nssdtabases configuration file format a bit different).

commit a098125508ac39c65865db7a78330187eb8bdb29
Author: Philipp Kern <pkern@debian.org>
Date:   Mon Mar 7 21:47:07 2011 +0100

    [Buildd::Daemon] only push NICE_LEVEL to sbuild_args if not zero

commit 16a72bafe4c0f5dd21d1fd19f66064174578813d
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Mar 7 18:49:56 2011 +0000

    Sbuild::Conf: Use Sbuild::ConfBase generic read

commit 8a3f9d4336abe1a63e33dc3645004b977f4e4095
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Mar 7 18:49:25 2011 +0000

    Sbuild::ConfBase: Add generic read function

commit 871a916a77cefef550ad6b5886de7b67a724d3e9
Author: Philipp Kern <pkern@debian.org>
Date:   Mon Mar 7 18:22:06 2011 +0100

    [Buildd::Uploader] drop unused Sbuild module usage

commit ccc1fd505d0bd3dc0edce56743669f1546801598
Merge: 2d2dc6a 8614f40
Author: Philipp Kern <pkern@debian.org>
Date:   Sun Mar 6 23:51:14 2011 +0100

    Merge branch 'buildd-0.61.0'
    
    * buildd-0.61.0:
      [Sbuild::Chroot] guard ENVIRONMENT_FILTER usage
      [Buildd::Daemon] configuration loading is now implicit
    
    * Dropped for master (buildd-specific):
      debian: Bump version to 0.61.0buildd0
      debian: Enable compatibility features on buildds

commit 8614f407e7b04f68096f577f22edddbdf6186876
Author: Philipp Kern <pkern@debian.org>
Date:   Sun Mar 6 23:30:00 2011 +0100

    [Sbuild::Chroot] guard ENVIRONMENT_FILTER usage

commit e1f7219828e799941dea5974178f066752b04742
Author: Philipp Kern <pkern@debian.org>
Date:   Sun Mar 6 23:23:08 2011 +0100

    [Buildd::Daemon] configuration loading is now implicit

commit 2d2dc6abde59abf0ac6940cf35aad7449d6ed564
Merge: 0878859 28f3d0e
Author: Philipp Kern <pkern@debian.org>
Date:   Sat Mar 5 11:25:52 2011 +0100

    Merge branch 'buildd-0.60.0'
    
    Conflicts:
    	debian/control
    	lib/Sbuild.pm
    	lib/Sbuild/Build.pm
    	lib/Sbuild/Conf.pm

commit 28f3d0e67853098788e9701e247a96de1911f876
Author: Philipp Kern <pkern@debian.org>
Date:   Fri Mar 4 18:32:37 2011 +0100

    Allow MIME encoded build logs.
    
    If $mime_build_log_mails is set to 1, then you will get a multipart/mixed mail
    comprising either one or two parts: the build log is always included as an
    attached file, the .changes file is attached only if the build completed
    successfully.  If $compress_build_log_mails is set to 1, then the build log
    will be sent gzip-encoded instead of plain text.
    
    Signed-off-by: Philipp Kern <pkern@debian.org>

commit f1a7d0b06ff02c95b92f4f025450063e5c281e10
Author: Philipp Kern <pkern@debian.org>
Date:   Wed Mar 10 14:31:52 2010 +0000

    sbuild: implement build log mail compression

commit 08788592fc0000f87504b7ace9c2d4bea9292155
Merge: a3041fc 0f256e9
Author: Philipp Kern <pkern@debian.org>
Date:   Tue Mar 1 22:41:33 2011 +0100

    Merge branch 'buildd-0.60.0'

commit 0f256e92e6f4e017b60c24aea7895b4d551f1a01
Author: Philipp Kern <pkern@debian.org>
Date:   Tue Mar 1 22:40:42 2011 +0100

    [Buildd::Mail] add more logging for check_state retries

commit a3041fce9351dad1a9e1ca5b009d4f69afac6d60
Merge: c940aa2 1c08113
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Feb 28 23:03:07 2011 +0000

    Merge branch 'master' of ssh+git://git.debian.org/git/buildd-tools/sbuild

commit c940aa2c73088cf6d2136a0fb84831cdb13238de
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Feb 28 22:58:42 2011 +0000

    build: Automatically generate sbuild.conf and buildd.conf

commit 1675af614617dc19a5e88ee17af32193f72993c4
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Feb 28 22:51:41 2011 +0000

    man: Add buildd.conf.5 manpage (generated)

commit 3f48017ace6919484c327016a2f44727b5562db8
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Feb 28 22:50:57 2011 +0000

    sbuild-dumpconfig: Don't dump ignored defaults for manpages

commit edc83413821f2abf44a0ffeac3e471902d15888f
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Feb 28 22:45:01 2011 +0000

    Buildd::Conf: Ignore correct keys

commit 5bcff99b458b591f7dab5beaf84fb87677f3fa79
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Feb 28 22:39:18 2011 +0000

    Buildd::Conf: Annotate all configuration keys
    
    Ignore DISTRIBUTIONS and UPLOAD_QUEUES because these are complex
    types that don't currently dump cleanly.

commit 1536dff220f92be2209f727cb9ff8593922d6438
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Feb 28 22:39:00 2011 +0000

    Sbuild::DB::ClientConf: Annotate all configuration keys

commit a6a3b48b083d96ae489df4135ef59ec117553635
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Feb 28 22:38:31 2011 +0000

    sbuild-dumpconfig: Allow defaults to be ignored

commit 1c08113c274be1d08d87f59145a0583b0d540658
Merge: 4638fbc 81e7444
Author: Philipp Kern <pkern@debian.org>
Date:   Mon Feb 28 21:16:36 2011 +0100

    Merge branch 'buildd-0.60.0'
    
    Conflicts:
    	lib/Buildd/Mail.pm

commit 81e744406835e8ca553d142185219393dc5840fb
Author: Philipp Kern <pkern@debian.org>
Date:   Mon Feb 28 20:51:41 2011 +0100

    [Buildd::Mail] check_state: back off for 0..120s on db query failure

commit f5cccb5808f38a2a66b2c761c0e2905ad1cc8fa5
Author: Philipp Kern <pkern@debian.org>
Date:   Mon Feb 28 19:45:58 2011 +0100

    [Buildd::Mail] also import exitstatus from Buildd

commit 764cfe9451c2965d387f9371c0eeeec5943c3e35
Author: Philipp Kern <pkern@debian.org>
Date:   Mon Feb 28 19:35:28 2011 +0100

    [Buildd::Mail] check_state: check w-b pipe exit status

commit 4638fbcf4888008a0fe34a20ea1fd56643b0ebb9
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 27 22:01:19 2011 +0000

    debian: Fix typo

commit 8cbc575717549801b9b272a66136f6f126fa7d4a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 27 22:00:45 2011 +0000

    NEWS: Fix typo

commit bc951c6a74b08b58d5de42870e0f3bbefd1e5999
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 27 17:43:49 2011 +0000

    Sbuild::ConfBase: Add GET handler for OVERRIDE_DISTRIBUTION

commit 2f0206570584a61e24144788ca25fff84ed6510d
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 27 17:43:17 2011 +0000

    Sbuild::Conf: Handle VERBOSE correctly in interactive sessions

commit dd7d4c5461a77e1e333381a452d0af9a1ea94643
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 27 17:42:51 2011 +0000

    Sbuild::Conf: Use _get where defaults are useful

commit a448fb449644eb9934b06bba800a94065e6e2bae
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 27 17:42:16 2011 +0000

    Sbuild::Conf: Add GET handler for MAILTO

commit 835f9d3f0e9852b2cfeaf5295b148cc81f9f9041
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 27 17:41:18 2011 +0000

    Sbuild::Conf: Don't directly set LOG_DIR_AVAILABLE

commit 3c0d7efb10f05d9f5db1c78940ad88b3b38dd85e
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 27 17:40:14 2011 +0000

    Sbuild::ConfBase: Add _get method to get value or default
    
    Useful in GET blocks.

commit b1c0767264002f26269b6e27ce3b2cc8e5b73a44
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 27 15:48:42 2011 +0000

    debian: Close #609658

commit c0674eb4d2abe0819867f5dd2116f7d5d4917535
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 27 15:48:26 2011 +0000

    NEWS: Document --keep-session

commit a7cf2535290add1a6b7c90fbfc4b534be201bb28
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 27 15:44:36 2011 +0000

    Sbuild::Build: Purge options do not affect session ending.
    
    Add separate END_SESSION configuration key, which is changed with
    the --keep-session option.

commit 098b2c964c4994a37d0411aa560ff020e8075bb2
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 27 15:34:34 2011 +0000

    debian: Document dist-upgrade change

commit 2404bd3f88a296361c70d33bcf13bf3f00a0dec9
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 27 15:34:25 2011 +0000

    NEWS: Document dist-upgrade change

commit 4c29db4de7587e12c3b609e4350408b0280b82c2
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 27 15:31:23 2011 +0000

    Sbuild::Conf: Run apt-get dist-upgrade by default
    
    Previously, we were running upgrade by default.  dist-upgrade
    is not much more dangerous, and it means that less manual
    intervention is required to keep chroots up-to-date.

commit ae7f064807fa475f36e04fe2b42d92b848d4139b
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 27 14:05:44 2011 +0000

    debian: Close #610995

commit fcaf31910d4b5cb12c026fe7f02e44fd76e0164c
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 27 13:59:58 2011 +0000

    debian: Close #576508 and #609932

commit 6dbcbe4489e28ac9954e074efece6df17cb72706
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 27 12:57:16 2011 +0000

    debian: Deprecate non scalar types in sbuild.conf

commit b468818a6f03baf0443e7b9254c8037ce49ef035
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 27 12:56:58 2011 +0000

    NEWS: Deprecate non scalar types in sbuild.conf

commit 3fa12596c1004deebb9999a6bbe21bd6ee2d061b
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 27 12:52:36 2011 +0000

    Sbuild::Conf: Use dynamically generated script to parse configuration
    
    This removes the need to hand-maintain the parser.
    Non-scalar types are special-cased for backward compatibility (and
    deprecated).

commit 0b6cf0e259996e4dccae8f20e2f8c7e1c5810a82
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 27 12:38:34 2011 +0000

    Sbuild::ConfBase: Add GET handler for VERBOSE
    
    Allows more sensible default interactive/noninteractive behaviour.

commit 0983eb261b3805bdb7bffb0dd20a981273075a7d
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 27 11:31:42 2011 +0000

    debian: Document sbuild.conf and sbuild.conf.5 autogeneration

commit 7d3c72d0c013c9bc60dacd2b2eedd3e1979fc6d7
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 27 11:31:21 2011 +0000

    NEWS: Document sbuild.conf and sbuild.conf.5 autogeneration

commit 9931fc4cafe6a339aec87a69f803aa6a0697e89b
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 27 11:25:43 2011 +0000

    man: sbuild.1 references sbuild.conf.5

commit b14c66ca327433308abed2bfffe11bc3603c1ee0
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 27 11:25:22 2011 +0000

    debian: sbuild includes sbuild.conf.5

commit 73ddeb9d925994c308601a50edcf7cfa5883fa61
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 27 11:25:05 2011 +0000

    Ignore sbuild.conf.man

commit 93a77758d389f0a07471abaa8c8b0565939271af
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 27 11:24:31 2011 +0000

    man: Add sbuild.conf.5 manual page

commit 7a58e6e66f993a03b6c02769c2894c638b7df40f
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 27 10:12:00 2011 +0000

    man: All manpages source definitions in defs.man
    
    This saves the need to process with config.status, and keeps
    variable stuff in a single place.

commit 64705a3dd0f302c1c87cf7518d1f8f2c02721add
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 27 10:10:26 2011 +0000

    build: Distribute sbuild-dumpconfig

commit 8737643de24d2f8f7faf4bc1d2b7f8dcbc8b62df
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 27 00:33:29 2011 +0000

    sbuild-dumpconfig: Add support for buildd.conf, and man output

commit 98b16659473d07452f84db3472acbe937f24b5c0
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Feb 26 20:17:32 2011 +0000

    tools: Add sbuild-dumpconfig
    
    sbuild-dumpconfig can dump the Sbuild::Conf class and its default values
    as a fully documented sbuild.conf, with syntactically correct examples.

commit 78bb4e5591df86d677ca60a37c54254a1f05877a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Feb 26 20:11:49 2011 +0000

    Sbuild::Conf: Add additional key tags
    
    Include TYPE, VARNAME and GROUP tags.  This is sufficient information
    to allow dumping of the entire configuration file as sbuild.conf or
    a manual page.

commit e533066f3ef41580866e81cb286ad9bd9c8507c6
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Feb 26 11:01:11 2011 +0000

    Sbuild::Conf: Add help text for all settings

commit aa2bea11fe10531251cbd5a69bebb44fc77c1f42
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Feb 24 22:46:57 2011 +0000

    debian: Close #403246

commit 681d3beb2e5de58fb282752644b8473ab8313255
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Feb 24 22:31:56 2011 +0000

    debian: Document alternative resolving defaults

commit e9640a93aeec3e609ab6a9138821548df66c846d
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Feb 24 22:31:33 2011 +0000

    NEWS: Document alternative resolving defaults

commit 126c8c3b42e6504b243b9268eae0342aa205456f
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Feb 24 22:27:40 2011 +0000

    sbuild.1: Document alternative resolving defaults

commit 746c52bf7a99626c3aa043cf8359475ccabdfcd6
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Feb 24 22:22:09 2011 +0000

    Sbuild::Conf: Resolve alternatives by default with the aptitude resolver
    
    This default may be overridden with $resolve_alternatives.
    apt and internal do not resolve alternatives by default
    aptitude resolves alternatives by default

commit 328646e1c6ea407df64befdcea30fde1b6b11658
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Feb 24 22:21:46 2011 +0000

    Sbuild::Conf: Fix typo in deprecation warning

commit f1798273068c33f9c486ef43f103c826e500bc97
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Feb 23 23:08:37 2011 +0000

    debian: Document resolver changes from NEWS

commit e1eebe2148e7ff24bfd85e7829bc9dfb4262ebef
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Feb 23 23:07:34 2011 +0000

    NEWS: apt is the default resolver, internal is deprecated

commit 813930a1f948beaced1186e1c25ac2073f84f6c9
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Feb 23 23:07:00 2011 +0000

    sbuild.conf: Document resolver default

commit decf817cf3e5ef8c6e6e7ab61324145c24b1db05
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Feb 23 23:06:43 2011 +0000

    sbuild.1: Document resolver default

commit 3ec40bc72716d74c2d0617decb83233621fd0c02
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Feb 23 23:06:04 2011 +0000

    Sbuild::Conf: Make apt the default resolver
    
    Add deprecation warning for the internal resolver.

commit 24a7504164a6417695742451c1c3568d9d13b827
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Feb 23 23:05:35 2011 +0000

    sbuild-update.1: Add additional guidance for --keygen

commit 77f3c862a2c68ebdb4a1d68e3d8b02b18a5f5e2d
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Feb 23 22:36:34 2011 +0000

    debian: Bump version to 0.61.1-1

commit 7ffd78a5c108d8d6bb470099399844c2f9474e5d
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Feb 23 22:36:00 2011 +0000

    NEWS: Bump version to 0.61.1

commit e1b1156de3fb1388b13e8d2355a4727371545fa8
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Feb 23 13:43:59 2011 +0000

    debian: Bump version to 0.61.0buildd0

commit 46ce90058c2f7c3e0f646680bacf3ca55d9de4c8
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Feb 23 13:42:01 2011 +0000

    debian: Enable compatibility features on buildds

commit 74d5dada13bc6bf34781d88a9508199c06a08192
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Feb 23 13:10:24 2011 +0000

    sbuild.conf: Fix typo in $resolve_alternatives

commit c2741662ba7c8d79fb41cdb958c04851ca3ac0f0
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Feb 23 13:09:06 2011 +0000

    debian: Tidy changelog

commit 794c40b0dee186dbbfa91625b735f8f52af6ab43
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Feb 23 13:07:39 2011 +0000

    debian: Document aptitude use of dpkg --force-confold

commit a114e0c2245442986c95e901757da834392c2fe7
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Feb 23 13:06:59 2011 +0000

    Buildd::DistConf: Don't use init_allowed_keys

commit d85946cd004c6dee4262dcafc30beb773a9ba897
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Feb 23 13:00:33 2011 +0000

    sbuild.conf: Correct $resolve_alternatives to use proper name

commit 570640acf6c31e6c3d7338983b3fdbe36e16e8c9
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Feb 19 12:58:33 2011 +0000

    Sbuild::AptitudeResolver: Run dpkg with --force-confold
    
    This was already done for apt and internal, and was causing a number
    of packages to FTBFS,

commit d8f453ea7f1414d3a30421e5d7aaca043455fb21
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Feb 23 12:09:50 2011 +0000

    debian: Bump version to 0.61.0-1

commit a70e8e2b9c7403a9b06abe440eb55291de0851dd
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Feb 23 12:09:22 2011 +0000

    NEWS: Bump version to 0.61.0

commit 96efc522f6309d91a08bb76019cd00742570e39d
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Feb 23 12:02:10 2011 +0000

    Sbuild::ResolverBase: Implement alternative stripping
    
    The apt and aptitude resolvers now only use the first alternative
    in alternative dependencies.  This does not include architecture-
    specific alternatives, which are reduced prior to stripping.
    
    This feature is configurable ($resolve_alternatives), defaulting
    to being enabled.  For suites which can take advantage of
    alterntatives (e.g. backports), this may be disabled.  For unstable,
    where we want the strict consistency and reproducibility guaranteed
    by stripping, this makes the apt and aptitude resolvers behave
    exactly like the internal resolver.

commit 5a9a0cf451190f440f48b82890457f848aa912b6
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Feb 23 12:01:22 2011 +0000

    Sbuild::Build: Add missing fail stages
    
    If a build failed very early, the fail stage wasn't initialised
    and was incorrectly reported.

commit 2e9d85edbd65c7098dd3111fef409ae4fde742ee
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Feb 14 23:46:01 2011 +0000

    debian: Tidy changelog

commit 2fcc42f58f41e9e7bdaed7a55050c7193d577c1d
Merge: e47c957 8bd411c
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Feb 14 21:46:13 2011 +0000

    Merge remote branch 'origin/buildd-0.60.0'

commit e47c95773ce6d6ee7e845b6b5d11dc3f1bb95ff1
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Feb 14 20:38:19 2011 +0000

    debian: Closes #608972

commit b84421f05734f891dac2709aba17eb68465656e9
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Feb 14 20:36:56 2011 +0000

    sbuild.1: Document local apt archive

commit d6ccdf0a9de3dae0e86ed67c210733aed13421ca
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Feb 14 20:27:27 2011 +0000

    sbuild.1: Drop source-dependencies environment variable docs

commit 67de5f80575b7d2e5e62c7795eba4d94afb85098
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Feb 14 20:26:23 2011 +0000

    sbuild.1: There is now only one sbuild version

commit e58d8976727fa771f823652a67473e27a98c8541
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Feb 14 20:07:49 2011 +0000

    debian: Close #608971

commit 498c29bda2f1d92bdfb846a908ef5446be2834e6
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Feb 14 20:06:12 2011 +0000

    sbuild.conf: Document that $apt_allow_unauthenticated is for apt-secure.

commit fc9144efbd3c521104c3b0d335f0e92c8575445b
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Feb 14 20:01:11 2011 +0000

    debian: Close #613401

commit f67710dd5ede7d34b6777475640049c7f8074784
Author: Sebastian Harl <tokkee@debian.org>
Date:   Mon Feb 14 19:58:45 2011 +0000

    Sbuild::Options: Add --no-arch-all command line option.
    
    This allows overriding of '$build_arch_all = 1;' (in .sbuildrc) on the
    command line.
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 80ed8aa0a27e21dc7162bf24c8d09c8686fd9e78
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Feb 14 19:55:39 2011 +0000

    NEWS: Document --arch check

commit 8d88fe6cfc874c8aeadbe59540214fcc8be49136
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Feb 14 19:54:50 2011 +0000

    debian: Close #609151

commit d31a1179c2bb15ab38fe70439041ddf206afd437
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Feb 14 19:49:40 2011 +0000

    Sbuild::Build: Don't allow the build and chroot architectures to differ
    
    Previously, we allowed the chroot arch to supercede the host/build
    architecture specified with --arch.  We now check for this to avoid
    building for the wrong architecture.

commit 11e42dfff33c8aac4e5b7fcdee2ccadcf02c56b7
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Feb 14 19:38:33 2011 +0000

    debian: Close #608412

commit ddd6db2d327ca94a31235763b843e10b93c20a6a
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Feb 14 19:37:11 2011 +0000

    debian: sbuild postrm purges generated files

commit 5a983515b3c1edf8fc31797f4538aad7769c15a5
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 13 23:27:20 2011 +0000

    debian: Close #607606

commit f72d65e1d8f40218f7b9dbaf86dc8af6f5dbc9ef
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 13 22:47:31 2011 +0000

    debian: Close #610997

commit ce0fb70b0ae4128eaca18e5d7a25aeea47e4ae37
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 13 22:45:50 2011 +0000

    sbuild.conf: Correct syntax of $envionment_filter

commit d6cf14dd8e345fb5fcd0776ce4cea341241bc817
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 13 22:44:56 2011 +0000

    sbuild.conf: Update $environment_filter to include PATH

commit 60c3d810e36c5917ae387c3b21aa38918b0e0014
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 13 22:42:30 2011 +0000

    debian: Close #610997

commit 7ec6f8eca1ed4aaa5f729f44880e3225379f33c8
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 13 22:41:35 2011 +0000

    Sbuild::Conf: ENVIRONMENT_FILTER permits use of PATH

commit f8c593104c3033d918ecd0780b829277a2d3d358
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jan 16 17:07:42 2011 +0000

    debian: Close #610007

commit a4fb37b5fa1650c5645ee774a2c4e960b72cc4a3
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jan 13 20:12:57 2011 +0000

    debian: Close #609811

commit e18373fc4157460ad84e58a4cb7f94d616fdfa6e
Author: Marc Deslauriers <marc.deslauriers@ubuntu.com>
Date:   Thu Jan 13 20:10:09 2011 +0000

    lib/Sbuild/ResolverBase.pm: use -o APT::Install-Recommends=false
    
    Use "-o APT::Install-Recommends=false" instead of
    --no-install-recommends as it is not a valid option in Dapper schroots.
    
    This is Ubuntu-specific and can be removed once Dapper goes EoL.
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 27175af08d84de246b6a572615f2998feb734d0c
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jan 3 21:19:29 2011 +0000

    debian: Close #608789

commit dbf152d502e4816eac1ff4ffd2ead9b93e05e40c
Author: Modestas Vainius <modax@debian.org>
Date:   Mon Jan 3 02:29:50 2011 +0200

    AptitudeResolver: define a custom SolutionCost.
    
    aptitude 0.6.2 release replaced resolver tiers with resolver costs. sbuild
    AptitudeResolver used to rely on resolver tiers to deliver the following
    behaviour:
    
    1) Install non-default versions only if there is no solution among default (aka
    candidate) package versions.
    2) Solution should contain versions from sources with the highest possible
    priority (when pulling from non-default versions).
    
    While default SolutionCost (i.e. "safety, priority") configuration is supposed
    to deliver this, it's apparently not enough. In particular:
    
    1) "priority" cost component is broken in aptitude releases up to 0.6.3-3.2
    (see #608786). It does not prioritize non-default versions by their
    pin-priorities.  However, thanks to Non-Default-Level safety level, the issue
    does not affect configurations which have apt sources at two (one default and
    one non-default) or fewer pin priorities. As a result, standard buildd
    configurations (unstable, experimental, backports) are not affected by this
    bug.
    
    2) Once Non-Default safety level is breached, it is hard to guess what set of
    non-default versions the solution will produce (it will be based on the "score"
    criteria that is not easily predictable). Yet requirements are pretty clear: we
    want as few non-default versions as possible. Fortunately, we can tell aptitude
    that.
    
    So sbuild custom SolutionCost achieves the following:
    
    1) it gets the safest solution (tries only default versions first, then a mix of
    default and non-default versions),
    2) installs versions from the highest possible pin-priority source,
    3) installs as few non-default versions as possible,
    4) and finally picks a solution with the best score.
    
    See /usr/share/doc/aptitude/html/en/ch02s03s04.html (aptitude-doc-en package)
    for more information on aptitude resolver cost calculation.
    
    Signed-off-by: Modestas Vainius <modax@debian.org>
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit a47aa6af592d340603c401c9e7dd16ebb0e48ccd
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jan 3 21:06:00 2011 +0000

    debian: Close #608659

commit 74cbd18e1fa7e2efb89937d46248a9bbc3b87e36
Author: Modestas Vainius <modax@debian.org>
Date:   Sun Jan 2 15:28:18 2011 +0200

    Do not filter out environment variables starting with DEBIAN_ by default.
    
    Notably, the fix enables export of DEBIAN_FRONTEND=noninteractive in the build
    environment.
    
    Signed-off-by: Modestas Vainius <modax@debian.org>
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit b57b76d1a835e9a01b826de43c7022cb1ab21690
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Dec 31 14:14:38 2010 +0000

    debian: Close #608429

commit b0e2f406f5accf2f6e89832c39d1181084edb72c
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Dec 31 14:12:25 2010 +0000

    Sbuild::ChrootPlain: Don't use sudo when already root

commit cf52e3bde5023340eae19d782567880bbbd9b9cf
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Dec 31 11:56:45 2010 +0000

    debian: Close #608414

commit 61deae6fd46404c26bd233738b004cbdba57122e
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Dec 31 11:53:50 2010 +0000

    sbuild-createchroot: Fix permissions of chroot and configuration
    
    chroot directory and any created parents are 0775.
    schroot configuration is 0644.

commit 4f484d6ad87345c1efdd4818bcd6d60293f91e17
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Dec 31 11:53:22 2010 +0000

    sbuild-createchroot: Don't import all exported members of Sbuild::Conf

commit 12eb962111d9e384d31cd54af39046ad081b31c9
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Dec 30 17:57:01 2010 +0000

    debian: Bump version to 0.60.9-1 and close #607945

commit f57e4e271e55f488e7ffc026d6be3cedea469295
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Dec 30 17:54:37 2010 +0000

    NEWS: Bump version to 0.60.9

commit fb790792a9433d469fa808f6613bdc0bf1f3ee21
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Dec 30 17:53:15 2010 +0000

    Sbuild::ResolverBase: Don't automatically generate archive signing key
    
    If the local archive signing key is not present, do not automatically
    generate it.  This can cause issues on systems with scarce entropy.
    Print an error message plus instructions on how to generate the key.

commit 11d82b1fdec6d15b1911f60f8802a70a218ebdfb
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Dec 30 17:51:50 2010 +0000

    Sbuild::Build: Add newline to log message

commit 8bd411cf6aaa7f6f6b76245ecec6b5c88db52f2e
Author: Philipp Kern <pkern@debian.org>
Date:   Sat Dec 18 15:08:33 2010 +0100

    bin/create-chroot.sh: update for properly signed security

commit 0fc02677171bc1cc90f250540af17389c39db204
Author: Philipp Kern <pkern@debian.org>
Date:   Thu Dec 16 19:49:11 2010 +0100

    etc/99builddsourceslist: update for properly signed security

commit a6c2d650cf23d6135873b9c01711e955146618f4
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 12 20:00:17 2010 +0000

    Sbuild::Conf: Update and upgrade the build chroot by default
    
    Having an up-to-date chroot prior to installing any build dependencies
    means it's less likely to break the chroot when removing the packages
    post-build.  This is because we're starting and ending at the same
    baseline state.  If the chroot is out of date, then it becomes possible
    to break the package manager because packages to reinstall are no
    longer available, or there are version mismatches etc., which require
    manual intervention to get back to a clean state.

commit d07d68b36b2708c4a7f7acfff8d3be5c4eec8264
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 12 19:56:26 2010 +0000

    Sbuild::ResolverBase: run_apt_ftparchive unlinks its configuration
    
    Don't litter /tmp with temporary files

commit 8b2b123b9c2e40295bed2f44844b2c9a64c363ad
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 12 19:55:39 2010 +0000

    Sbuild::ResolverBase: update_archive uses correctly quoted perl string
    
    Also regenerate apt caches after lists update

commit 68be0d2f30b6fb2581f3531f9ab530fcf11d5b8c
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 12 19:25:49 2010 +0000

    debian: Document gpg and local archive changes

commit c51c5850ab9a432d797113c270061bb60a20f41b
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 12 18:19:28 2010 +0000

    Sbuild::ResolverBase: update_archive updates apt lists directly
    
    New function, used by AptResolver and AptitudeResolver.  This
    copies the archive lists files directly into the appropriate
    files under /var/lib/apt/lists in the chroot, saving the need
    for a full "apt-get update", since we don't want for the remote
    mirrors to change during a build.  This also speeds up the
    build by reducing the updates from three times to one.

commit f65d8d4738e399016e70c9565346ce35db8e7686
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 12 18:18:31 2010 +0000

    Sbuild::ResolverBase: Use an empty directory for gpghome
    
    This is more secure, untrusted/unwanted files can't be present.

commit e813533b55ac3312f3cf4d7cc8f47db826ad227e
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 12 18:17:37 2010 +0000

    Sbuild::ResolverBase: Create resolver directory in build dir
    
    This puts all writable files in a single place, and also makes
    cleanup on failure automatic.

commit cb1a21e0ab52998b60e9d402d74452faacbbbaa1
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 12 11:53:10 2010 +0000

    debian: Bump version to 0.60.8-1 and close #606668

commit d6bf62715c9522c86a98286aea0031d15f38a322
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 12 11:51:26 2010 +0000

    NEWS: Bump version to 0.60.8

commit fc4d5c9ab4547e850327acc4186248f0e108d0de
Author: Simon McVittie <smcv@debian.org>
Date:   Fri Dec 10 18:25:41 2010 +0000

    Use gpg --homedir to avoid the user's gpg.conf completely
    
    My gpg.conf uses a non-default secret keyring on a filesystem inaccessible
    by sbuild, causing builds to fail.
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 8069028a1d7f8b443979a16ecb0d3c9ca8b784a2
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Dec 8 21:49:17 2010 +0000

    debian: Bump version to 0.60.7-1 and close #606278

commit bb4d721972cee1ec021172a373cc098d4b66f343
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Dec 8 21:48:59 2010 +0000

    NEWS: Bump version to 0.60.7

commit 655e87d831bacf849f3894e69c0768a5b2964499
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Dec 8 20:34:28 2010 +0000

    Sbuild::AptitudeResolver: Restore use of Aptitude::ProblemResolver::Hints::KeepDummy

commit 9c7c5eeda7f2b7e1be16c52ea9335f3343f12d05
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Dec 8 11:03:32 2010 +0000

    Sbuild::ResolverBase: Print message to inform user GPG keys are being generated
    
    This can take some time and appear as if sbuild had hung.

commit f4769f9b36e7dcbeeae440a27c642166dc4c262b
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Dec 8 10:56:52 2010 +0000

    Sbuild::ResolverBase: Dummy package creation is inside the chroot filesystem

commit 5ab0fee2dd35730c7dfc8c8f0c5ba1a335b968a1
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Dec 7 21:26:36 2010 +0000

    debian: Tidy changelog and add major upstream changes

commit 2553de0e93237315962a273904b55ce817d98ad9
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Dec 7 21:25:09 2010 +0000

    NEWS: Remove duplicate entry

commit 82d41b3bea1994a01205f0d6c14bd1b809ee5e55
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Dec 7 21:11:28 2010 +0000

    debian: Close #605997

commit 7289e5061d604b4349028024d248344c24208869
Author: Modestas Vainius <modax@debian.org>
Date:   Tue Dec 7 21:08:12 2010 +0000

    Do not skip purging of build directory if chroot is cloned.
    
    This is necessary if /build in chroots is (bind-)mounted to the outside of the
    session.  However, if /build is part of the cloned session,
    $purge_build_directory='never' could be used in order to avoid wasting time
    when session ends.
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 99a1c32ebd318aef82c86b9a6c916cff5d37338f
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Dec 7 21:01:25 2010 +0000

    debian: Close #589615

commit 495ccf3f9a44714a93cd27e7ceb4f10cb08c20a6
Author: Marc Dequènes (Duck) <duck@duckcorp.org>
Date:   Tue Dec 7 20:59:19 2010 +0000

    Sbuild::ConfBase: Only use MAILTO_HASH if defined
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 9e4560f80875a0f4996a6604d6b068e7c1d7b2cc
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Dec 7 20:52:51 2010 +0000

    debian: Document Ubuntu workaround

commit 3260bfe59ad59da978e956b88327832bba55cfcf
Author: Jamie Strandboge <jamie@ubuntu.com>
Date:   Tue Dec 7 20:44:23 2010 +0000

    Sbuild::Build: read_build_essential: Add workaround for broken Ubuntu releases
    
    Older Ubuntu releases had sysvinit in their build essential list,
    despite sysvinit no longer being available.  As a result, it's
    not actually possible to install the build-essential package set
    on these systems.  Manually remove sysvinit from the essential
    list in these cases.
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 857c8fe0198d3c72849259b4beff2fd190e75c10
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Dec 7 20:39:06 2010 +0000

    debian: Close #605745

commit 666d01fd8739c660b252a0ca8d2e672848e32051
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Dec 7 20:38:09 2010 +0000

    sbuild.1: Update description of --maintainer

commit 658e4abbd3152a8d76c8e895c7a65bba41022586
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Dec 7 17:11:21 2010 +0000

    NEWS: Document testsuite

commit 42f34187f98fec177d84949e64ceb0eec2e54a2d
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Dec 7 17:08:21 2010 +0000

    debian: Close #606001

commit 5fdf954762ce215d617f85f55d32620f4f37223c
Author: Ansgar Burchardt <ansgar@debian.org>
Date:   Sun Dec 5 14:06:24 2010 +0100

    sbuild-update: Add --arch option.
    
    Signed-off-by: Ansgar Burchardt <ansgar@debian.org>

commit 5dafaeb57903aaf576d70f0772f547fae6ba4caf
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 5 12:27:43 2010 +0000

    NEWS: Document new features:
    
    - testsuite
    - apt archive
    - key generation
    - dropping of REDO and SBUILD-REDO-DUMPED

commit 1653d75932e7463fd72138e760d463e5faf8a8c9
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 5 12:12:43 2010 +0000

    test/.gitignore: Ignore generated scripts

commit ab5c1795fc419f1e412a1570ab7d83a7635ff641
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 5 12:10:02 2010 +0000

    test: sbuild only builds a single source package version
    
    Eliminate multiple versions (just pick the first)

commit c54783ee80cd23d6788cffe8e96762a6ef5649a4
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 5 11:52:19 2010 +0000

    Sbuild::ConfBase: Don't use as a base class
    
    Currently, different configuration classes derive from Sbuild::ConfBase
    and implement virtual functions to register their configuration
    defaults (allowed keys) and read any configuration files.  This is
    rather inflexible, because it means that it's hard to use a single
    configuration object to read multiple configuration files.  Currently,
    there are nasty hacks to support e.g. wanna-build configuration from
    Sbuild::DB::ClientConf in both Sbuild::Conf and Buildd::Conf.  This
    also make it difficult to read in alternative configuration files,
    for example for regression testing, where the system and user
    configuration should not be read.
    
    This change turns all the derived classes into simple library
    functions.  Each one implements a setup() function to register allowed
    keys, and one or more read/read_hash functions to read configuration
    from a file or hash into the Sbuild::ConfBase object.  This means
    that multiple setup() functions may be called to register multiple
    sets of configuration keys, and multiple files may be read.

commit 92387d628eff77060a3e1760d200725a8adf7306
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 5 11:34:52 2010 +0000

    bin: sbuild-* wrappers don't need absolute paths

commit 7ca3c48a12b75e418637b039e6187cc3d19b2f6f
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 5 11:25:54 2010 +0000

    Sbuild::Build: update() uses the dependency resolver

commit 1f98891e8265301f473a177ea08f76b016574543
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 5 11:25:23 2010 +0000

    Sbuild::Build: Initialise install start and end times

commit fbbb757e2f3fdb3ed9a09348034e3c3e24463464
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 5 11:24:11 2010 +0000

    test: Add additional sbuild helper tests
    
    Add tests for sbuild-hold/unhold, sbuild-stats, sbuild-update,
    sbuild-distupgrade, sbuild-clean and sbuild.
    Update sbuild-upgrade.

commit f35040b9ed97070de9864ce9f5d6d73a4fe6585e
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Dec 3 11:40:13 2010 +0000

    Sbuild: Move check_group_membership here
    
    This check does not depend upon configuration at all, and is
    no longer done when reading the configuration file.

commit 881c53590bbb9af2f366e8ab6d53e3019849c9d9
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Dec 2 20:39:05 2010 +0000

    build: Add test/sbuild-update

commit 9740b8edbbc783dcdcefd1c0b35cec13294fee53
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Dec 2 09:43:41 2010 +0000

    test: Add sbuild-update check

commit 40df3bc3339799cb3358b436c8d143b55f865b70
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Tue Nov 30 21:12:01 2010 -0500

    Fix apt-keys directory permissions during installation.

commit 1cd829609dd2bf8a129439f4a969eef69c6123f6
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Tue Nov 30 21:11:29 2010 -0500

    Create apt-keys directory during installation.

commit ac88a5a76face9d072a35734b2683febb4c00ae3
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Tue Nov 30 21:10:55 2010 -0500

    Fix call to generate_keys() in Sbuild::ChrootSetup.

commit 52905d70e0841b4e42ab75e5a0118ac950362849
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 30 22:19:53 2010 +0000

    test: Use set -e

commit 2e4d8e3ae7388e3581691e3180529a6f11823c76
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 30 22:19:14 2010 +0000

    Sbuild: Correct use of removed conf:: namespace in error paths

commit c7f4da524978f3e9559d84fde3f651b0dfae527b
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 30 21:34:09 2010 +0000

    test: Don't display grep output

commit 985488bf88e008a2f2dfa935df5cff5eafb9415d
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 30 21:29:17 2010 +0000

    test: Add basic syntax checking of all perl scripts (perl-syntax)
    
    Check is run via "make check"

commit 12c1c0922f37ec0e2b00d48fd07618af2b25eb4a
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 30 21:04:40 2010 +0000

    Sbuild::ResolverBase: Location is stored in session

commit e0555aca15f89b2024ec38cdaa62de62c19d3803
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Tue Nov 30 21:01:19 2010 +0000

    Sbuild::ResolverBase: Create dummy package in temporary directory

commit 00407c4af338597b5fc55342821c9f85ca1c0199
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 30 21:00:42 2010 +0000

    Sbuild::ResolverBase: Set Defaults in session

commit 7a1dc94cfd1dc84a60a92d4e9184cc0f3875c4b6
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 30 20:59:52 2010 +0000

    Sbuild::Build: Correctly begin host session

commit 56c8da11993fbffe8f4374ef259eb70e01c662fe
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Tue Nov 30 01:27:09 2010 -0500

    Remove checks to see if lintian or piuparts are executable.
    This is already done in Conf.pm.

commit 34ed66f6b076065f1a1268a2bc7d012e53545e8e
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Tue Nov 30 00:53:03 2010 -0500

    Fix aptitude resolver function call to pipe_aptitude_command().

commit ae9f5aaa58e63274ee289975e4530dff4084ff84
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 30 20:40:07 2010 +0000

    sbuild-update: Begin host session to fully initialise session

commit a8fff81a48582f04fb6280b04071d042f2b9e312
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Tue Nov 30 00:52:08 2010 -0500

    Fix sbuild-update to work with new apt split refactoring.

commit ff62b268fdea1d21431fd58bece04bb4203f49be
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Nov 29 22:52:15 2010 +0000

    Sbuild::ResolverBase: Move chroot apt/aptitude command execution here

commit 52335729f7140308dd3c6283be68633bc026e1e0
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Nov 29 20:14:38 2010 +0000

    Sbuild: Remove now unused srcdep lock configuration

commit 59f498f30aa290a7954e0d36980a8641dde995e6
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Nov 29 20:06:55 2010 +0000

    Sbuild::ChrootSetup: Remove functions previously moved to ResolverBase

commit 33530770688ea5d44c561391d53d5fe9aad1ef16
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Nov 29 20:03:53 2010 +0000

    sbuild-update: Remove unused ChrootSetup functions

commit 95c9a2700f482ffe06b6b23cd033a93cdef745e9
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 28 18:17:23 2010 +0000

    Sbuild::ResolverBase: Cleanup with / as CWD in case build tree removed

commit 3bff8edf3bd2a4abe8b5506dc05415b49d207f73
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 28 18:15:36 2010 +0000

    Sbuild::ChrootSetup: shell runs as normal user

commit 92403c5ced0f485a744c18d4dc4d4d96d61a07a3
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 28 18:14:14 2010 +0000

    Sbuild::ChrootSetup: generate_keys runs as normal user

commit 91f9228a731d91f2ed5b162d9ad536f57a075404
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 28 18:07:48 2010 +0000

    sbuild-createchroot: Use resolver to update chroot

commit 326da1d1d39f12cd8f8407cab5e45e50129df04d
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 28 17:15:22 2010 +0000

    sbuild: Simplify shutdown logic
    
    Remove unused and redundant REDO/SBUILD-REDO-DUMPED code.  This hasn't
    been used for 11 months (explicitly disabled for buildds).  buildd and
    buildd-mail continue to read and write  REDO for their own internal
    uses.
    
    Shutdown sequence is aligned with the build sequence in Sbuild::Build.
    
    Temporary variables for job, session and resolver are used to simplify
    code.
    
    The same error return is issued when in buildd or user mode and killed
    by a signal.

commit f4c9c25a71a7ba6c9bc8060d94ed04947b07d0a7
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 28 15:43:54 2010 +0000

    sbuild: Remove REDO and SBUILD-REDO-DUMPED handling

commit ffa67de3a5476e866aaabc62e19724d55b858f89
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 28 15:32:24 2010 +0000

    Sbuild::Build: Use resolver for all apt operations

commit 57ca90177fd8af6ad8a83ddc202ac31db909856a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 28 15:31:28 2010 +0000

    Sbuild::ResolverBase: Don't use Errno, and only remove archive if defined

commit b3dbca2e3c9bc02cc5adf22540c76a8d4bf44ad8
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 28 15:30:55 2010 +0000

    sbuild-update: Use resolver to perform all apt-get calls

commit 80f811184d7c7b06a6a5ec8d646b1eac015dffa2
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 28 14:30:17 2010 +0000

    Sbuild::Resolver*: Remove use of Build object
    
    Only use conf and session objects
    Add support for apt repository to aptitude resolver
    Add support for running apt tasks to resolver base
    Use self logging
    Set Arch from build object

commit d8950a4ddabe5e4fcec44699e7b2931d1cbc381e
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 28 14:18:25 2010 +0000

    Sbuild::Build: Remove source dependencies support in prepare_watches
    
    Since we no longer handle sourcedeps files, there's no point in
    handling them in watches.

commit 7606c8d654b0e5aa51ec6bd43e2712f39d4baa5b
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 28 14:14:41 2010 +0000

    Sbuild::Build: Move prepare_watches call here from InternalResolver
    
    This means the resolvers don't need access to the build object

commit 593e6e765fd0825cc88f55049836b627b1c3379b
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 28 14:13:22 2010 +0000

    Sbuild::Build: Add Install Time to generated stats

commit 825320d50f58da8bf97d626747964bcedcb40d9c
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 28 14:11:15 2010 +0000

    Sbuild::Build: Move install time stats writing here from InternalResolver

commit 0a1f524f7aad852dc41b196dd75cedffd576f5ed
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 28 14:07:19 2010 +0000

    Sbuild::Base: Move section logging here from Sbuild::Build
    
    Allows use in other modules making use of logging functions

commit 6482efda8c6b0bb5669f0102cf0b037badeb6e60
Merge: e2c8759 7f40701
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Nov 27 12:54:49 2010 +0000

    Merge branch 'master' of ssh+git://git.debian.org/git/buildd-tools/sbuild
    
    Conflicts:
    	NEWS
    	debian/changelog

commit e2c87594cf4dbf53696aeee10c32e100d055ddc7
Merge: ec75bda a820790
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Nov 27 12:50:48 2010 +0000

    Merge branch 'apt-get-resolver'

commit a82079010180e044f6041d5074350e5402b8848c
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Nov 27 12:49:16 2010 +0000

    sbuild-update: Add --keygen option to generate GPG keys for archive signing
    
    Sbuild::ResoverBase::generate_keys now uses
    Sbuild::ChrootSetup::generate_keys.

commit ec75bda62549449f9c61a68580371f49b4107365
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 23 22:39:09 2010 +0000

    debian: Bump version to 0.60.6-1 and close #604715

commit 415ab468100c66911d8c58c90a480e5dc963f81d
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 23 22:36:25 2010 +0000

    NEWS: Bump version to 0.60.6

commit 5fd22518b73fe96546f82562c374dfb34d0e32eb
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 23 22:34:54 2010 +0000

    sbuild-update: Work on multiple chroots
    
    Correctly loop on all ARGV elements.
    Indicate chroot being updated in messages.

commit 02cabeefb003613acd9accd0147b11e1ae79101f
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Tue Nov 23 03:07:51 2010 -0500

    Use Sbuild::ChrootSetup::update to run apt-get update.

commit b47b01780af8337d02509e7f86e3391ea535b75f
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Tue Nov 23 02:58:30 2010 -0500

    Simplify apt archive creation by using apt-ftparchive.

commit 08f036513cf14fc5386244a22167884f8786071b
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Mon Nov 22 20:29:52 2010 -0500

    Generate a key on first use instead of providing the keys during installation.

commit a319faad50456cf342dc8d503566904f31b8ee52
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Sat Nov 20 19:37:06 2010 -0500

    Use run_apt_command() instead of running apt-get explicitely.

commit 42c3e0c0ceadfca14fd900a8c52218ee42f699be
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Sat Nov 20 17:54:25 2010 -0500

    Supply sbuild apt archive keys for use in creating apt archives.

commit 7f40701014247ed4b9dc5c1f747db46b94453598
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Nov 20 16:33:43 2010 +0000

    Buildd::Daemon: Move should_skip here
    
    Rather than sbuild checking the SKIP file after buildd runs it, we
    check SKIP in do_build prior to running sbuild.  This means the
    use of SKIP is confined to buildd and buildd-mail, and sbuild doesn't
    need to worry about buildd's concerns.

commit 55aaf40032db56b4e076c144b69c67af241f4dfe
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Nov 20 16:10:52 2010 +0000

    sbuild: Return 'skipped' packages with zero exit status
    
    Packages not meeting the arch check are treated as skipped.
    This only applies to user mode; buildd mode must treat skipped
    as failure for now, until it can parse the package status from
    the sbuild output.

commit c275d4bc50b9b5f6dc7350bd1b45ba5f307e0acb
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Nov 20 14:54:15 2010 +0000

    debian: Drop unneeded programs when running configure

commit 7ce884a74f5a8ba18e3a7de225bc84f3a6a201b7
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Nov 20 14:52:23 2010 +0000

    Sbuild::Sysconfig: Drop programs hash
    
    Rather than indirectly searching for programs' absolute paths and
    storing them in the %programs hash at configure time, search at
    runtime in $PATH as would be expected.

commit 353034c2ad71d9f6ec86d9af81256cb8271d5f16
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Nov 20 14:01:22 2010 +0000

    Sbuild::Sysconfig: drop unused DPKG_ARCHITECTURE

commit 4d9f35bd7013d219ea6294356900a560b0328c4b
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Nov 20 11:41:06 2010 +0000

    debian: Bump version to 0.60.6

commit c9157ff462c5ddeb7da53ad14bebaa912312919d
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Nov 20 11:40:47 2010 +0000

    NEWS: Bump version to 0.60.6 and document environment filtering

commit cbbf001aced0825f49fd62fbc20e05acceea3a04
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Nov 20 11:34:48 2010 +0000

    Sbuild::Chroot: Filter environment using ENVIRONMENT_FILTER
    
    Sbuild::Conf: Add ENVIRONMENT_FILTER/$environment_filter option
    The environment filter is a list of regexes.  If an environment
    variable matches any of the regexes, it is kept, or else if none
    match it it dropped.  Currently various DEB* and *FLAGS* are
    allowed.
    
    The allowed regexes are taken from debuild.  debuild also allows
    LC_* variables, but sbuild does not (it sets the locale to POSIX,
    making this pointless to allow).

commit 510398198948ae41ddb390ed600df1cc5301e597
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Sat Nov 20 02:20:49 2010 -0500

    Add functions that setup a dummy apt archive for use with apt resolver.

commit f0e39c70da6707e2ba007a737154296f38d599e7
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Nov 18 17:00:21 2010 +0000

    Sbuild::ChrootSetup: Add hold_packages and unhold_packages functions
    
    These wrap set_package_status.
    sbuild-hold and sbuild-unhold use these functions in place of
    set_package_status.

commit 1432256a5bcb46a03ad3569ee3e1879ad71aa823
Author: Philipp Kern <pkern@debian.org>
Date:   Mon Nov 15 21:16:53 2010 +0100

    debian/control: depend on libdpkg-perl (>= 1.15.5)
    
    Dpkg::Control changed its interface completely in dpkg 1.15.5, and the code
    relies on the new interface.

commit 7b7116d592132ac422613432e56590cd043abe0b
Merge: f07e28d aad7e66
Author: Philipp Kern <pkern@debian.org>
Date:   Mon Nov 15 21:15:23 2010 +0100

    Merge branch 'master' of alioth.debian.org:/git/buildd-tools/sbuild

commit aad7e66da0062cf880418f55e52eacf78f2b11c3
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 14 12:15:15 2010 +0000

    Sbuild::Build: Correctly report build times on failure

commit 43cf4364c5630cb5a5736cc22217197b592c3e5e
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 14 12:01:25 2010 +0000

    etc: Only install 99builddsourceslist on buildds

commit 1fac57ea98d9d04308baeb643c8f0bd10f74c450
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 14 11:56:59 2010 +0000

    debian: Bump version to 0.60.5-1

commit 70c150663a6d58894ef2313d2ae20c8ded7d300f
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 14 11:56:29 2010 +0000

    NEWS: Bump version to 0.60.5 and document piuparts and apt resolver

commit 329258ad45b5442b2c4848d0a6db3b6f7c4af557
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 14 11:35:26 2010 +0000

    Sbuild::Build: Remove stats delimiters

commit e56d65bad7aeb5cc47862d924288bfc993d72820
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 14 11:18:12 2010 +0000

    Sbuild::Build: Add job name to statistics

commit 32c59940679f70aef491005efabd1bb63268b1db
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 14 11:17:29 2010 +0000

    sbuild: Return buildd-style exit codes for all use cases

commit b0463acbe37e8a3ec661b3ed89fc1344c2cf49dd
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Nov 13 19:15:42 2010 +0000

    Sbuild::InternalResolver: Prune Provided virtual packages in filter_dependencies
    
    If RESOLVE_VIRTUAL is enabled, prune provided virtual packages in
    filter_dependencies.  Unsatisfied virtual depdendencies are later
    expanded in virtual_dependencies.  The pruning is needed or else
    we might expand the virtual package to a different package than
    already providing the dependency, if such a package was already
    installed.

commit 25c77aea4133c04bf956f3dc79a2e3c3a749b89f
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Nov 13 18:44:44 2010 +0000

    debian: Close #603397

commit c833c64bb7e34410c5105c5304a41e5396cbd234
Author: Loïc Minier <lool@dooz.org>
Date:   Sat Nov 13 18:41:58 2010 +0000

    Sbuild::ChrootSetup: Run dpkg with --force-confold as for build deps

commit 2033da980182f3b54a7782c5a7de72c33cd59e15
Merge: b402d90 dbf0d41
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Nov 13 15:03:01 2010 +0000

    Merge remote branch 'origin/buildd-0.60.0'
    
    Conflicts:
    	bin/create-chroot

commit b402d9065465b8854194e85b1c960b4a03aa874c
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Nov 13 14:38:20 2010 +0000

    Sbuild::Build: Add functions for stats logging

commit 4c115f05b01b452203d26b4e43c302d7412f9a08
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Nov 13 13:31:31 2010 +0000

    Sbuild::Build: Log stats for Distribution and hyphenate Source-Version

commit d2b52f30c3cee69d1f2f09bc8fbe415a6b6e455a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Nov 13 11:41:55 2010 +0000

    Sbuild::Conf: Only validate lintian and piuparts when enabled

commit dc806b02c468efc19b91e220d2f982304f14ebab
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Sat Nov 13 03:24:55 2010 -0500

    Add feature to run piuparts after a successful build.

commit 0ccb61ca018a90acc200fb20761fca98c11523a6
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Sat Nov 13 01:35:24 2010 -0500

    Place lintian run code inside a function.

commit 1d46d853b2abfac197e40b70adbd6ca07d083ff4
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Fri Nov 12 17:26:56 2010 -0500

    Include AptResolver module in installation of libsbuild-perl.

commit dbf0d41c5d824c028daaec50203209724b62cfdd
Author: Philipp Kern <pkern@debian.org>
Date:   Thu Nov 11 22:25:25 2010 +0100

    bin/create-chroot.sh: create edu chroots on i386, amd64 and powerpc

commit 474ad9f811e39115327034c23b08720a1121850f
Author: Philipp Kern <pkern@debian.org>
Date:   Thu Nov 11 22:02:43 2010 +0100

    etc/99builddsourceslist: rip out support for key packages
    
    It doesn't seem to be possible to use apt-get via simple chroot
    statements in a sane way from this script.  You'd need to update
    its cache first because the new sources.list might not refer to
    any mirrors whose lists are already cached and then dpkg complains
    about its environment not being set up properly.
    
    So let's add the debian-edu key to the package and handle it like
    the backports.org key.

commit 548ee0641883b1c3170416ef61da19ab9d8d3526
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Wed Nov 10 01:20:26 2010 -0500

    Add option to refuse to ever remove essential packages.

commit 1ea5e270438db99b646fcbf28ce5ad3dd708f55b
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Wed Nov 10 01:07:31 2010 -0500

    Fix some aptitude options in accordance with aptitude documentation.

commit 0b0eb6a221ba1a16379c329ff6e5c987ed37a897
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Wed Nov 10 01:00:23 2010 -0500

    Set --allow-unauthenticated (when appropriate) and --no-install-recommends option for apt resolver.

commit 07bf78ec09d14fcc1b985158f3da36f80c84c4e3
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Nov 10 00:01:58 2010 +0000

    Sbuild::AptResolver: Add new resolver using apt-get
    
    Like the 'aptitude' resolver, 'apt' installs a dependency package
    containing the Build-Depends and Build-Conflicts and Depends and
    Conflicts, then runs "apt-get -yf install" to force installation
    and removal of the depends and conflicts.

commit fa4cd4daa34d687f64b8b085c6aaaab0a716a3be
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 9 19:47:06 2010 +0000

    debian: Document revert of resolver to internal

commit 2e07435a301dcaae4858b3a72e00f6b33a793566
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 9 19:24:58 2010 +0000

    debian: Document resolver changes in sbuild.NEWS

commit c16ed3fe979926ab1bcbd43cc8a307703062479c
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 9 19:17:54 2010 +0000

    NEWS: Revert resolver to internal

commit 49047c1d7bc3809774920aa7fd49921759ebe16b
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 9 17:45:06 2010 +0000

    Sbuild::Conf: Revert resolver to internal by default for now

commit 77a5b174d0b518bf4fe9ee47ec56e60b9418929a
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Tue Nov 9 17:33:30 2010 +0000

    sbuild.conf: $lintian_opt should be $lintian_opts

commit 49d453185ee50f3b22372cc37e8e82c3cc7117c1
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Nov 8 21:55:57 2010 +0000

    Extend sbuild compatibility mode for buildd usage
    
    Define compatibility mode in Sbuild::Sysconfig.
    Default resolver to internal in configuration (if compat).
    Strip chroot namespace when beginning session (if compat).
    [schroot 1.2.x compat]

commit aa172107b96c87a92114bac659e83fa9d56d5649
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Nov 8 21:08:14 2010 +0000

    Sbuild: Correct chroot lock unlocking on failure path
    
    Locking failure would unlock prematurely.

commit 0266fb2124041894e5e2ff5466eab0c78c8e20ba
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Nov 8 17:45:35 2010 +0000

    debian: Bump version to 0.60.4-1 and close #602789

commit 5076fda4c3fe4cb97685719f006a4ce0453cf3ef
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Nov 8 17:15:46 2010 +0000

    NEWS: Bump version to 0.60.4

commit 3531b5f6f93afb490aa0cdb5981a17d7ba977d2c
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Mon Nov 8 01:38:28 2010 -0500

    Fix regression when passing source:<distribution> as CHROOT for sbuild-update and friends.
    
    Also makes it possible to override use of 'source' as namespace.

commit 413577ce20a7c10b4fce3b1d2ca5ea3f408d28a8
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 7 22:33:26 2010 +0000

    debian: Correct version

commit af4232baa8cfdcb3d095cda75d8775c15422e184
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 7 22:32:39 2010 +0000

    NEWS: Document new features

commit 3761738a1f04ba481b5cbc697264bd4a081f197b
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 7 22:32:22 2010 +0000

    debian: Fix typo

commit 5a1a17b974ccecbf09298de8697197fe7aeca9ec
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 7 21:59:12 2010 +0000

    Sbuild: Update copyright

commit f7d4c087cff579778da86e9567075c1c470fb46e
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 7 21:56:49 2010 +0000

    Sbuild::ResolverBase: Don't log Build-Depends/Conflicts by default

commit 453b13890f99d87cebd187642667cb073e7eacaf
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 7 21:56:34 2010 +0000

    sbuild.conf: Document $build_dep_resolver

commit 88f049b81d1b080204bfef34acf7c7895988bc27
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 7 21:42:51 2010 +0000

    Sbuild::ChrootInfo: Support namespaces properly with sudo

commit bc11b8c21979b4f952f951411847ce6e1f36c796
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 7 21:33:17 2010 +0000

    debian: Close #567505

commit 6daaf332f3cf5aada99bd68e373d39ba4c50de50
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 7 21:25:47 2010 +0000

    Sbuild::ChrootInfo: Add support for namespaces
    
    Support schroot namespaces properly.  Read in all chroots in the
    'chroot' and 'source' namespaces.  Add a namespace argument to the
    ChrootInfo find function, and get_info functions create namespaces.
    create() also takes a namespace parameters, used by Sbuild::Build
    and Sbuild::Utility.  Utility programs operate in the 'source'
    namespace by default, falling back to the 'chroot' namespace if
    a source chroot does not exist.  Sudo chroots use only the 'chroot'
    namespace.
    
    schroot namespace support had been added previously by overriding
    the find() function and stripping namespaces, but this had several
    issues, and did not permit good use of the 'source' namespace.

commit b0a838371974cac59bdd9493d72dff668dd46cc1
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 7 15:34:28 2010 +0000

    Sbuild::Conf: Log external command output by default

commit bf2873f3c7be181b11d630efdcc8d146242d016f
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 7 15:34:05 2010 +0000

    Sbuild::ChrootInfoSchroot: Parse chroot namespaces
    
    Don't use yet.

commit 072312d39b15eac008e82c713bf31a1ab05c664d
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 7 15:28:38 2010 +0000

    AUTHORS: Add lintian/external commands authorship

commit 5288ab4eb2f9b18869d3ec02e7bdf9fd7c0aefeb
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 7 12:21:22 2010 +0000

    Sbuild::Build: Log summary statistics

commit 0586e64d0d00af7c5d3f380b0429289aa728e0f4
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 7 10:59:09 2010 +0000

    Sbuild::Build: run_external_commands: Don't log section if no commands specified

commit b432f6b85db9e08c3a85b05f0eac1e4732f43895
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 7 01:42:41 2010 +0000

    debian: Close #551311 and document lintian and external commands

commit 6101a5f3f68ecefc71c30042c55ca7eb7475a269
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 7 01:36:16 2010 +0000

    Sbuild::Build: Log source package creation

commit 1dfc1a12c4040fb872386c1a081af3c56ed25fb8
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 7 01:31:00 2010 +0000

    Sbuild::Build: Rearrange order of external commands

commit b06cc3d0c9634b230925301d5e57c3b7948698de
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 7 01:25:12 2010 +0000

    Sbuild::Base: Don't warn about undefined log streams unless debugging

commit 0827a4aab6c3082a31bee53ad97a48f31b0fae27
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 7 01:24:21 2010 +0000

    Sbuild::Build: Install core build dependencies separately
    
    build-essential needs to be installed before we can read its files
    Separate handling of gcc-snapshot and manual source dependencies

commit 527b434c67e92a1b871a09cb1275c9fa11ef3038
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 7 00:57:22 2010 +0000

    Sbuild::ResolverBase: Move get_dpkg_status here

commit 9faaef5868adf06734a882d2cc92245938e2c07c
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 7 00:50:50 2010 +0000

    man: external_commands is a hashref

commit 9ce701f64bad5bac002e9e703dd6a06dd1934efc
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 7 00:46:55 2010 +0000

    sbuild.conf: Remove obsolete %alternatives

commit 60daffd606d3f4db195ce6088a1dff690fb5fd1f
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 7 00:46:38 2010 +0000

    Sbuild::Conf: external_commands is a hashref

commit d017dc360df2b68470297bbc2df294ed9ed519f1
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 7 00:02:19 2010 +0000

    Sbuild::Build::run_external_commands: Initialise $chroot to 0

commit e58a592e6992c979a7adc5122ffd34b392599269
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 7 00:01:50 2010 +0000

    Sbuild::Build: Only log to build log during a package build

commit 0a1b0ed05bac8bbb4b6ac48fb3cd0871c6f515e8
Merge: bbdaf88 63a8944
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Nov 6 23:46:15 2010 +0000

    Merge branch 'master' into debuild-functionality

commit 63a89444ff7b4d1e872c73825d3567d7bc6e6545
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Nov 6 23:37:03 2010 +0000

    debian: Default $resolve_virtual to 0

commit 0e30f1b871ad5e2016c13203b1b42410fcf27396
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Nov 6 23:36:27 2010 +0000

    Sbuild::Conf: Default RESOLVE_VIRTUAL to off
    
    Avoids changing the historical behaviour of the internal resolver.

commit 1b7c460d2421f6808708b733d1391a6beb1a4f23
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Nov 6 22:51:35 2010 +0000

    Sbuild::InternalResolver: Move get_dpkg_status and get_apt_policy here

commit 8e39171a98e06e927ccba2f8831d78b458a1460d
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Nov 6 21:01:05 2010 +0000

    Sbuild: Handle failure paths better

commit bbdaf8862cdb66fe4cd77776772c25da2d0b6206
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Nov 6 16:47:56 2010 +0000

    Sbuild::Build: Don't strip epoch before calling set_version

commit 09cf6bcf76822593e2f713d4cb91076e0bf86ca3
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Nov 6 16:17:14 2010 +0000

    Sbuild::Build: Remove removed install_core function call and reindent

commit ba0bd584c81b42379ca3291c0f051c365d7dd822
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Nov 6 15:43:03 2010 +0000

    Sbuild::Build: Create Host ChrootRoot object in constructur
    
    Initialise streams later, once they get initialised for us.

commit 7e9de9242aa91c7f97cc4ea46a4802745e5e8ce0
Merge: dffb5a3 0c205b4
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Nov 5 18:38:50 2010 +0000

    Merge branch 'master' into debuild-functionality
    
    Conflicts:
    	lib/Sbuild/Build.pm

commit 0c205b407e3446d3c6c2006e320d59b13544b821
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Nov 5 18:33:05 2010 +0000

    sbuild-update: Lock chroot to block if a build is running

commit 379d92e3cecfdef1770c67dbf913c2ed59c7036c
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Nov 5 18:32:36 2010 +0000

    Sbuild::Chroot: Move chroot locking here

commit 9a1dda3d947e1f4aff608f0871cb02a1077eda60
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Nov 5 16:29:58 2010 +0000

    Sbuild::InternalResolver: Remove obsolete sourcedeps override support

commit 797cdca708196c1dfd9b1923f2cd2a607f70c020
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Nov 5 16:20:21 2010 +0000

    Sbuild::InternalResolver: Remove use of obsolete $conf::srcdep_over
    
    Source dependencies and overrides are no longer available.

commit 8990787975f051d7c098071eea5f157bce6e2e60
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Nov 5 08:40:31 2010 +0000

    Sbuild: Internal resolver uses AptDependencies
    
    Simplify the internal resolver by using AptDependencies in place of
    Dependencies, and computing Dependencies at package install time.
    
    Allow installation of multiple package lists by merging during install.
    
    Old unused Dependencies code removed.

commit dffb5a37243c0476016196349e1dd70fb54711da
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Thu Nov 4 02:50:47 2010 -0400

    Now really fix builds for debianized source directories.

commit 37497268dadadf446ceccdf38efbe4e3ce0591a9
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Thu Nov 4 02:01:01 2010 -0400

    Fix where logging begins/ends.

commit e4189fa5c36f0e6be6d25e5b388780e29fb98167
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Thu Nov 4 01:49:07 2010 -0400

    Fix builds from debianized source directories.

commit 9ad8f45c5c0fa9b8f62de6bd2f8e759f5e78a1a0
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Thu Nov 4 00:52:25 2010 -0400

    Fix addition of lintian options to command to run.

commit 9c1fe3521c87fbd560c36249163ad2f5319469ae
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Thu Nov 4 00:47:04 2010 -0400

    Fix logging of external commands, only logging when specified to log stdout or stderr of commands.

commit a7c64d8b1b28c87179327530f465f2e05a7de4ee
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Thu Nov 4 00:45:30 2010 -0400

    Do not ignore options that are set to undef.

commit 66c5efd7afc35c4c9a0e76a019c3d9921b9d2988
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Thu Nov 4 00:17:34 2010 -0400

    Setup host session with reasonable defaults.
    This fixes issue where commands run on the host would not be logged.

commit 4030d93a0de80ac58686bb023c398e535360ffde
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Wed Nov 3 17:26:53 2010 -0400

    Fix permissions on generated sbuild tarball.

commit dfbd9768d7518f229fc481e58d535dffbbff2483
Merge: c923e9e bc5ff1a
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Wed Nov 3 16:49:15 2010 -0400

    Merge branch 'master' into debuild-functionality

commit 0c4da880a762a023339ecb0a58f5c85cee663111
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Nov 3 20:00:30 2010 +0000

    debian: Close #545215

commit bc5ff1a4b75ede1989da475996e952ea2771a61e
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Nov 3 19:58:19 2010 +0000

    NEWS: Document sbuild-createchroot tarball creation

commit 1d5af24d07b8d5924942042580e3df42efb098a5
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Nov 3 19:55:57 2010 +0000

    debian: Document tarball creation by sbuild-createchroot

commit ba5124996d4bb5cda1a6be66b0a8b0af7b99ab8d
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Nov 3 19:50:55 2010 +0000

    debian: Close #602318

commit 60ef668af2f5cbca0c8d4c0dad936b257ab77c29
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Nov 3 19:46:52 2010 +0000

    Sbuild::ConfBase: Never set Sbuild::debug_level to undef

commit f5d757113b57dbdba056c9ef70a2e78148cf4890
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Nov 3 19:32:29 2010 +0000

    sbuild-createchroot: Correct message to print .tar.gz rather than .tgz

commit c923e9e06c032e9a41dead7e5759088de88dbc50
Merge: 085d088 cc96c84
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Wed Nov 3 15:30:22 2010 -0400

    Merge branch 'master' into debuild-functionality

commit cc96c841441b5c143ca44c7691be9d149f0bc9dd
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Nov 3 19:15:22 2010 +0000

    sbuild-createchroot: Default to .tar.gz rather than .tgz

commit 085d088757bc9db0e1cc0b8f8d8a580f9106d5b7
Merge: 1c157a2 1382875
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Wed Nov 3 15:00:51 2010 -0400

    Merge branch 'master' into debuild-functionality

commit 1382875de3feba3f6ba35026ed04d379f6c79151
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Nov 3 18:40:30 2010 +0000

    sbuild-createchroot: Rename --keep-sbuildchroot-dir to --keep-sbuild-chroot-dir

commit ac0789bc8a3eed723404136d4a86390c2d9a60b3
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Nov 3 18:38:49 2010 +0000

    man: Add Andres Mejia to AUTHORS/COPYRIGHT

commit aa0df78ea06ed142664eca2003c848b95c164e71
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Nov 3 18:37:26 2010 +0000

    AUTHORS: Add Andres Mejia and also document in sbuild-createchroot(8)

commit 07a46ffd442c55b6a7e108d2f2874b788786dfab
Merge: a583b9a 0f3af4f
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Nov 3 17:58:54 2010 +0000

    Merge branch 'master' into sbuild-createchroot

commit 0f3af4f654e61b539f8d0689c96f136b7374bbff
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Nov 3 17:47:55 2010 +0000

    debian: aptitude is the default resolver

commit fdd4055a8c97d60483bff461fb9f13a1f304b8bc
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Nov 3 17:47:42 2010 +0000

    NEWS: aptitude is the default resolver

commit ee16cdfc1853e6716bb344b7bb21bb5d03d4b3a9
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Nov 3 17:47:27 2010 +0000

    Sbuild::Conf: Make aptitude the default resolver

commit a6a655bb749d50a0bf8758414e294bccb802ec73
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Wed Nov 3 17:39:25 2010 +0000

    Sbuild: Fix uninitalised value warning in debug2

commit 1c157a27d4a149a35eeccf0e358eed2bc27cb524
Merge: 7d804de bc009a2
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Wed Nov 3 12:53:32 2010 -0400

    Merge branch 'master' into debuild-functionality

commit 6fb4da4fa3b7ec3ce049dc13d9b07cd80e21c140
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Nov 3 16:38:10 2010 +0000

    debian: Close #464376

commit 75814733be9c1a70f18bb1bfb44d532364b160b6
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Nov 3 16:28:41 2010 +0000

    debian: Close #403246

commit bc009a29f782936a23d488ca97e0ec243fc75f5c
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Nov 3 14:04:14 2010 +0000

    debian: Bump version to 0.60.3-1

commit 9adb397b46fa9a2da0c09b64fbebd7515bbe7f6b
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Nov 3 14:03:57 2010 +0000

    NEWS: Bump version to 0.60.3

commit ccddc5a6fbe7d8de40cd14a7a05747a0ae9eb5bb
Merge: 4f9f5f4 a994d14
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Nov 3 13:53:09 2010 +0000

    Merge branch 'master' into sbuild-update

commit a994d14ad90167930a5fd3eca7e3a1d35b722a6a
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Nov 3 13:09:31 2010 +0000

    Sbuild::Build: Use Dpkg::Control to parse .dsc

commit 4f9f5f459e3b431ff33a9af5702175588a79f692
Merge: 230b576 920182c
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Tue Nov 2 21:56:54 2010 -0400

    Merge branch 'master' into sbuild-update

commit a583b9a6369de967aca30ac8f850f6605a220688
Merge: 4505089 920182c
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Tue Nov 2 21:56:41 2010 -0400

    Merge branch 'master' into sbuild-createchroot

commit 7d804de33daccb2dcdd3161cd2439a34b11e6aaf
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Tue Nov 2 21:55:27 2010 -0400

    Fix breakage of commands that are run in root filesystem.

commit 1865adc92eb13ff15937b9fc47d3eaca0390e3f8
Merge: 1d96785 920182c
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Tue Nov 2 20:39:37 2010 -0400

    Merge branch 'master' into debuild-functionality
    
    Conflicts:
    	lib/Sbuild/Build.pm

commit 920182c6ffb67ea39c640434d1a7cf5b3a101c73
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Nov 3 00:23:51 2010 +0000

    Sbuild: Rename BuildDepSatisfier classes to Resolver
    
    Sbuild::AptitudeBuildDepSatisfier is AptitudeResolver
    Sbuild::InternalBuildDepSatisfier is InternalResolver
    Sbuild::BuildDepSatisfierBase is ResolverBase

commit 876e60c5d428af151f678eced2acf1db5e5d6104
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Nov 3 00:03:52 2010 +0000

    sbuild: Call unlock_chroot() on shutdown

commit e85305b85ed23f833dad944a585a8b1dfaea9765
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 2 23:46:31 2010 +0000

    Buildd: Remove srcdep and install locks
    
    All locking now comes under the chroot lock, making the separate
    srcdep and install locks redundant.

commit a550c88db3ae7648b4c4763ba0fffa0c64c880a0
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 2 23:15:26 2010 +0000

    Sbuild::BuildDepSatisfierBase: Add chroot locking functions
    
    Add chroot_lock and chroot_unlock functions.
    Sbuild::Build::run locks the chroot after beginning a session, and
    unlocks immediately prior to ending a session.

commit 023b540e03e5d0c7a8d726ddb1cd741056839a0c
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 2 21:51:29 2010 +0000

    Sbuild::Options: Fix warning when using gcc-snapshot

commit 4938ae861fbdcb2a9ae36ed5ca9fec56dc6c5c10
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 2 21:50:49 2010 +0000

    Sbuild: Fully separate internal and aptitude resolvers
    
    Not internal resolver code is now used by the aptitude resolver.

commit 2d47eaa3aa7a316e17f6b26693ed686c9a463531
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 2 21:28:05 2010 +0000

    Sbuild::BuildDepSatisfierBase: Move merge_pkg_build_deps here
    
    merge_pkg_build_deps becomes add_dependencies
    
    The Sbuild::Build Dependencies and AptDependencies members are
    also moved here.
    
    This change moves all dependency resolving completely out of
    Sbuild::Build and into the resolver code.

commit 321e75a71b0d716d77abbeffb67be462277ac31c
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 2 20:19:39 2010 +0000

    Sbuild::Build: Remove unused functions
    
    Remove expand_virtuals, expand_dependencies and file_for_name.

commit 81bd06a13a28014ef15c2786e878654f03f1ffeb
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 2 20:17:30 2010 +0000

    Sbuild::Build: Remove unused get_altlist

commit 9141da1ee5d4212ab124f681da070847062293a7
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 2 20:14:35 2010 +0000

    Sbuild::BuildDepSatisfierBase: Display toolchain packages directly from dpkg
    
    Filter toolchain packages directly from installed package list.
    Remove unused expand_dependencies from Sbuild::Build.

commit 1211c8e237366f9ace116730086602ad92b8c3d8
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 2 19:09:24 2010 +0000

    Sbuild::Build: Drop unused is_superset

commit 95cf9921aba0d85176c40b12fec8518bcded60ae
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 2 19:04:43 2010 +0000

    Sbuild::AptitudeBuildDepSatisfier: Use package build dependencies directly
    
    The aptitude resolver was using the pre-parsed dependency information
    used by the internal resolver.  Use the build dependencies directly
    from the package control file, using Dpkg::Deps deps_parse with
    reduce_arch=1 to filter arch-specific dependencies when constructing
    the control file for the dummy package.
    
    In Sbuild::Build, create an alternative AptDependencies structure which
    mirrors the existing Dependencies structure but which does not pre-parse
    any dependencies.

commit 1d9678556a25d12d92eb1df30009e0438b6a2ce4
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Tue Nov 2 14:16:53 2010 -0400

    Run commands only if there are commands to run

commit f82fe155b4e0e2e6a9802f939e415d0679ec180f
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Tue Nov 2 14:14:10 2010 -0400

    Fix comparison of $debug_level. Only compare if it's defined.

commit bde142956f4ecd7da5e4b4bd1c4330758e90641a
Merge: 6297b8e c62a210
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Tue Nov 2 14:13:57 2010 -0400

    Merge branch 'master' into debuild-functionality
    
    Conflicts:
    	lib/Sbuild/Build.pm
    	lib/Sbuild/Conf.pm

commit 4505089dcc3acf9c769e1d538e5b67595e592d4a
Merge: 1478ae2 c62a210
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Tue Nov 2 13:40:24 2010 -0400

    Merge branch 'master' into sbuild-createchroot

commit 230b5767f96d700032b02413d6b03b198c304436
Merge: b53b679 c62a210
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Tue Nov 2 13:40:08 2010 -0400

    Merge branch 'master' into sbuild-update

commit d2e4c08a6b724729a5404423cd8c16366c689366
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 2 17:32:12 2010 +0000

    Sbuild::Build: Remove 'Have DSC Build Deps'
    
    All packages now have build dependencies.

commit c62a210ed548f05e4e58133e4ae86afffbefa202
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 2 17:26:02 2010 +0000

    build: Restore check for aptitude
    
    Without the configure check, APTITUDE isn't defined in Sbuild::Sysconfig.

commit 23e2076519f78ce2a76630cf6290a90cb978f14e
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 2 17:25:20 2010 +0000

    Sbuild::AptitudeBuildDepSatisfier: Clean up dummy deb files
    
    We always pass through the cleanup code on all failure paths.

commit b6098d0cad24ff2bf9211a0e662d82eb7ad79f17
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 2 16:46:09 2010 +0000

    Sbuild::AptitudeBuildDepSatisfier: Handle Build-Conflicts and error conditions
    
    Handle errors building dummy package
    Handle errors installing dummy package
    Install dummy package with dpkg --force-depends --force-conflicts
    Remove package purge code since it's handled automatically in uninstall_deps

commit e7c549dfff1155467dfdd4f0a24752baa2a17d2c
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 2 15:47:21 2010 +0000

    Sbuild::BuildDepSatisfierBase: Replace uninstall_debs with run_apt call
    
    Don't use dpkg to remove packages since apt-get can do a better job.

commit 53db4e7d88f05aa7aa7ef0a1aed5bb022b8c7944
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 2 13:53:24 2010 +0000

    Sbuild::InternalBuildDepSatisfier: Reinstall all removed packages

commit 0b96d99af1468120a2ce981d5c36e7f5b129e84a
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 2 13:39:53 2010 +0000

    NEWS: Document major changes

commit 09dcb6bbb516f56881ed2bb4182f85b72b477d76
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 2 13:31:31 2010 +0000

    Sbuild::Build: Move package/version parsing debugging to where set

commit 2ca4acfd9ec9250eafd5310e07b5b18a12ec6bfd
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 2 13:03:50 2010 +0000

    debian: Document build-conflicts changes

commit fff1497d356d503e119e1da905fb3229bc4115fc
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 2 13:02:19 2010 +0000

    Sbuild::BuildDepSatisfierBase: Correctly reinstall build conflicts

commit 8b5e4087f522c1937144522a9181354b8e0ed884
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 2 12:52:50 2010 +0000

    debian: Tidy changelog

commit 3b235d765c2be95f91aa4b20ae8d8f7537770aa3
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 2 12:44:53 2010 +0000

    Sbuild::BuildDepSatisfierBase: Move Sbuild::Build::format_deps here

commit bbbc0d7939b6e5c4ee9b9b1439e5c601f219dba5
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 2 12:39:43 2010 +0000

    Sbuild::Build: Remove unused and broken code from merge_pkg_build_deps
    
    Remove essential package processing; now done in install_essential
    Remove virtual package processing; now done in BuildDepInternalSatisfier
    Move toolchain reporting to BuildDepSatisfierBase
    Remove expand_virtuals
    Remove cmp_dep_lists
    Remove Build object members 'Toolchain Packages' and 'Additional Deps'
    (both now unused)
    Remove 'Additional Deps' usage from prepare_watches
    Install core packages after fetching sources, and before installing
    essential packages

commit 640b5c734b3ddffe0864561ea3b76836ec15a78b
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 2 11:26:57 2010 +0000

    Sbuild::BuildDepSatisfierBase: Move Sbuild::Build::run_apt here
    
    run_apt is only used by the internal and aptitude resolvers,
    so move into the base class.

commit 039a29e3fe7f63e6fe3579ba352a353fd22ba049
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 2 11:26:27 2010 +0000

    Sbuild::Build: Do all DSC parsing in a single place

commit 1cb8285fb0ed3cc3b90d4fdeb4714d84fd3d8d69
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 2 11:23:23 2010 +0000

    Sbuild::Chroot: Use debug2 for logging chroot operations
    
    Unless debugging schroot/sudo command execution, this debug
    output is not needed normally, so log at lower priority.

commit 2a3854a5cce57497d23f55afcc0a3bc9b5672cd5
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Nov 2 11:22:26 2010 +0000

    Sbuild: Add debug2 function
    
    This logs only when debug_level == 2, to avoid swamping normal
    debug output with irrelevant details.

commit d3d685fef59e02e5eb4bd63fc93ef84d5cf05f57
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Nov 1 21:46:22 2010 +0000

    debian: Close #595934

commit 4f83985c0280d09767ab1384f0e3e262d575067e
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Nov 1 21:35:24 2010 +0000

    Sbuild::Conf: Add RESOLVE_VIRTUAL option to disable virtual package resolving
    
    Defaults to enabled.

commit 9bd583320f1acab840c5b2c122f83947a30fa78d
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Nov 1 21:03:55 2010 +0000

    Sbuild::InternalBuildDepSatisfier: Resolve simple virtual dependencies
    
    get_virtual gets a list of packages providing a given package
    (or a single concrete package if it's not virtual), using
    "apt-cache --names-only search '^$pkg$'".  This appears, at
    present, to be the most efficient way of finding virtual
    package providers.  Packages are listed in alphabetical order.
    
    virtual_dependencies uses get_virtual to expand all virtual
    dependencies.  It currently picks the first returned package,
    which is the first sorted alphabetically.

commit 485d0062e39aa6a91d5103e9d19a4dd5bf90fb9d
Author: Philipp Kern <pkern@debian.org>
Date:   Mon Nov 1 10:37:42 2010 +0100

    bin/create-chroot: add testing-edu

commit 9b8e2c224ece13b08dae8d5d4992a795d439b6a4
Author: Philipp Kern <pkern@debian.org>
Date:   Mon Nov 1 13:17:14 2010 +0100

    [Buildd::Daemon] get rid of @todo entirely

commit 65aaeface5507e5442c652cb1cfc1642dbdd8209
Author: Philipp Kern <pkern@debian.org>
Date:   Mon Nov 1 13:17:27 2010 +0100

    bin/sbuild: fixup_pkgv apparently not needed, according to rleigh

commit 0e5a5970ced13dcf9b63c78ec048e85c189820cd
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Nov 1 19:09:33 2010 +0000

    debian: Close #590153

commit e5dcc2d88de715ac7d382ddc1ad572e317de4304
Author: Lorenzo De Liso <blackz@ubuntu.com>
Date:   Mon Nov 1 17:44:34 2010 +0000

    debian: buildd Replaces and Breaks ubuntu-dev-tools <= 0.83
    
    Apparently, ubuntu-dev-tools also shipped a buildd program.

commit 1e5814804ee26e99b2faa559aab128a1ca65dcf2
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Nov 1 17:28:36 2010 +0000

    debian: Close #599350

commit ee144f81240e2d2cb8fcd95796262b7db09c10e9
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Nov 1 17:26:15 2010 +0000

    Sbuild::Conf: Check sbuild group membership using gid and supplementary groups
    
    Previously, we checked if the user was a group member by looking
    at the membership of the sbuild group in the system group database.
    Now actually check for active posession of group privileges by
    looking at the process' gid and supplementary groups.

commit 0cd659422d758223b8681cfc56189d3ab1737799
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Nov 1 17:19:15 2010 +0000

    man: Document sudo chroot symlink details

commit 42c41b9a065dc6b5c566dc62d94f6bd5352343e0
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Nov 1 17:10:25 2010 +0000

    debian: Close #598054

commit b3d1efb66c521016dcfdc3a817c76465233dabfb
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Nov 1 17:08:56 2010 +0000

    man: .sbuildrc is no longer required

commit b685f317b78a7a06a44fda2a1f0132023addb2ec
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Nov 1 16:58:46 2010 +0000

    debian: Close #599348

commit a9c8a91eb829b9bc217572e49d126ab1bfbc1295
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Nov 1 16:57:42 2010 +0000

    man: Remove obsolete parts of the sbuild man page

commit 860529f85472c22bb9ec9f9cdc91e6447316098d
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Nov 1 16:32:11 2010 +0000

    etc/25nssdatabases: Update from schroot 20nssdatabases
    
    Skip comments and blank lines in nssdatabases file
    Skip copying if source and destination are identical, preventing
    blanking the file if it's hardlinked or bind mounted.
    Use strict POSIX shell.

commit 74ca8ce573377cdf8eaa7ef045c512d5467847bc
Author: Philipp Kern <pkern@debian.org>
Date:   Mon Nov 1 10:37:42 2010 +0100

    bin/create-chroot: add testing-edu

commit f07e28d7dd9c80023f65a3df19da34ca0beb5d3c
Author: Philipp Kern <pkern@debian.org>
Date:   Mon Nov 1 10:37:42 2010 +0100

    bin/create-chroot: add testing-edu

commit 7d14ca461db2c29429f305fcd4021660ce90faed
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 31 21:59:48 2010 +0000

    Sbuild::Build: Update copyright

commit 81f82ef44da792a9d905bc6bf87f3181b5768c14
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 31 21:59:08 2010 +0000

    Sbuild::Build: Drop pointless log message
    
    Package-provided build-dependencies are no longer optional.

commit 9afe76e03d758172a8225d5c2e0d6f2d77ff7e91
Merge: 69957b4 f195fa2
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 31 20:45:51 2010 +0000

    Merge branch 'master' of ssh+git://git.debian.org/git/buildd-tools/sbuild

commit 69957b43a7dd7893c0be17226ae07b7400f9bfce
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 31 20:45:16 2010 +0000

    Sbuild::Conf: Remove ALTERNATIVES support

commit 5d22c9fd9d89ec7bd07e37e1033d4f11fed94b40
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 31 20:45:08 2010 +0000

    debian: Close #571806

commit aeafdd9c1ab56f42e99903a7458afab8e6bb4d63
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 31 20:39:52 2010 +0000

    Sbuild::Build: Remove support for stderr parsing in run_apt
    
    STDERR wasn't being piped back by pipe_apt_command for some time,
    so this code was not actually being used.
    Diagnosing causes of failure in the build environment was pointless,
    since it was logged anyway, and if the messages changed would be
    missed.
    Virtual dependency resolving using the static ALTERNATIVES list has
    been removed.  This was also broken, and the aptitude resolver can
    do a proper job if this is required.

commit f195fa21612547491c17416e8ff824cb3ee218fd
Author: Cyril Brulebois <kibi@debian.org>
Date:   Sun Oct 31 17:28:18 2010 +0100

    Fix shell script comparison.
    
    The proper operator to compare strings is =, not ==. On dash for
    example, one gets:
        $ [ "a" == "b" ]
        [: 1: a: unexpected operator

commit be7e91ade3ad799b4d0229aed160e837a28e378d
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 31 11:35:21 2010 +0000

    debian: Close #567506

commit 498e3a4671725b3b356182f5f853fe638bd45e95
Author: Jan-Marek Glogowski <glogow@fbihome.de>
Date:   Sun Oct 31 11:32:30 2010 +0000

    Sbuild::Build: Allow skipping ending of session on failure
    
    Allows investigation of build failures where otherwise the
    schroot session (including build tree) would be deleted.

commit 829471628cfaf6e31cde3295e652630fb690c5b4
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 31 11:27:37 2010 +0000

    Sbuild::Build: Cache resolver to avoid repeated lookups

commit b942c93315cfa052e7dd0429b27d8eaa2821766a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 31 01:39:29 2010 +0100

    debian: Close #567821

commit cd3e456fdec4badb49ac3e28bca1ea7c784b0a0c
Author: Samuel Thibault <sthibault@debian.org>
Date:   Sun Oct 31 01:37:13 2010 +0100

    Buildd::Daemon: Use loop when reading from pipes
    
    Fixes hurd-i386 breakage, likely due to differing buffer sizes
    or message lengths.  This ensures the entire pipe contents are
    read.

commit 2418a896cca6d6c8ca38994644df03e0797faa8e
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 31 01:35:41 2010 +0100

    debian: Close #567822

commit 2d31f10815748be72ce8ce90aa2d01a3a4b5322e
Author: Samuel Thibault <sthibault@debian.org>
Date:   Sun Oct 31 01:33:20 2010 +0100

    buildd-vlog: Fix breakage
    
    sleep statements are not optimal, but avoid most problems.

commit 4099778007839788eb72dc6cf798a835ebd19618
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 31 01:31:20 2010 +0100

    Sbuild::Build: Remove srcdep lock in cleanup_close failure path

commit 0eb9bafbe2bee6b90d61768f268b50da39354a18
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 31 01:29:06 2010 +0100

    Sbuild::Build: Add and handle additional failure stages

commit 77179b7848de62d94cfb7a05b86b21fc21dbaf1a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Oct 30 18:08:52 2010 +0100

    debian: Close #579971

commit 96013d4908bbb95d12f210780d3d78f9ccb3a447
Author: Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>
Date:   Sat Oct 30 18:07:47 2010 +0100

    man: Remove trailing q from sbuild-createchroot(8)

commit bf23702b4ca1eabf3a01d298834a1aa4e946296d
Merge: ad4d401 1c8e016
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Oct 30 17:17:03 2010 +0100

    Merge branch 'master' of ssh+git://git.debian.org/git/buildd-tools/sbuild

commit ad4d401756401b3b3d3dabd8de909c6979f6ddf6
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Oct 30 17:13:55 2010 +0100

    Sbuild::Build: Install core packages from CORE_DEPENDS

commit efc4055bed439649f3b9f55bb617fe5fff40804b
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Oct 30 17:13:19 2010 +0100

    Sbuild:BuildDepSatisfierBase: remove_srcdep_lock_file decrements lock count

commit 8184bf1b9ac20830bb116c8866b90c91f3a4209f
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Oct 30 17:12:27 2010 +0100

    Sbuild::Conf: Add CORE_DEPENDS key
    
    A list of core packages which must be installed for sbuild
    to function.  Currently defaults to build-essential and fakeroot.

commit 1c8e01677735335c31c55f942406a6fbde55dd22
Author: Philipp Kern <pkern@debian.org>
Date:   Sat Oct 30 17:16:41 2010 +0200

    configure.ac: drop DPKG_ARCHITECTURE check

commit 6ce363aeffb9aa52955c747cbf0021aa70cad7a8
Author: Philipp Kern <pkern@debian.org>
Date:   Sat Oct 30 17:15:42 2010 +0200

    [Sbuild::Build] use Dpkg::Arch::debarch_is instead of dpkg-architecture

commit 1eae88b781de3bc54e62a69810ec7166237c0132
Author: Philipp Kern <pkern@debian.org>
Date:   Sat Oct 30 17:13:19 2010 +0200

    [WannaBuild::Database] use Dpkg::Arch::debarch_is instead of dpkg-architecture

commit c29a57c35aa44085426f4b6039c566d7f4b38345
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Oct 30 15:58:27 2010 +0100

    debian: Close #380113

commit 768e9694db5d392cd435ee1321ba9f0f2c13e3a9
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Oct 30 15:49:01 2010 +0100

    Sbuild::Build: Install ESSENTIAL packages before build deps
    
    Modify the BuildDepSatisfiers to allow installation of package
    sets other than the current package build-deps.  Install/remove
    both the ESSENTIAL packages and the current package build dependencies.

commit e7dc24488c5c941639b0bab46e247a5bd3d96da4
Merge: 320cc46 f6090b6
Author: Philipp Kern <pkern@debian.org>
Date:   Sat Oct 30 14:13:08 2010 +0200

    Merge branch 'buildd'

commit f6090b672f6c8f24520c0e0ab365bf8bab06ca48
Author: Philipp Kern <pkern@debian.org>
Date:   Sat Oct 30 13:58:11 2010 +0200

    bin/create-chroot.sh: support lenny-backports-sloppy creation

commit 320cc468031f066946b181e539c3473fd4b30484
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Oct 28 22:13:24 2010 +0100

    debian: Close #569823

commit fe31bd6fbb92d5bf48c111b68ee3697356808398
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Oct 28 22:12:19 2010 +0100

    Sbuild::Build: Log source version as well as binary version

commit b483eff070d709dc9bed65f1411e72130b588789
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Oct 28 22:00:40 2010 +0100

    debian: Close #586275, #578810, #591187, #591188, #591189, #595863, #595866, #595872

commit dffa5884a0df0821ce21d62ac535b1b6a1f95d11
Author: Ansgar Burchardt <ansgar@43-1.org>
Date:   Mon Jul 5 17:35:27 2010 +0900

    Sbuild::InternalBuildDepSatisfier: Do not try other alternatives if installing default version is enough
    
    When we encounter
    
      Build-Depends: pkg-a (>= 2) | pkg-b (>= 3)
    
    and a lower version of pkg-a is already installed (or provided by
    another package), sbuild would try to upgrade pkg-b as well.
    
    This patch changes the behaviour of sbuild to not try satisfying
    alternative dependencies if the dependency can be satisfied by
    installing the default version.
    
    Bug-Debian: http://bugs.debian.org/586275
    Signed-off-by: Ansgar Burchardt <ansgar@43-1.org>
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 1478ae27ba528c19c680df38c5d8ba3cc8105616
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Thu Oct 28 13:48:04 2010 -0400

    Remove deprecated key 'priority' from being added in configuration files.

commit 6297b8e1273db9ccaccf31cffda96f053e0bcf27
Merge: db0c8dc 51d8b81
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Wed Oct 27 14:36:06 2010 -0400

    Merge branch 'master' into debuild-functionality

commit 715859d662940539b04fc2f3b5bc14065e9d3adb
Merge: 24e375c 51d8b81
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Wed Oct 27 14:35:57 2010 -0400

    Merge branch 'master' into sbuild-createchroot

commit b53b6793f306a6711213f5f134dbc100faab1931
Merge: cbbc08b 51d8b81
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Wed Oct 27 14:35:43 2010 -0400

    Merge branch 'master' into sbuild-update

commit 51d8b818c65101ec0145fb5bc53baf1c4a12aa7d
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Oct 26 23:01:33 2010 +0100

    debian: Close #588035

commit 96e37214fe8a2d36bee96b1a7d2d37c796b04e26
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Oct 26 22:59:36 2010 +0100

    debian: Bump version to 0.60.2-1

commit cc5907e0938d773a4e77e2b67eb69eeda56e2611
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Oct 26 22:59:02 2010 +0100

    NEWS: Bump version to 0.60.2

commit b572872e0ef8a26c4ab174a79304323ac9118338
Author: Ansgar Burchardt <ansgar@43-1.org>
Date:   Tue Oct 26 22:58:32 2010 +0100

    Sbuild::AptitudeBuildDepSatisfier: Do not ignore trust violations
    
    Set the value of Aptitude::CmdLine::Ignore-Trust-Violations depending on
    the $apt_allow_unauthenticated option.
    
    Bug-Debian: http://bugs.debian.org/588035
    Signed-off-by: Ansgar Burchardt <ansgar@43-1.org>
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 7ac00d6608e54c9a7365451701ee12af73ba8303
Author: Ansgar Burchardt <ansgar@43-1.org>
Date:   Tue Oct 26 22:53:34 2010 +0100

    Sbuild::AptitudeBuildDepSatisfier: Do not pass -o Apt::Install-Recommends=false to aptitude
    
    The option --without-recommends corresponds to the configuration options
    Apt::Install-Recommends and Apt::AutoRemove::InstallRecommends.  There
    is no need to pass the option explicitly.
    
    Signed-off-by: Ansgar Burchardt <ansgar@43-1.org>
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit db0c8dc00b881e0d7b21ac1aec7e079bd81ff62d
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Tue Oct 26 02:35:39 2010 -0400

    Deprecate setup-hook option in favor of chroot-setup-commands feature.

commit 10f8886ae7e2c181c4b9e7ca679c18715bfd6291
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Tue Oct 26 02:05:35 2010 -0400

    Change to using a hash of arrays of arrays as the data structure for external commands.

commit a19001a873bc504ebedd3c54f4ce8b413b66dd67
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Tue Oct 26 01:03:17 2010 -0400

    Support running external commands inside and outside chroot.
    There's also a fix to get external commands from config files detected properly.

commit 24e375c655e57aa4d550eb502236840c29996458
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Mon Oct 25 00:43:13 2010 -0400

    Update sbuild-createchroot explaining how a tarball is generated based on a specified extension.

commit 02e2e3a82b9ff20f45d3f606af7c3388cfef085d
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Sun Oct 24 23:38:45 2010 -0400

    Don't prepend 'sudo' in example command to run piuparts.
    How users run piuparts as root is at their discretion.

commit cbbc08b1610f7415bac468fe3301ce9a3b4cfca1
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Sun Oct 24 23:06:39 2010 -0400

    Merge sbuild-clean functionality with sbuild-update.
    This deprecates sbuild-clean.

commit d42bb4151fdd9d1a2421dafc9edb547db60c5a09
Merge: 92464e1 2b23363
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Sun Oct 24 22:23:03 2010 -0400

    Merge branch 'master' into debuild-functionality

commit 670cc71e50fb991910f72c5e0e7735623a904a5f
Merge: 1c7aab9 2b23363
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Sun Oct 24 22:22:23 2010 -0400

    Merge branch 'master' into sbuild-createchroot

commit 31d85b1c4ef2c0c340152a1d82f102d1c63ea1ec
Merge: 2d2d0ac 2b23363
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Sun Oct 24 22:21:48 2010 -0400

    Merge branch 'master' into sbuild-update

commit 2b2336347a1a9f747f0216eddf84831016a6cf21
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 24 20:05:43 2010 +0100

    debian: Maintainer scripts use NMU-safe version numbers

commit 0b31eb82acc2e41e493ef4b3d922b862ad5d963d
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 24 19:57:39 2010 +0100

    debian: Upgrade to standards version 3.9.1

commit 93ad8d1a3321d4069f82c93003a892c3ce191453
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 24 19:57:16 2010 +0100

    debian: Migrate renamed conffiles to new locations

commit 31feb5475608ced12e038fc6ad3e1d3b539f18fd
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 24 19:33:27 2010 +0100

    build: Add --enable-compat option to configure
    
    This allows compatibility features to be selectively enabled,
    which is intended to allow sbuild to build with support for
    current features when build for unstable, and with support for
    stable releases when build for stable (which includes buildds).
    This will allow both uses from a single source base.

commit 9f70d48d71aab89ace43a98751782e5ee7842f08
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 24 19:25:13 2010 +0100

    build: Drop AM_MAINTAINER_MODE

commit 657e9d8b432efed49f4d67f15f2c16a0aaebf0be
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 24 19:17:10 2010 +0100

    debian: Install schroot configuration into /etc/schroot

commit b2ce1a79dcf4f934d5892690a4600c28b412fee9
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 24 19:12:31 2010 +0100

    etc: Add support for profile templates
    
    Current buildd chroot script-config files don't use current
    schroot script-config layout and naming conventions, and do
    not support non-Linux architectures.  Copy profile-templates
    template tree and genprofile profile generator from schroot,
    and create "buildd" profile templates for linux and freebsd.
    
    Update sbuild-createchroot to use sbuild/config profile, and
    create-chroot to use buildd/profile.
    
    Update buildd chroot configuration to use new script-config
    name in buildd postinst.
    
    Delete old profile files from etc, since these are now generated
    from the profile templates.

commit 30ef387e5a0da926a735341ff0b19a110939dbf0
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 24 13:28:25 2010 +0100

    debian: create-chroot is installed into libexecdir automatically

commit 1d7050f68d7bd1198c2051202fbadb9560dca4bb
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Oct 23 14:05:51 2010 +0100

    Sbuild::Conf: Only validate APTITUDE if being used

commit f0644d8b3186027767d1b031958f782e9d1a0aca
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Oct 23 14:05:37 2010 +0100

    build: Distribute apt-keys

commit 0067918798447eee2a27dcd4456ed4a108012a5e
Merge: b8bb15e 4a7fb7f
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 10 20:07:15 2010 +0100

    Merge branch 'buildd' into buildd-merge

commit b8bb15e7c0de8925e19fcb3fb876c94fd28d7528
Merge: 35de096 52d1331
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 10 20:06:55 2010 +0100

    Merge branch 'master' of ssh+git://git.debian.org/git/buildd-tools/sbuild

commit 35de09692116a053245a5a26c1bb82b61ac156bd
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 10 20:03:43 2010 +0100

    debian: Close #588818

commit 4a7fb7f1fdf8386f27df6d77be845278c9c036ff
Author: Philipp Kern <pkern@debian.org>
Date:   Sun Oct 10 16:59:53 2010 +0200

    etc/99builddsourceslist: backports/buildd has slightly different semantics

commit e8cc34b073fbed8ee5f5be8f51bd91d2902b2802
Author: Philipp Kern <pkern@debian.org>
Date:   Sun Oct 10 16:36:03 2010 +0200

    etc/99builddsourceslist: correct off-by-one in sloppy detection

commit cd031089f2d8481dec7505b61cfa05ac1b2be31f
Author: Philipp Kern <pkern@debian.org>
Date:   Sun Oct 10 16:31:04 2010 +0200

    etc/script-defaults.buildd: support variants with one dash in them

commit eabd4aa861a8e353d00f860bd7a94cd2ac5be036
Author: Philipp Kern <pkern@debian.org>
Date:   Sun Oct 10 16:23:56 2010 +0200

    bin/sbuild: remove bogus Jobs File unlink

commit 48a57289f474d6bb8dc588d195ad878d688c38fd
Author: Philipp Kern <pkern@debian.org>
Date:   Sun Oct 10 16:19:52 2010 +0200

    etc/99builddsourceslist: fix backports URLs

commit 1128e40b3f290e88c2b7264c6b15a718d6f8f1ac
Author: Philipp Kern <pkern@debian.org>
Date:   Sun Oct 10 16:19:23 2010 +0200

    etc/99builddsourceslist: fix debian-edu URL

commit 66ae451b4753de7d451b58453600e1f9170b9040
Author: Philipp Kern <pkern@debian.org>
Date:   Sat Oct 9 11:32:51 2010 +0200

    Switch from www.backports.org to backports-master.debian.org.

commit e7a75141919b8789acd99a5fbf4a3b333f0292b7
Author: Philipp Kern <pkern@debian.org>
Date:   Wed Oct 6 15:56:17 2010 +0200

    etc/99builddsourceslist: use normal string equals

commit e4bc25aea0f75940870c249151ef41b8f873fb47
Author: Philipp Kern <pkern@debian.org>
Date:   Wed Oct 6 15:55:42 2010 +0200

    etc/99builddsourceslist: add support for backports-sloppy

commit 12f167389048c03646c4609039cfa31c41f902d8
Author: Philipp Kern <pkern@debian.org>
Date:   Mon Oct 4 12:14:21 2010 +0200

    etc/99builddsourceslist: fix up the indentation

commit 52d13315dd1e2762e0616899012c363ab3e7ea64
Author: Philipp Kern <pkern@debian.org>
Date:   Tue Aug 31 11:14:12 2010 +0200

    man/buildd.1.in: Ryan Murray does not maintain a fork of sbuild anymore

commit 2d2d0ac8c2feea894470159813b54da3aa96e45c
Merge: a3b9cc1 e058334
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Sat Aug 28 19:42:45 2010 -0400

    Merge branch 'master' into sbuild-update

commit 92464e1022ec1223fbbd31309475fe2d019a150d
Merge: 9f6a358 e058334
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Sat Aug 28 19:41:26 2010 -0400

    Merge branch 'master' into debuild-functionality

commit 1c7aab97d49e791ae378e8be6d51cd023fd3ef51
Merge: 70ebbe9 e058334
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Sat Aug 28 19:40:28 2010 -0400

    Merge branch 'master' into sbuild-createchroot
    
    Conflicts:
    	bin/sbuild-createchroot

commit e058334813faaf8a5000ffafbc091a2bf0b9f8b3
Author: Philipp Kern <pkern@debian.org>
Date:   Sat Aug 28 22:49:39 2010 +0200

    bin/sbuild-createchroot: fix the schroot template
    
    Dots are no longer allowed in schroot config snippets, to comply with the
    run-parts regexp.

commit 70ebbe98c68ed8a65946f4018d7f3b30c0b5fb88
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Fri Aug 20 03:54:09 2010 -0400

    Support multiple tarball compression formats besides gzip.

commit a3b9cc11490554b8967a164e28526e68182a4f14
Merge: b590629 aa08f1a
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Thu Aug 19 20:56:22 2010 -0400

    Merge branch 'master' into sbuild-update

commit 93315a62f6c2d0d04b47e5cd9c66899cc31918d6
Merge: a5937aa aa08f1a
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Thu Aug 19 20:56:13 2010 -0400

    Merge branch 'master' into sbuild-createchroot

commit 9f6a35823e64988868f36847166bc79ab467694d
Merge: a65357b aa08f1a
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Thu Aug 19 20:56:05 2010 -0400

    Merge branch 'master' into debuild-functionality

commit b590629158e6a9710f0f2b9b4f49f9f00939e50c
Merge: b336ccb 3426a61
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Thu Aug 19 16:48:02 2010 -0400

    Merge branch 'master' into sbuild-update

commit a5937aa6b3c6b7c76008cce31650359181bea187
Merge: af29218 3426a61
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Thu Aug 19 16:47:53 2010 -0400

    Merge branch 'master' into sbuild-createchroot

commit a65357be74588914dbf7bf77bc10cac74cfe2701
Merge: c58a8c7 3426a61
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Thu Aug 19 16:47:44 2010 -0400

    Merge branch 'master' into debuild-functionality

commit aa08f1aa63a0b46d5ea78a89f4397c6e7186f0ce
Merge: 3426a61 b336ccb
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Aug 19 21:46:46 2010 +0100

    Merge remote branch 'ceros/sbuild-update'

commit 3426a619aa9069bb88be72ea1c454acd9467c879
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Thu Aug 19 21:18:50 2010 +0100

    Sbuild::ChrootInfoSchroot: Add find function which copes with chroot namespaces
    
    schroot >= 1.4.8 adds chroot: and source: namespaces.  This
    function copes with the -source compatibility names so that
    sbuild-update etc. can work with source chroots.

commit 45fa88fd3b213719c33233eff20de1a71b900bc5
Merge: d89ed77 2cd9937
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Aug 18 22:07:39 2010 +0100

    Merge branch 'buildd'

commit c58a8c79ee4ad7049f93b58fbf67f80e2a6f1742
Merge: c59baf2 d89ed77
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Mon Aug 16 03:02:17 2010 -0400

    Merge branch 'master' into debuild-functionality

commit af2921850a42c1d7d6deb2d5409c16b1f991d5f3
Merge: b2e2161 d89ed77
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Mon Aug 16 03:02:05 2010 -0400

    Merge branch 'master' into sbuild-createchroot

commit b336ccb407a95ff95f5c06901bb97c06a60f82da
Merge: ebd0a35 d89ed77
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Mon Aug 16 03:01:27 2010 -0400

    Merge branch 'master' into sbuild-update

commit 2cd9937b3100f05991ce153a211d475880df4abf
Author: Andreas Barth <aba@not.so.argh.org>
Date:   Thu Aug 5 19:04:48 2010 +0200

    no functional changes: cleanup lib/Buildd/Daemon.pm again

commit 9d0e838624e0c6c02c2b4899382737e2368e0566
Merge: 3f99f62 83eb51a
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Aug 4 23:11:39 2010 +0100

    Merge branch 'buildd' of ssh+git://git.debian.org/git/buildd-tools/sbuild into buildd

commit d89ed7745d8b03dc59fe07e3e4eb05155c4f8076
Merge: 27d9e40 8c0ec0e
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Aug 4 23:10:34 2010 +0100

    Merge branch 'master' of ssh+git://git.debian.org/git/buildd-tools/sbuild

commit 27d9e4080ec16395826ccce9b3e8e80d27df44c6
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Aug 4 23:09:35 2010 +0100

    debian: Close #591620

commit 3f99f62b7ba0ed1426e9bfbfe1b7d2e8ff8a3033
Author: Sebastian Andrzej Siewior <bigeasy@linutronix.de>
Date:   Wed Aug 4 10:35:21 2010 +0200

    buildd-uploader: don't kill the lock if not the owner
    
    The following happens to people which have to upload quite a lot on a
    slow uplink:
    - buildd-uploader is invoked, starts the upload process and creats a
      lock named buildd-uploader.lock
    - a second buildd-uploader instance is invoked. It notices the lock,
      doesn't do a thing except it kills the lock due to the following
      END statement:
      |if (defined($conf) &&
      |      defined($uploader) &&
      |      defined($uploader->get('Uploader Lock')));
    
      'Uploader Lock' is defined at this point but it is 0 because this
      instance does not own the lock
    - a third instance of buildd-uploader is invoked which will upload
      packages.
    
    Signed-off-by: Sebastian Andrzej Siewior <bigeasy@linutronix.de>

commit b85bf91ba12df6600c3a5531055db5a8a5e2242a
Author: Sebastian Andrzej Siewior <bigeasy@linutronix.de>
Date:   Wed Aug 4 10:35:21 2010 +0200

    buildd-uploader: don't kill the lock if not the owner
    
    The following happens to people which have to upload quite a lot on a
    slow uplink:
    - buildd-uploader is invoked, starts the upload process and creats a
      lock named buildd-uploader.lock
    - a second buildd-uploader instance is invoked. It notices the lock,
      doesn't do a thing except it kills the lock due to the following
      END statement:
      |if (defined($conf) &&
      |      defined($uploader) &&
      |      defined($uploader->get('Uploader Lock')));
    
      'Uploader Lock' is defined at this point but it is 0 because this
      instance does not own the lock
    - a third instance of buildd-uploader is invoked which will upload
      packages.
    
    Signed-off-by: Sebastian Andrzej Siewior <bigeasy@linutronix.de>

commit 83eb51acea1a360813267969c324a8305213a8fb
Author: Philipp Kern <pkern@debian.org>
Date:   Fri Jul 30 16:58:41 2010 +0200

    etc/99builddsourceslist: support debian-edu

commit e6ee015d8b64e62bcc20722175093d159fdcac9c
Author: Philipp Kern <pkern@debian.org>
Date:   Fri Jul 30 03:58:35 2010 +0200

    [Buildd::Mail] accept BD-Uninstallable state for transition to Failed

commit 465f892f5eae977cc920127f81d4b832d00e4d77
Author: Philipp Kern <pkern@debian.org>
Date:   Fri Jul 30 01:24:44 2010 +0200

    bin/create-chroot: also pass linux32 on powerpc

commit 362abd93d5326cd7083246133c6ce83941a3fec0
Author: Philipp Kern <pkern@debian.org>
Date:   Thu Jul 29 23:27:36 2010 +0200

    bin/create-chroot: correct two typos

commit 8c0ec0e5827b679e4bed2e461466fb45a86f1b38
Author: Philipp Kern <pkern@debian.org>
Date:   Fri Jul 30 03:58:35 2010 +0200

    [Buildd::Mail] accept BD-Uninstallable state for transition to Failed

commit f10351dd144a7f22f6b284ab906d03f226586c23
Author: Philipp Kern <pkern@debian.org>
Date:   Fri Jul 30 01:24:44 2010 +0200

    bin/create-chroot: also pass linux32 on powerpc

commit b9974544de626ef5bd0b9f4e9b576d3135a212b3
Author: Philipp Kern <pkern@debian.org>
Date:   Thu Jul 29 23:27:36 2010 +0200

    bin/create-chroot: correct two typos

commit b2e2161a0f605eb89cf55d81fd32aa69c9a8b363
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Sat Jul 24 19:54:32 2010 -0400

    Implement creating sbuild chroot tarballs.

commit c59baf2493d6b071c0a8474ab230d34e1b758a29
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Sat Jul 24 18:06:39 2010 -0400

    Clarify that pre/post build commands in configuration file are array of array of strings.

commit 8efff5bb408387d6932ebe34a9dee89fc0c2b392
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Sat Jul 24 18:04:03 2010 -0400

    Fix up sbuild man page.

commit edf175d510f8c71a9825f136069e4d37fdde7154
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Sat Jul 24 18:03:29 2010 -0400

    Make pre/post build commands specified in command line to be array refs

commit aee8e7bf0183dafa6406092968ee8d0455a155dc
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Sat Jul 24 17:05:49 2010 -0400

    Fixup various problems from merge.

commit 820c42c6a343f1cfe7c5f83261904458abf91751
Merge: d123d67 bbbdab1
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Tue Jul 20 15:35:43 2010 -0400

    Merge remote branch 'rleigh/debuild-am2' into debuild-functionality
    
    Conflicts:
    	debian/rules
    	man/sbuild.1.in

commit ebd0a350f84d284135aad8de878c91a5827f803f
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Tue Jul 20 15:01:52 2010 -0400

    Have sbuild-upgrade and sbuild-distupgrade exec sbuild-update with appropriate options.

commit 89a8e35a9fa18a256eba022a29f7d4b72b6aee0d
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Tue Jul 20 15:01:41 2010 -0400

    Update man page for sbuild-update for new options.

commit a8c82a10bede6c31d6325cf6ebc674387cf046f4
Author: Andres Mejia <mcitadel@gmail.com>
Date:   Tue Jul 20 15:00:25 2010 -0400

    Allow sbuild-update to perform update, upgrade, and distupgrade.
    This also allows sbuild-update to perform the various commands all at once.

commit 16c7c88a80b6a377f0e1aaa604cccffd9c1cae59
Author: Andreas Barth <aba@not.so.argh.org>
Date:   Mon Jul 19 20:13:00 2010 +0200

    no functional changes: cleanup lib/Buildd/Daemon.pm

commit d123d670099623ea9989ab3a3350f567b2b20af5
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 14 20:04:48 2010 +0100

    Sbuild: Add support for aptitude in chroot code

commit ad46454722d93c0f12096c8cd71fc5f92a660ed0
Author: Cyril Brulebois <kibi@debian.org>
Date:   Wed Jul 14 19:36:13 2010 +0200

    Fix FTBFS at dh_install step.
    
    Renaming create-chroot in 18512e3303f56a55841719e393c3e5a4653c9b70
    wasn't sufficient, its name in sbuild.install had to be updated as well.
    Fix that.

commit 750a0270c81531754c1bf99c3086571a9d459e67
Author: Cyril Brulebois <kibi@debian.org>
Date:   Sun Jul 11 23:28:02 2010 +0200

    man: Document --build-dep-resolver for sbuild.

commit 3a90456aa0cf2d1e3406bf06a55476608f06fa1e
Merge: 5e7c3c4 2ee8048
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jul 12 22:52:32 2010 +0100

    Merge branch 'buildd'
    
    Conflicts:
    	lib/Buildd/Daemon.pm

commit 5e7c3c45915f1d1865337632557ab93a9b42ae71
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jul 12 22:46:46 2010 +0100

    build: Install create-chroot

commit 136a34343120beb29a9dbeac191d5a1c0f0b9ab6
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 22:29:22 2010 +0100

    debian: Require schroot 1.4.x

commit fcfea2516fd3abf3f100e1bc82db37928b780788
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 22:26:41 2010 +0100

    sbuild-createchroot: Document need for abs_path workaround

commit d61a655101c3008d17bd56274b5d1da3c8fcb28e
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 21:44:39 2010 +0100

    sbuild-createchroot: Fix abs_path and remove deprecated keys
    
    Remove deprecated schroot configuration keys, and change
    location to directory.
    Create the bootstrap directory prior to calling abs_path, or
    else it returns an undefined value.

commit 2ee8048bdf4df07d4ff0047a7fb24ff0e1d5b5b6
Author: Andreas Barth <aba@not.so.argh.org>
Date:   Sun Jun 20 18:37:48 2010 +0200

    buildd-mail: accept a signed changes if the package is in build-attempted

commit 85c94c699370f378d728d8e212918620c2c16dde
Author: Andreas Barth <aba@not.so.argh.org>
Date:   Sat Jun 19 20:37:50 2010 +0200

    wanna-build interface: use api=1 for take, and accept extra-depends/conflicts

commit 4e5d142f89a6239ab8b6c1313a3ba5414b5e972d
Author: Andreas Barth <aba@not.so.argh.org>
Date:   Fri Jun 18 18:36:49 2010 +0200

    no functional change: restructure interfaces within lib/Buildd/Daemon.pm

commit d42b53055641fe29a17e5d6bf2ad905e16ea95f4
Author: Andreas Barth <aba@not.so.argh.org>
Date:   Fri Jun 18 00:02:28 2010 +0200

    to ease upgrades to squeeze: drop the irrelevant options run-setup-scripts / run-exec-scripts

commit 18512e3303f56a55841719e393c3e5a4653c9b70
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 12 17:29:30 2010 +0100

    bin: Install create-chroot in same location as dobuildlog

commit d331072762d30c305716123da89dbe3207b1a73a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 12 17:16:16 2010 +0100

    NEWS: Update for 0.60.1

commit 7594a18ca7b7612af3f81a637cc378d484d642c7
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 12 16:58:43 2010 +0100

    Sbuild::Build: Don't use '-sn' with 'dpkg-buildpackage -x'
    
    -sn is not supported by newer source formats.  Removing
    it also makes the code more robust for non-binary builds
    if the source isn't in the build directory at some future
    point.

commit 630086f9514d9561f8b8a5abf51e35a3bd0be3ee
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 12 16:58:21 2010 +0100

    debian: Close #559533

commit 7208b117f4e483121c763b56049264605f390d0d
Merge: 9858095 70519bd
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 12 16:33:13 2010 +0100

    Merge branch 'buildd'

commit 70519bdfe52251cb4aa5f80936b11ed371442dba
Author: Andreas Barth <aba@not.so.argh.org>
Date:   Mon May 24 10:49:33 2010 +0200

    drop run-setup-scripts and run-exec-scripts from create-chroot.sh for
    lvm-type chroots: they only confirmed the default in lenny, and produce
    warnings in squeeze. Related to #579926

commit 5a10d3be7d8f29fa3259fbefa574becad1dce808
Author: Andreas Barth <aba@not.so.argh.org>
Date:   Thu May 20 22:58:15 2010 +0200

    add copyfiles-defaults to sbuild
    set schroots COPYFILES NSSDATABASES to sbuild-specific values via 99buildd*
    put the network part in copyfiles, and the system part in nssdatabases

commit a73fd03cee260a02ae12a1a067f96ba8178030e6
Author: Andreas Barth <aba@not.so.argh.org>
Date:   Thu May 13 00:23:10 2010 +0200

    add $defaults to .builddrc which contains default values
    if they're not overriden within $distributions

commit 9858095784235f8e4edddd4e4304f426638d9979
Merge: ba4113f 56a7d63
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon May 3 13:59:28 2010 +0100

    Merge remote branch 'origin/buildd'

commit ba4113ff5f1a38f4d694fcb1b5e79da0d4bd9718
Merge: ba54dd6 46367f9
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon May 3 13:57:01 2010 +0100

    Merge branch 'master' of ssh+git://git.debian.org/git/buildd-tools/sbuild

commit ba54dd628d1f5a3c72286242e5e6c6731fe3367a
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon May 3 13:55:48 2010 +0100

    Sbuild::Build: Remove DSC filename assumptions breaking new source formats

commit 56a7d6379ab880f118c8f4e38c1ea81bda0148d1
Author: Andreas Barth <aba@not.so.argh.org>
Date:   Sun May 2 15:15:39 2010 +0200

    name the experimental chroots correct

commit 35e899379c71928e139f38ee8ff2e049fd317cc9
Author: Andreas Barth <aba@not.so.argh.org>
Date:   Sun May 2 13:00:19 2010 +0200

    funny things break with /bin/sh=dash

commit ed1f8e3fafa1fc4a20052cf219aa0ae23c1d6cb4
Author: Andreas Barth <aba@not.so.argh.org>
Date:   Sun Apr 25 13:18:54 2010 +0200

    add explicit apt-key for backports.org
    as security already has unauthenticated explicitly set, this allows to
    remove Aptitude::CmdLine::Ignore-Trust-Violations
    (means one needs to add the bpo key by hand once for an non-snapshot-chroot)

commit 2e59bb2eba4c11b11f6d000a6b1354a3a0eb6d73
Author: Andreas Barth <aba@not.so.argh.org>
Date:   Thu Apr 22 22:51:26 2010 +0200

    partly revert 99builddsourceslist:
    + remove apt-get update, as this is not needed with the right options

commit c3c1c30592e38815ac4335415a6774b26ef5faec
Author: Andreas Barth <aba@not.so.argh.org>
Date:   Thu Apr 22 22:14:56 2010 +0200

    fix 99builddsourceslist:
    + proposed-updates: no incoming with debian_incoming=no
    + apt-get update after adding new sources
    + don't fail with lenny on exit if there is no apt.cfg

commit 2e6dadf1f9061e67dff45e01edbcc212038ed36a
Author: Andreas Barth <aba@not.so.argh.org>
Date:   Thu Apr 22 09:32:25 2010 +0200

    fix typo for backports

commit 77ee089cf60bf42d00207d73ab97e38735a64d51
Author: Marc Brockschmidt <marc@marcbrockschmidt.de>
Date:   Tue Apr 20 16:56:43 2010 +0200

    AptitudeBuildDepSatisfier: Make compatible with new aptitude

commit 6c6a12a53b31832fc9e369abc0df5ef2faefb841
Author: Andreas Barth <aba@not.so.argh.org>
Date:   Tue Apr 20 00:24:20 2010 +0200

    write /etc/schroot/conf.buildd as root

commit efb72d2f7ac7bc33470167ffdc74532306f1d58f
Author: Andreas Barth <aba@not.so.argh.org>
Date:   Sun Apr 18 20:49:09 2010 +0200

    auto-add personality=linux32 for mips, sparc, i386

commit 06b1a24cecc98c359be273cf9698cb3f388ca9b2
Author: Andreas Barth <aba@not.so.argh.org>
Date:   Sun Apr 18 20:32:33 2010 +0200

    allow to specify another arch

commit 1d254f5d9b5b9caf7bd807e216b55dafa42d2572
Author: Andreas Barth <aba@not.so.argh.org>
Date:   Sun Apr 18 20:30:13 2010 +0200

    allow to not specify the mirror

commit 1f6ee50a9d141053f4c7a4801bd2fc0e7051c485
Author: Andreas Barth <aba@not.so.argh.org>
Date:   Sun Apr 18 20:19:20 2010 +0200

    add local mirror to /etc/schroot/conf.buildd if file doesn't exist

